2003-08-27  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/opt/ptrmem3.C: New test.

	* g++.old-deja/g++.pt/overload8.C: Remove XFAIL.

2003-08-27  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030826-2.c: New test.

2003-08-26  Roger Sayle  <roger@eyesopen.com>

	PR middle-end/12002
	* g77.f-torture/compile/12002.f: New test case.

2003-08-26  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/20030826-1.c: New test case.

2003-08-26  Matt Kraai  <kraai@alumni.cmu.edu>

	* gcc.dg/noncompile/20030818-1.c: Expect second line of error.

2003-08-26  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11871
	* c++.dg/lookup/crash1.C: New test.

	* c++.dg/warn/noeffect3.C: New test.

2003-08-25  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/vector-1_x.c: Compile with -w.
	* gcc.dg/compat/vector-1_y.c: Ditto.
	* gcc.dg/compat/vector-2_x.c: Ditto.
	* gcc.dg/compat/vector-2_y.c: Ditto.

2003-08-25  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/20030702-1.c: New test.

2003-08-25  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8795
	* g++.dg/ext/altivec-1.C: New test.

2003-08-24  Richard Henderson  <rth@redhat.com>

	* g++.dg/eh/simd-2.C: Add -w for x86.

2003-08-23  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030815-1.c: New test.

2003-08-23  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/3765
	* g++.dg/parse/access6.C: New test.

2003-08-23  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/641, c++/11876
	* g++.dg/template/friend22.C: New test.
	* g++.dg/template/friend23.C: Likewise.

2003-08-22  Mark Mitchell  <mark@codesourcery.com>

	* gcc.misc-tests/linkage.exp: Treat all HP-UX platforms
	identically.

2003-08-22  Mark Mitchell  <mark@codesourcery.com>

	* g++.old-deja/g++.ext/attrib5.C: XFAIL on hppa2*-hp-hpux11*.

2003-08-22  Mark Mitchell  <mark@codesourcery.com>

	* gcc.dg/20020313-1.c: Add "-w" to dg-options.

2003-08-22  Mark Mitchell  <mark@codesourcery.com>

	* gcc.misc-tests/linkage.exp: Add logic for ia64-hp-hpux*.

2003-08-22  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/other/packed1.C: Add XFAIL marker for ia64-hp-hpux*.

2003-08-21  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11919
	* g++.dg/overload/prom1.C: New test.

	PR c++/11551
	* g++.dg/parse/dtor2.C: New test.

	PR c++/10762
	* g++.dg/parse/using2.C: New test.

2003-08-21  Kazu Hirata  <kazu@cs.umass.edu>

	PR target/11805
	* gcc.c-torture/compile/20030821-1.c: New.

2003-08-20  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11834
	* g++.dg/template/deduce2.C: New test.

2003-08-21  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.c-torture/execute/20030821-1.c: New test.

2003-08-20  Roger Sayle  <roger@eyesopen.com>

	PR middle-end/11984
	* gcc.dg/20030820-1.c: New test case.

2003-08-20  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11945
	* g++.dg/warn/noeffect2.C: New test.

2003-08-19  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10926
	* g++.dg/template/dtor2.C: New test.

	PR c++/11684
	* g++.dg/template/operator1.C: New test.
	* g++.dg/parse/operator4.C: New test.

	PR c++/11946.C
	* g++.dg/expr/enum1.C: New test.
	* gcc.dg/c99-bool-1.c: Remove bogus warning.

	PR c++/11036.C
	* g++.dg/parse/elab2.C: New test.
	* g++.dg/parse/typedef4.C: Change error message.
	* g++.old-deja/g++.robertl/eb133.C: Remove bogus error markers.
	* g++.old-deja/g++.robertl/eb133a.C: Remove bogus error markers.
	* g++.old-deja/g++.robertl/eb133b.C: Remove bogus error markers.

2003-08-19  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/warn-1.c: New.
	* gcc.dg/pch/warn-1.hs: New.

	* lib/dg-pch.exp (dg-pch): Use 'return' not 'continue' to skip
	not-tested file.

2003-08-19  Andrew Pinski  <pinskia@physics.uc.edu>

	* gcc.dg/uninit-E.c: Add forgotten dg-warning marker.

2003-08-19  Andrew Pinski  <pinskia@physics.uc.edu>

	* gcc.dg/uninit-D.c: New Test.
	* gcc.dg/uninit-E.c: New Test.
	* gcc.dg/uninit-F.c: New Test.
	* gcc.dg/uninit-G.c: New Test.

2003-08-19  Michael Ritzert  <ritzert@t-online.de>

	* g++.dg/README: Describe the pch directory.

2003-08-19  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/11174
	* g++.dg/parse/access4.C: New test.
	* g++.dg/parse/access5.C: Likewise.
	* g++.old-deja/g++.jason/access17.C: Adjust error message.

2003-08-18  Matt Kraai  <kraai@alumni.cmu.edu>

	* gcc.dg/noncompile/20030818-1.c: New.

2003-08-18  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11957
	* g++.dg/warn/noeffect1.C: New test.

	* g++.dg/template/scope2.C: New test.
	* g++.dg/template/error2.C: Correct dg-error

2003-08-18  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/compile/mipscop*.c: Turn into compile-only tests.

2003-08-16  Nathan Sidwell  <nathan@codesourcery.com>

	PR C++/11512
	* g++.dg/template/warn1.C: New.

2003-08-15  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/error2.C: New test.
	* g++.dg/lookup/using7.C: Adjust errors
	* g++.old-deja/g++.pt/crash36.C: Likewise.
	* g++.old-deja/g++.pt/derived3.C: Likewise.

2003-08-14  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/builtins/lib/strcat.c: New.
	* gcc.c-torture/execute/builtins/string-9-lib.c: New.
	* gcc.c-torture/execute/builtins/string-9.c: New, from
	string-opt-9.c.  Adjust for execute/builtins framework.
	* gcc.c-torture/execute/string-opt-9.c: Delete.

2003-08-12  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/new8.C: Use __SIZE_TYPE__ to get the type of size_t.

	* g++.dg/parse/ret-type2.C: New test.

	PR c++/11703
	* g++.dg/init/new8.C: New test.

	PR c++/10923
	* g++.dg/parse/typedef5.C: New test.

	PR c++/9512
	* g++.dg/parse/qualified2.C: New test.
	* g++.old-deja/g++.other/decl5.C: Mark one more instance of
	invalid code.

2003-08-11  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/conversion/ptrmem1.C: New test.

2003-08-11  Jakub Jelinek  <jakub@redhat.com>

	PR target/11693
	* gcc.dg/20030811-1.c: New test.

	PR target/11535
	* gcc.c-torture/execute/20030811-1.c: New test.

2003-08-10  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/string-opt-9.c: Add more strcat cases.

2003-08-10  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11789.C
	* g++.dg/inherit/multiple1.C: New test.

2003-08-10  Nathan Sidwell  <nathan@codesourcery.com>

	* gcc.dg/spe1.c: New test.

	PR c++/11670
	* g++.dg/expr/cast2.C: New test.
	
	PR c++/10530
	* g++.dg/template/dependent-name2.C: New test.

2003-08-08  Andrew Pinski  <pinskia@physics.uc.edu>

	* g++.dg/parse/crash11.C: Put the dg options in comments.

2003-08-08  Neil Booth  <neil@daikokuya.co.uk>

	* lib/gcc-dg.exp: Update for diagnostic change.

2003-08-07  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/5767
	* g++.dg/parse/crash11.C: New test.

2003-08-06  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.dg/cpp/spacing1.c: Update.

2003-08-04  Janis Johnson  <janis187@us.ibm.com>

	PR target/11739
	* gcc.misc-tests/i386-prefetch.exp: Use -march=i386 when specifying
	a value for -mtune.

2003-08-04  Roger Sayle  <roger@eyesopen.com>

	PR middle-end/11771
	* gcc.c-torture/compile/20030804-1.c: New test case.

2003-08-04  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/20030804-1.c: New test case.

2003-08-04  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.dg/cpp/separate-1.c: New test.

2003-08-03  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11704
	* g++.dg/template/dependent-expr2.C: New test.

	PR c++/11766
	* g++.dg/expr/ptrmem1.C: New test.

2003-08-03  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9453
	* g++.dg/template/friend15.C: New test.

2003-08-03  Neil Booth  <neil@daikokuya.co.uk>

	* lib/dg-pch.exp: Work round PCH bug.

2003-08-02  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/builtins-1.c: Add macro helpers.  Add missing math
	builtins.  Move cases from builtins-4.c here.

	* gcc.dg/torture/builtin-math-1.c: New test taken from
	bits of gcc.dg/builtins-3.c, gcc.dg/builtins-5.c and also some
	additional cases.
	
	* gcc.dg/builtins-3.c, gcc.dg/builtins-4.c, gcc.dg/builtins-5.c:
	Delete.

2003-08-02  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9447
	* g++.dg/template/using7.C: New test.

2003-08-02  Neil Booth  <neil@daikokuya.co.uk>

	* import1.c, import2.c: New tests.

2003-08-01  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/eh/crossjump1.C: New test.

2003-08-01  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11697
	* g++.dg/template/using6.C: New test.

	PR c++/11744
	* g++.dg/template/koenig2.C: New test.

2003-08-01  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/7983
	* g++.dg/parse/typedef4.C: New test.

2003-08-01  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/8442, c++/8806
	* g++.dg/template/elab1.C: New test.
	* g++.dg/template/type2.C: Likewise.
	* g++.dg/template/ttp3.C: Adjust expected error message.
	* g++.old-deja/g++.law/visibility13.C: Likewise.
	* g++.old-deja/g++.niklas/t135.C: Likewise.
	* g++.old-deja/g++.pt/ttp41.C: Likewise.
	* g++.old-deja/g++.pt/ttp43.C: Use qualified name for template
	template argument.
	* g++.old-deja/g++.pt/ttp44.C: Likewise.

2003-08-01  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11295
	* g++.dg/ext/stmtexpr1.C: New test.

	* g++.dg/opt/tmp1.C: New test.

	PR c++/11525
	* g++.dg/parse/constant4.C: New test.

	PR c++/9447
	* g++.dg/template/using5.C: New test.

2003-07-31  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-27.c: New test case.

2003-07-31  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/tls/opt-7.c: New test.

2003-07-31  Andrew Pinski  <pinskia@physics.uc.edu>
	
	* g++.old-deja/g++.other/crash18.C: Remove.

2003-07-31  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/explicit3.C: New.
	* g++.dg/template/explicit4.C: New.
	* g++.dg/template/explicit5.C: New.

	PR c++/11347
	* g++.dg/template/memtmpl1.C: New.

2003-07-29  Andrew Pinski <pinskia@physics.uc.edu>

	PR target/11565
	* gcc.dg/i386-387-1.c (dg-options): Add -march=i386.
	* gcc.dg/i386-387-5.c (dg-options): Likewise.

Wed Jul 30 19:13:34 CEST 2003  Jan Hubicka  <jh@suse.cz>

	* vtgc1.c: Kill.

2003-07-29  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/struct-in-proto-1.c: New test.

2003-07-29  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/include2.c: Only expect one message.

2003-07-29  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9447
	* g++.dg/template/using1.C: New test.
	* g++.dg/template/using2.C: New test.
	* g++.dg/template/using3.C: New test.
	* g++.dg/template/using4.C: New test.

2003-07-29  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.c-torture/execute/string-opt-9.c: strcmp returns int.
	* gcc.c-torture/execute/string-opt-10.c: Likewise.

2003-07-28  Jan Hubicka  <jh@suse.cz>

	PR c++/11530
	* g++.dg/opt/call1.C: New test.

2003-07-28  Alexandre Oliva <aoliva@redhat.com>

	PR c++/11667
	* g++.dg/init/enum2.C: New test.
	* g++.dg/template/overload1.C: Add "-w" option.

2003-07-28    <hp@bitrange.com>

	* gcc.dg/Wdeclaration-after-statement-1.c,
	gcc.dg/Wdeclaration-after-statement-2.c: New tests.

2003-07-28  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20030725-1.c: New test.

2003-07-28  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/20030505.c: Only run for SPE.
	Remove definition of opaque type.

2003-07-27  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/ptrmem6.C: New test.

2003-07-26  Geoffrey Keating  <geoffk@apple.com>

	* gcc.c-torture/compile/zero-strct-2.c: New test.

2003-07-25  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/intermod-1.c: New test.

2003-07-25  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11617
	* g++.dg/template/lookup2.C: New test.
	* g++.dg/template/memclass1.C: Remove instantiated from error.
	* g++.dg/other/error2.C: Tweak expected errors.

	PR c++/11596
	* g++.dg/template/defarg3.C: New test.

	* g++.dg/ext/packed2.C: Pack member struct too. Explain why.

2003-07-24  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/inherit/access5.C: New test.

2003-07-24  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/11513
	* g++.dg/template/crash8.C: New test.

2003-07-23  Steven Bosscher <steven@gcc.gnu.org>

	PR c/10602
	* gcc.dg/noncompile/incomplete-2.c: New test.

2003-07-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11645
	* g++.dg/inherit/access4.C: New test.

	PR c++/11517
	* g++.dg/expr/cond2.C: New test.

	PR optimization/10679
	* g++.dg/opt/inline4.C: New test.

2003-07-23  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/parse/crash10: New test.

2003-07-22  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/ext/flexary1.C: New test.

2003-07-22  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10793
	* g++.dg/template/crash9.C: New test.

2003-07-22  Volker Reichelt  <reichelt@igpm.rwth-aachen.de>

	PR c++/3004
	* g++.dg/parse/typedef3.C: New test.

	PR c++/7906
	* g++.dg/parse/operator2.C: New test.

	PR c++/8895
	* g++.dg/parse/def-tmpl-arg1.C: New test.

	PR c++/9282
	* g++.dg/parse/funptr1.C: New test.

	PR c++/9452
	* g++.dg/parse/ambig3.C: New test.

	PR c++/9454
	* g++.dg/parse/operator3.C: New test.

	PR c++/9486
	* g++.dg/parse/template10.C: New test.

	PR c++/9488
	* g++.dg/parse/template11.C: New test.

	PR c++/10150
	* g++.dg/parse/invalid-op1.C: New test.

	PR c++/10247
	* g++.dg/parse/condexpr1.C: New test.

2003-07-22  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/ext/packed3.C: New test.
	* g++.dg/ext/packed4.C: New test.

	* gcc.dg/pack-test-3.c: New test.

2003-07-21  Janis Johnson  <janis187@us.ibm.com>

	* lib/compat.exp: Handle dg-options per source file.
	* g++.dg/compat/abi/bitfield1_x.C: Specify dg-options.
	* g++.dg/compat/abi/bitfield1_y.C: Ditto.
	* g++.dg/compat/abi/bitfield2_x.C: Ditto.
	* g++.dg/compat/abi/bitfield2_y.C: Ditto.
	* g++.dg/compat/abi/vbase8-10_x.C: Ditto.
	* g++.dg/compat/abi/vbase8-10_y.C: Ditto.
	* g++.dg/compat/abi/vbase8-21_x.C: Ditto.
	* g++.dg/compat/abi/vbase8-21_y.C: Ditto.
	* g++.dg/compat/abi/vbase8-22_x.C: Ditto.
	* g++.dg/compat/abi/vbase8-22_y.C: Ditto.
	* g++.dg/compat/abi/vbase8-4_x.C: Ditto.
	* g++.dg/compat/abi/vbase8-4_y.C: Ditto.
	* g++.dg/compat/break/bitfield7_x.C: Ditto.
	* g++.dg/compat/break/bitfield7_y.C: Ditto.

2003-07-21  Andrew Pinski  <pinskia@physics.uc.edu>

	PR c/10320
	* gcc.c-torture/execute/20030718-1.c: New test.

2003-07-21  Eric Botcazou  <ebotcazou@libertysurf.fr>

	PR optimization/11536
	* gcc.dg/20030721-1.c: New test.

2003-07-19  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11546
	* g++.dg/template/lookup1.C: New test.

2003-07-19  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/noncompile/label-1.c: New comprehensive test case for
	diagnostics of ill-formed constructs involving labels.
	* gcc.dg/noncompile/label-lineno-1.c: Add error regexp for
	the new 'previously defined here' message.

2003-07-18  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/parse/non-dependent2.C: New test.

2003-07-18  Andrew Pinski  <pinskia@physics.uc.edu>

	* g++.dg/init/init-ref4.C: xfail on targets without
	weak symbols.

2003-07-17  Jakub Jelinek  <jakub@redhat.com>

	PR target/11087
	* gcc.c-torture/execute/20030717-1.c: New test.

2003-07-18  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* g++.dg/opt/cfg1.C: New test.

2003-07-17  Mark Mitchell  <mark@codesourcery.com>

	PR optimization/11557
	* gcc.dg/20030717-1.c: New test.

2003-07-17  Andrew Pinski <pinskia@physics.uc.edu>

	PR c++/10476
	* g++.dg/expr/crash-1.C: New test.

	PR c++/11027
	* g++.dg/template/init3.C: New test.

	PR c++/8222
	* g++.dg/template/non-dependent1.C: New test.

	PR c++/11070
	* g++.dg/template/non-dependent2.C: New test.

	PR c++/11071
	* g++.dg/template/non-dependent3.C: New test.

	PR c++/9907
	* g++.dg/template/sizeof5.C: New test.

2003-07-17  Geoffrey Keating  <geoffk@apple.com>

	PR 11498
	* gcc.c-torture/compile/mangle-1.c: New file.

2003-07-17  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/7809
	* g++.dg/parse/access3.C: New test.

2003-07-17  Andrew Pinski  <pinskia@physics.uc.edu>

	PR c++/11384
	* g++.dg/init/init-ref4.C: New test.

2003-07-16  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11547
	* g++.dg/parse/constant3.C: New test.
	* g++.dg/parse/crash7.C: Likewise.

2003-07-16  Andrew Pinski  <pinskia@physics.uc.edu>

	PR target/11008
	* gcc.dg/i386-pentium4-not-mull.c: New.

2003-07-16  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/asm-names.c (ymain): Make it weak.

2003-07-16  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/5421
	* g++.dg/template/friend21.C: New test.

2003-07-16  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/cleanup-8.c: New test.
	* gcc.dg/cleanup-9.c: New test.

2003-07-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* g++.dg/ext/dll-MI1.h: New file.
	* g++.dg/ext/dllexport-MI1.C: New file.
	* g++.dg/ext/dllimport-MI1.C: New file.

2003-07-15  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/string-opt-8.c (main): Remove i370 and s390,
	it does not have cmpstrsi patterns (just cmpmemsi).

2003-07-15  Mark Mitchell  <mark@codesourcery.com>

	PR debug/11473
	* g++.dg/debug/debug8.C: New test.

2003-07-15  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10108
	* g++.dg/template/crash7.C: New test.

2003-07-15  Kazu Hirata  <kazu@cs.umass.edu>

	PR target/10795
	* gcc.c-torture/compile/20030708-1.c: New.

2003-07-15  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/execute/20030715-1.c: New test.

2003-07-14  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/inline-3.c: New file.
	* gcc.dg/pch/inline-3.hs: New file.
	* gcc.dg/pch/inline-4.c: New file.
	* gcc.dg/pch/inline-4.hs: New file.

2003-07-14  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11509
	* g++.dg/template/crash6.C: New test.

	PR c++/7053
	* g++.dg/template/friend20.C: New test.

	PR c++/7019
	* g++.dg/template/overload2.C: New test.

2003-07-14  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	PR optimization/11440
	* gcc.c-torture/execute/20030714-1.c: New test.

2003-07-14  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/11154
	* g++.dg/template/partial2.C: New test.

2003-07-13  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11503
	* g++.dg/template/anon1.C: New test.

	PR c++/11493
	PR c++/11495
	* g++.dg/parse/template9.C: Likewise.
	* g++.dg/template/crash4.C: New test.
	* g++.dg/template/koenig1.C: Likewise.
	* g++.old-deja/g++.benjamin/tem03.C: Adjust error markers.
	* g++.old-deja/g++.benjamin/tem06.C: Declare "x".
	* g++.old-deja/g++.jason/overload33.C: Use this-> when calling
	functions.
	* g++.old-deja/g++.jason/template36.C: Likewise.
	* g++.old-deja/g++.mike/p1989.C: Likewise.
	* g++.old-deja/g++.pt/lookup2.C: Use -fpermissive when compiling.
	* g++.old-deja/g++.pt/ttp20.C: Use this->.
	* g++.old-deja/g++.pt/ttp21.C: Use this->.
	* g++.old-deja/g++.pt/typename13.C: Use -fpermissive when
	compiling.
	* g++.old-deja/g++.pt/union2.C: Use this->.

2003-07-11  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030711-1.c: New test.

2003-07-11  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11050
	* g++.dg/parse/args1.C: New test.
	* g++.pt/defarg8.C: Change expected errors.

2003-07-11  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8164
	* g++.dg/template/nontype2.C: New test.

	PR c++/10558
	* g++.dg/parse/template8.C: New test.

	PR c++/8327
	* g++.dg/template/scope1.C: New test.

	* g++.dg/warn/Wsign-compare-1.C: New test.

2003-07-10  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.dg/20021018-1.c: Disable if the sizeof (int) < 4.

2003-07-10  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9411
	* g++.dg/template/explicit2.C: New test.

	PR c++/10032
	* g++.dg/warn/pedantic1.C: New test.

2003-07-10  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++ 9483
	* g++.dg/other/field1.C: New test.

2003-07-10  Kazu Hirata  <kazu@cs.umass.edu>

	PR c/11449
	* gcc.c-torture/compile/20030707-1.c: New.

2003-07-10  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10849
	* g++.dg/template/access12.C: New test.

2003-07-09  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/bprob/bprob.exp (prof_ext): Update.
	* g77.dg/bprob/bprob.exp (prof_ext): Update.
	* gcc.misc-tests/bprob.exp (prof_ext): Update.
	* gcc.misc-tests/gcov.exp: Update
	* g++.dg/gcov/gcov.exp: Update
	* lib/gcov.exp: Update.

2003-07-08  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/mangle17.C: Make sure template expressions are
	dependent.
	* g++.dg/abi/mangle4.C: Mark erroneous casts.
	* g++.dg/debug/debug7.C: Mark erronous new-declarator.
	* g++.dg/opt/stack1.C: Remove erroneous code.
	* g++.dg/parse/template7.C: New test.
	* g++.dg/template/dependent-expr1.C: Mark erroneous code.
	* g++.old-deja/g++.pt/crash4.C: Likewise.

2003-07-09  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* gcc.dg/const-elim-1.c (dg-final): Change regexp to match labels
	with zero or one occurence of `$' after the initial `L'.

2003-07-08  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/compile/20030704-1.c: Add a comment.

2003-07-08  Roger Sayle  <roger@eyesopen.com>

	PR c/11370
	* gcc.dg/Wunreachable-6.c: New testcase.
	* gcc.dg/Wunreachable-7.c: New testcase.

2003-07-08  Jakub Jelinek  <jakub@redhat.com>

	PR c/11420
	* gcc.dg/20030708-1.c: New test.

2003-07-08  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/compat/sdata-section.h: New file.
	* gcc.dg/compat/sdata-1_{x,y,main}.c: New test.
	* gcc.dg/torture/mips-sdata-1.c: New test.

2003-07-08  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/11030
	* g++.dg/template/friend19.C: New test.

2003-07-08  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/strength-reduce.C: New test.

2003-07-07  Roger Sayle  <roger@eyesopen.com>

	PR target/10979
	* gcc.dg/20030707-1.c: New testcase.

2003-07-07  Roger Sayle  <roger@eyesopen.com>

	PR optimization/11059
	* g++.dg/opt/emptyunion.C: New testcase.

2003-07-07  Richard Kenner  <kenner@vlsi1.ultra.nyu.edu>
	    Eric Botcazou  <ebotcazou@libertysurf.fr>

	* g++.dg/opt/stack1.C: New test.

2003-07-05  Mark Mitchell  <mark@codesourcery.com>

	* g++.old-deja/g++.jason/typeid1.C: Make it a compile test, not a
	run test.

	PR c++/11431
	* g++.dg/expr/static_cast3.C: New test.

2003-07-04  Zack Weinberg  <zack@codesourcery.com>

	* gcc.c-torture/execute/wchar_t-1.x: New file; XFAIL wchar_t-1.c
	everywhere.
	* gcc.dg/concat.c: Concatenation of string constants with
	__FUNCTION__ / __PRETTY_FUNCTION__ is now a hard error.
	* gcc.dg/wtr-strcat-1.c: Loosen dg-warning regexp.
	* gcc.dg/cpp/escape-2.c: Use wide character constants where
	necessary to avoid multi-character character constant warning.
	* gcc.dg/cpp/escape.c: Likewise.
	* gcc.dg/cpp/ucs.c: Likewise.
	Remove backslashes from dg-bogus comments, as they confuse Tcl.
	Fix a typo.

2003-07-04  Kazu Hirata  <kazu@cs.umass.edu>

	PR c/11428
	* gcc.c-torture/compile/20030704-1.c: New.

2003-07-04  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.dg/compat/fnptr-by-value-1_x.c: Add a prototype for testva.

2003-07-04  Danny Smith  <dannysmith@users.sourceforge.net>

	PR c++/5287, PR c++/7910,  PR c++/11021
	* g++.dg/ext/dllimport1.C: Add mingw32 as target. Add
	tests for warnings.
	* g++.dg/ext/dllimport2.C: Add tests for warnings.
	* g++.dg/ext/dllimport3.C: Likewise.
	* g++.dg/ext/dllimport4.C: New file.
	* g++.dg/ext/dllimport5.C: New file.
	* g++.dg/ext/dllimport6.C: New file.
	* g++.dg/ext/dllimport7.C: New file.
	* g++.dg/ext/dllimport8.C: New file.
	* g++.dg/ext/dllimport9.C: New file.
	* g++.dg/ext/dllimport10.C: New file.
	* g++.dg/ext/dllexport1.C: New file.

2003-07-03  Mark Mitchell  <mark@codesourcery.com>

	* g++.old-deja/g++.jason/typeid1.C: Add dg-error marker.
	* g++.old-deja/g++.mike/net36.C: Tweak error messages.

2003-07-03  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-25.c: New testcase.
	* gcc.dg/builtins-26.c: New testcase.

2003-07-03  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/vector-defs.h: New file.
	* gcc.dg/compat/vector-setup.h: New file.
	* gcc.dg/compat/vector-check.h: New file.
	* gcc.dg/compat/vector-1_main.c: New file.
	* gcc.dg/compat/vector-1_x.c: New file.
	* gcc.dg/compat/vector-1_y.c: New file.
	* gcc.dg/compat/vector-2_main.c: New file.
	* gcc.dg/compat/vector-2_x.c: New file.
	* gcc.dg/compat/vector-2_y.c: New file.

	* gcc.dg/compat/fnptr-by-value-1_main.c: New file.
	* gcc.dg/compat/fnptr-by-value-1_x.c: New file.
	* gcc.dg/compat/fnptr-by-value-1_y.c: New file.
	* gcc.dg/compat/struct-align-1.h: New file.
	* gcc.dg/compat/struct-align-1_main.c: New file.
	* gcc.dg/compat/struct-align-1_x.c: New file.
	* gcc.dg/compat/struct-align-1_y.c: New file.
	* gcc.dg/compat/struct-align-2.h: New file.
	* gcc.dg/compat/struct-align-2_main.c: New file.
	* gcc.dg/compat/struct-align-2_x.c: New file.
	* gcc.dg/compat/struct-align-2_y.c: New file.

	* gcc.dg/compat/compat-common.h (DEBUG_FINI): New.
	* gcc.dg/compat/scalar-by-value-1_x.c: Use it.
	* gcc.dg/compat/scalar-by-value-2_x.c: Ditto.
	* gcc.dg/compat/scalar-by-value-3_x.c: Ditto.
	* gcc.dg/compat/scalar-by-value-4_x.c: Ditto.
	* gcc.dg/compat/scalar-return-1_x.c: Ditto.
	* gcc.dg/compat/scalar-return-2_x.c: Ditto.
	* gcc.dg/compat/scalar-return-3_x.c: Ditto.
	* gcc.dg/compat/scalar-return-4_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-10_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-11_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-12_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-13_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-14_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-15_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-16_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-17_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-18_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-2_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-3_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-4_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-7_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-8_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-9_x.c: Ditto.
	* gcc.dg/compat/struct-return-10_x.c: Ditto.
	* gcc.dg/compat/struct-return-2_x.c: Ditto.
	* gcc.dg/compat/struct-return-3_x.c: Ditto.

2003-07-03  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-call-1.c: New test.

2003-07-03  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9162
	* g++.dg/parse/defarg4.C: New.

2003-07-03  Roger Sayle  <roger@eyesopen.com>

	PR target/10700
	* gcc.c-torture/compile/20030703-1.c: New test case.

2003-07-03  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/local3.C: Remove extra semicolon.

2003-07-03  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-volatile-1.c: New test.

2003-07-02  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/11072
	* g++.dg/other/offsetof2.C: XFAIL.
	* g++.dg/other/offsetof5.C: New.

	PR c++/10219
	* g++.dg/template/error1.C: New.

	PR c++/9779
	* g++.dg/template/dependent-expr1.C: New.

2003-07-01  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6949
	* g++.dg/template/local3.C: New test.

	PR c++/11149
	* g++.dg/lookup/scoped6.C: New test.

2003-07-01  Giovanni Bajo  <giovannibajo@libero.it>

	PR c++/8046
	* g++.dg/other/error7.C: New test.

2003-07-01  Kazu Hirata  <kazu@cs.umass.edu>

	* g++.old-deja/g++.abi/vbase1.C: Fix comment typos.
	* g++.old-deja/g++.abi/vtable3.h: Likewise.
	* g++.old-deja/g++.law/code-gen5.C: Likewise.
	* g++.old-deja/g++.other/union2.C: Likewise.
	* gcc.dg/c90-const-expr-2.c: Likewise.
	* gcc.dg/c90-const-expr-3.c: Likewise.
	* gcc.dg/c99-const-expr-2.c: Likewise.
	* gcc.dg/c99-const-expr-3.c: Likewise.
	* gcc.dg/concat.c: Likewise.

2003-07-01  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9559
	* g++.dg/init/static1.C: New test.

2003-06-30  Volker Reichelt  <reichelt@igpm.rwth-aachen.de>

	* Changelog: Remove ">>>>>>>" from previous change.

2003-06-30  Volker Reichelt  <reichelt@igpm.rwth-aachen.de>

	* g++.old-deja/g++.niklas/README: Fix spelling for "testcase".
	* g++.old-deja/g++.other/access2.C: Likewise.
	* g++.old-deja/g++.other/decl2.C: Likewise.
	* gcc.c-torture/execute/20020615-1.c: Likewise.

2003-06-30  Giovanni Bajo  <giovannibajo@libero.it>

	PR c++/4933
	* g++.dg/template/sizeof4.C: New test.

2003-06-30  Giovanni Bajo  <giovannibajo@libero.it>

	* g++.dg/other/error6.C: New test.

2003-06-30  Giovanni Bajo  <giovannibajo@libero.it>

	PR c++/10750
	* g++.dg/parse/constant2.C: New test.

2003-06-30  Giovanni Bajo <giovannibajo@libero.it>

	PR c++/11106
	* g++.dg/other/error5.C: New test.

2003-06-29  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/format/gcc_diag-1.c: New test.

2003-06-28  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.c-torture/execute/multi-ix.c: Fix off-by-one bugs.

2003-06-28  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.old-deja/g++.robertl/eb133.C: Set expected line number.
	* g++.old-deja/g++.robertl/eb133a.C: Likewise.
	* g++.old-deja/g++.robertl/eb133b.C: Likewise.

2003-06-28  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/builtins/string-8.c: New test.
	* gcc.c-torture/execute/builtins/string-8-lib.c: New.
	* gcc.c-torture/execute/stdio-opt-1.c (main): Add new tests.
	* gcc.c-torture/execute/string-opt-7.c (main): Add new test.

2003-06-27  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10468
	* g++.dg/ext/typeof6.C: New test.

2003-06-27  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10796
	* g++.dg/init/enum1.C: New test.

2003-06-27  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/20030627-1.c: New test.

2003-06-26  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11332
	* g++.dg/expr/static_cast2.C: New test.

2003-06-26  Roger Sayle  <roger@eyesopen.com>
	    Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/string-opt-16.c: Remove test for disabled
	sprintf(dst,"%s",src) optimization.
	* gcc.c-torture/execute/20030626-1.c: New test case.
	* gcc.c-torture/execute/20030626-2.c: New test case.

2003-06-26  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/multi-ix.c: New test.

	* gcc.c-torture/execute/simd-4.c (main):
	Added missing semicolon at end of union.

2003-06-26  Giovanni Bajo  <giovannibajo@libero.it>

	PR c++/8266
	* g++.dg/template/explicit-instantiation3.C: New test.

2003-06-26  Eric Botcazou <ebotcazou@libertysurf.fr>

	* gcc.dg/20030626-1.c: Use signed char.

2003-06-26  Eric Botcazou <ebotcazou@libertysurf.fr>

	* gcc.dg/20030626-1.c: New test.

2003-06-26  Neil Booth  <neil@daikokuya.co.uk>

	* const-str-2.m: Update.

2003-06-25  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10990
	* g++.dg/rtti/dyncast1.C: New test.
	* g++.dg/abi/mangle4.C: Correct base-specifier access.
	* g++.dg/lookup/scoped1.C: Remove XFAIL.
	* g++.old-deja/g++.martin/pmf1.C: Correct base-specifier access.

	PR c++/10931
	* g++.dg/expr/static_cast1.C: New test.

2003-06-25  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.dg/20030625-1.c: New test.

2003-06-24  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/compile/20030624-1.c: New test case.

2003-06-24  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/string-opt-17.c: New test.

2003-06-24  Mark Mitchell  <mark@codesourcery.com>

	PR c++/5754
	* g++.dg/parse/crash6.C: New test.

2003-06-23  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-24.c: New test case.

2003-06-23  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/operator1.C: New test.

2003-06-22  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/string-opt-16.c: New test case.

2003-06-21  Gabriel Dos Reis <gdr@integrable-solutions.net>

	* g++.old-deja/g++.benjamin/16077.C: Add -Wconversion  option.
	* g++.old-deja/g++.other/conv7.C: Likewise
	* g++.old-deja/g++.other/overcnv2.C: Likewise.
	* g++.old-deja/g++.other/overload14.C: Likewise.

2003-06-21  Gabriel Dos Reis <gdr@integrable-solutions.net>

	* g++.old-deja/g++.jason/conversion5.C: Adjust option.
	* g++.old-deja/g++.bugs/900215_01.C: Likewise.

2003-06-20  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10888
	* g++.dg/warn/Winline-3.C: New test.

2003-06-20  Mark Mitchell  <mark@codesourcery.com>

	* lib/target-supports.exp (check_alias_available): Make the test
	program acceptable to the Solaris assembler.

	PR c++/10749
	* g++.dg/template/memclass2.C: New test.

2003-06-20  Mark Mitchell  <mark@codesourcery.com>
	    Eric Botcazou  <ebotcazou@libertysurf.fr>

	* lib/gcc-dg.exp (dg-xfail-if): Do not process conditional xfail
	data for non-matching targets.
	* gcc.c-torture/compile/simd-5.c: Fix typo in conditional xfail.

2003-06-20  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10845
	* g++.dg/template/member3.C: New test.

2003-06-19  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10939
	* g++.dg/template/func1.C: New test.

	PR c++/9649
	* g++.dg/template/static4.C: New test.
	* g++.old-deja/g++.other/anon7.C: Remove spurious error messages.

	PR c++/11041
	* g++.dg/init/ref7.C: New test.

2003-06-19  Matt Austern  <austern@apple.com>

	PR c++/11228
	* g++.dg/anew1.C: New test.
	* g++.dg/anew2.C: New test.
	* g++.dg/anew3.C: New test.
	* g++.dg/anew4.C: New test.

2003-06-19  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/compile/simd-5.c: Don't XFAIL on H8.

2003-06-19  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/simd-4.c (main): Make expected value
	endian-dependent.

2003-06-17  Benjamin Kosnik  <bkoz@redhat.com>

	* lib/g++.exp (g++_include_flags): Tweak path to testsuite_flags.
	Remove cruft.

2003-06-17  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/compile/20020604-1.c: Use dg-xfail-if for h8300.
	* gcc.c-torture/compile/961203-1.c: Likewise.
	* gcc.c-torture/compile/980506-1.c: Likewise.

2003-06-17  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10712
	* g++.dg/lookup/using7.C: New test.

2003-06-17  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11105
	* g++.dg/abi/conv1.C: Remove it.
	* g++.dg/template/conv7.C: New test.
	* g++.dg/template/conv8.C: Likewise.
	* g++.old-deja/g++.ext/pretty2.C: Do not test __FUNCTION__ for a
	conversion operator.

2003-06-17  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/compat-common.h (DEBUG_INIT): New.
	* gcc.dg/compat/scalar-by-value-1_x.c: Use it.
	* gcc.dg/compat/scalar-by-value-2_x.c: Ditto.
	* gcc.dg/compat/scalar-by-value-3_x.c: Ditto.
	* gcc.dg/compat/scalar-by-value-4_x.c: Ditto.
	* gcc.dg/compat/scalar-return-1_x.c: Ditto.
	* gcc.dg/compat/scalar-return-2_x.c: Ditto.
	* gcc.dg/compat/scalar-return-3_x.c: Ditto.
	* gcc.dg/compat/scalar-return-4_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-10_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-11_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-12_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-13_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-14_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-15_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-16_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-17_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-18_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-2_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-3_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-4_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-7_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-8_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-9_x.c: Ditto.
	* gcc.dg/compat/struct-return-10_x.c: Ditto.
	* gcc.dg/compat/struct-return-2_x.c: Ditto.
	* gcc.dg/compat/struct-return-3_x.c: Ditto.

2003-06-16  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (dg-xfail-if): Fix thinko.
	* gcc.c-torture/compile/simd-5.c: Remove spurious PowerPC-64 XFAIL
	indications.

2003-06-16  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/i386-387-5.c: New test case.
	* gcc.dg/i386-387-6.c: New test case.
	* gcc.dg/builtins-23.c: New test case.

2003-06-15  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-22.c: New test case.
	* gcc.dg/i386-387-1.c: Update to test exp.
	* gcc.dg/i386-387-2.c: Likewise.

2003-06-13  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/format/asm_fprintf-1.c: Update width/precision checks.

2003-06-12  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (dg-require-dll): New function.
	(dg-xfail-if): Likewise.
	* gcc.c-torture/compile/compile.exp: Use dg rather than c-torture
	driver.

	* gcc.c-torture/compile/20000804-1.c: Convert to dg format.
	* gcc.c-torture/compile/20001205-1.c: Likewise.
	* gcc.c-torture/compile/20001226-1.c: Likewise.
	* gcc.c-torture/compile/20010518-2.c: Likewise.
	* gcc.c-torture/compile/20020312-1.c: Likewise.
	* gcc.c-torture/compile/20020604-1.c: Likewise.
	* gcc.c-torture/compile/920501-12.c: Likewise.
	* gcc.c-torture/compile/920501-4.c: Likewise.
	* gcc.c-torture/compile/920520-1.c: Likewise.
	* gcc.c-torture/compile/920521-1.c: Likewise.
	* gcc.c-torture/compile/920625-1.c: Likewise.
	* gcc.c-torture/compile/961203-1.c: Likewise.
	* gcc.c-torture/compile/980506-1.c: Likewise.
	* gcc.c-torture/compile/981006-1.c: Likewise.
	* gcc.c-torture/compile/981022-1.c: Likewise.
	* gcc.c-torture/compile/981223-1.c: Likewise.
	* gcc.c-torture/compile/990617-1.c: Likewise.
	* gcc.c-torture/compile/dll.c: Likewise.
	* gcc.c-torture/compile/labels-3.c: Likewise.
	* gcc.c-torture/compile/mipscop-1.c: Likewise.
	* gcc.c-torture/compile/mipscop-2.c: Likewise.
	* gcc.c-torture/compile/mipscop-3.c: Likewise.
	* gcc.c-torture/compile/mipscop-4.c: Likewise.
	* gcc.c-torture/compile/simd-5.c: Likewise.
	* gcc.c-torture/compile/20000804-1.x: Remove.
	* gcc.c-torture/compile/20001205-1.x: Likewise.
	* gcc.c-torture/compile/20001226-1.x: Likewise.
	* gcc.c-torture/compile/20010518-2.x: Likewise.
	* gcc.c-torture/compile/20020312-1.x: Likewise.
	* gcc.c-torture/compile/20020604-1.x: Likewise.
	* gcc.c-torture/compile/920501-12.x: Likewise.
	* gcc.c-torture/compile/920501-4.x: Likewise.
	* gcc.c-torture/compile/920520-1.x: Likewise.
	* gcc.c-torture/compile/920521-1.x: Likewise.
	* gcc.c-torture/compile/920625-1.x: Likewise.
	* gcc.c-torture/compile/961203-1.x: Likewise.
	* gcc.c-torture/compile/980506-1.x: Likewise.
	* gcc.c-torture/compile/981006-1.x: Likewise.
	* gcc.c-torture/compile/981022-1.x: Likewise.
	* gcc.c-torture/compile/981223-1.x: Likewise.
	* gcc.c-torture/compile/990617-1.x: Likewise.
	* gcc.c-torture/compile/mipscop-1.x: Likewise.
	* gcc.c-torture/compile/mipscop-2.x: Likewise.
	* gcc.c-torture/compile/mipscop-3.x: Likewise.
	* gcc.c-torture/compile/mipscop-4.x: Likewise.
	* gcc.c-torture/compile/simd-5.x: Likewise.

	* gcc.c-torture/compile/20021205-1.c: Remove bogus dg commands.

2003-06-13  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/execute/20030611-1.c: New test.

2003-06-12  Roger Sayle  <roger@eyesopen.com>

	PR middle-end/168
	* gcc.dg/20030612-1.c: New test case.

2003-06-12  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10635
	* g++.dg/expr/cast1.C: New test.

2003-06-12  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-21.c: New test case.

2003-06-11  Kelley Cook  <kelleycook@wideopenwest.com>

	* lib/gcc.exp (gcc_target_compile): Put TOOL_OPTIONS at front of
	options instead of at the end.
	* lib/objc.exp (objc_target_compile): Likewise.

2003-06-11  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10432
	* g++.dg/parse/error1.C: New test.

2003-06-11  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/struct-by-value-11_main.c: New file.
	* gcc.dg/compat/struct-by-value-11_x.c: New file.
	* gcc.dg/compat/struct-by-value-11_y.c: New file.
	* gcc.dg/compat/struct-by-value-12_main.c: New file.
	* gcc.dg/compat/struct-by-value-12_x.c: New file.
	* gcc.dg/compat/struct-by-value-12_y.c: New file.
	* gcc.dg/compat/struct-by-value-13_main.c: New file.
	* gcc.dg/compat/struct-by-value-13_x.c: New file.
	* gcc.dg/compat/struct-by-value-13_y.c: New file.
	* gcc.dg/compat/struct-by-value-14_main.c: New file.
	* gcc.dg/compat/struct-by-value-14_x.c: New file.
	* gcc.dg/compat/struct-by-value-14_y.c: New file.
	* gcc.dg/compat/struct-by-value-15_main.c: New file.
	* gcc.dg/compat/struct-by-value-15_x.c: New file.
	* gcc.dg/compat/struct-by-value-15_y.c: New file.
	* gcc.dg/compat/struct-by-value-16_main.c: New file.
	* gcc.dg/compat/struct-by-value-16_x.c: New file.
	* gcc.dg/compat/struct-by-value-16_y.c: New file.
	* gcc.dg/compat/struct-by-value-17_main.c: New file.
	* gcc.dg/compat/struct-by-value-17_x.c: New file.
	* gcc.dg/compat/struct-by-value-17_y.c: New file.
	* gcc.dg/compat/struct-by-value-18_main.c: New file.
	* gcc.dg/compat/struct-by-value-18_x.c: New file.
	* gcc.dg/compat/struct-by-value-18_y.c: New file.

	* gcc.dg/compat/scalar-by-value-3_main.c: New file.
	* gcc.dg/compat/scalar-by-value-3_x.c: New file.
	* gcc.dg/compat/scalar-by-value-3_y.c: New file.
	* gcc.dg/compat/scalar-by-value-4_main.c: New file.
	* gcc.dg/compat/scalar-by-value-4_x.c: New file.
	* gcc.dg/compat/scalar-by-value-4_y.c: New file.
	* gcc.dg/compat/scalar-return-3_main.c: New file.
	* gcc.dg/compat/scalar-return-3_x.c: New file.
	* gcc.dg/compat/scalar-return-3_y.c: New file.
	* gcc.dg/compat/scalar-return-4_main.c: New file.
	* gcc.dg/compat/scalar-return-4_x.c: New file.
	* gcc.dg/compat/scalar-return-4_y.c: New file.

2003-06-10  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/fp2-struct-check.h: New file.
	* gcc.dg/compat/fp2-struct-defs.h: New file.
	* gcc.dg/compat/fp2-struct-init.h: New file.
	* gcc.dg/compat/struct-by-value-10_main.c: New file.
	* gcc.dg/compat/struct-by-value-10_x.c: New file.
	* gcc.dg/compat/struct-by-value-10_y.c: New file.
	* gcc.dg/compat/struct-return-10_main.c: New file.
	* gcc.dg/compat/struct-return-10_x.c: New file.
	* gcc.dg/compat/struct-return-10_y.c: New file.

	* gcc.dg/compat/compat-common.h: New file.
	* gcc.dg/compat/fp-struct-check.h: Improve debugging output.
	* gcc.dg/compat/fp-struct-test-by-value-x.h: Ditto.
	* gcc.dg/compat/fp-struct-test-by-value-y.h: Ditto.
	* gcc.dg/compat/scalar-by-value-1_main.c: Ditto.
	* gcc.dg/compat/scalar-by-value-1_x.c: Ditto.
	* gcc.dg/compat/scalar-by-value-1_y.c: Ditto.
	* gcc.dg/compat/scalar-by-value-2_main.c: Ditto.
	* gcc.dg/compat/scalar-by-value-2_x.c: Ditto.
	* gcc.dg/compat/scalar-by-value-2_y.c: Ditto.
	* gcc.dg/compat/scalar-return-1_main.c: Ditto.
	* gcc.dg/compat/scalar-return-1_x.c: Ditto.
	* gcc.dg/compat/scalar-return-1_y.c: Ditto.
	* gcc.dg/compat/scalar-return-2_main.c: Ditto.
	* gcc.dg/compat/scalar-return-2_x.c: Ditto.
	* gcc.dg/compat/scalar-return-2_y.c: Ditto.
	* gcc.dg/compat/small-struct-check.h: Ditto.
	* gcc.dg/compat/struct-by-value-2_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-2_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-2_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-3_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-3_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-3_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-4_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-4_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-4_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-7_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-7_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-7_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-8_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-8_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-8_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-9_main.c: Ditto.
	* gcc.dg/compat/struct-by-value-9_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-9_y.c: Ditto.
	* gcc.dg/compat/struct-return-2_main.c: Ditto.
	* gcc.dg/compat/struct-return-2_x.c: Ditto.
	* gcc.dg/compat/struct-return-2_y.c: Ditto.
	* gcc.dg/compat/struct-return-3_main.c: Ditto.
	* gcc.dg/compat/struct-return-3_x.c: Ditto.
	* gcc.dg/compat/struct-return-3_y.c: Ditto.

2003-06-10  Geoffrey Keating  <geoffk@apple.com>

	* g++.dg/pch/static-1.C: New file.
	* g++.dg/pch/static-1.Hs: New file.

2003-06-10  Richard Henderson  <rth@redhat.com>

	* gcc.dg/asm-7.c: Adjust expected warning text.

2003-06-10  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-20.c: New test case.

2003-06-10  Mark Mitchell  <mark@codesourcery.com>

	PR c++/11131
	* g++.dg/opt/template1.C: New test.

2003-06-09  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (dg-test): Clear additional_files and
	additional_sources.

2003-05-21  David Taylor  <dtaylor@emc.com>

	* gcc.dg/Wpadded.c: New file.

2003-06-09  Mark Mitchell  <mark@codesourcery.com>

	* gcc.dg/special/20000419-2.c: Fix dg-require-alias syntax.
	* gcc.dg/special/weak-2.c: Add dg-require-weak.
	* gcc.dg/weak/weak-3.c: Reverse order of dg-do and
	dg-require-weak.

2003-06-09  J"orn Rennecke <joern.rennecke@superh.com>

	* g++.dg/other/offsetof3.C: Adjust linenumber of last expected warning.

2003-06-09  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (dg-require-weak): Fix typo.
	(dg-require-alias): Likewise.
	(dg-require-gc-sections): Likewise.
	* lib/target-supports.exp (check_gc_sections_available): Likewise.

2003-06-08  Richard Henderson  <rth@redhat.com>

	* gcc.dg/20011029-2.c: Fix the array reference.
	* gcc.dg/asm-7.c: New.

2003-06-08  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/compile/20000804-1.x: Disable on h8300 port.

2003-06-08  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (dg-require-alias): Fix typo.
	(dg-require-gc-sections): Likewise.

Sun Jun  8 16:46:04 CEST 2003  Jan Hubicka  <jh@suse.cz>

	* i386-cmov1.c: Fix regular expression.
	* i386-cvt-1.c: Likewise.
	* i386-local.c: Likewise.
	* i386-local2.c: Likewise.
	* i386-mul.c: Likewise.
	* i386-ssetype-1.c: Likewise.
	* i386-ssetype-3.c: Likewise.
	* i386-ssetype-5.c: Likewise.

2003-06-08  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/11039
	* g++.dg/warn/implicit-typename2.C: New test.
	* g++.dg/warn/implicit-typename3.C: New test.

2003-06-07  Richard Henderson  <rth@redhat.com>

	* g++.dg/other/offsetof3.C: Use size_t.
	* g++.dg/other/offsetof4.C: Likewise.

2003-06-07  H.J. Lu <hongjiu.lu@intel.com>

	* lib/copy-file.exp: New. Implement gcc_copy_files.

	* lib/dg-pch.exp: Load copy-file.exp
	(dg-pch): Use gcc_copy_files instead of "file copy".

2003-06-06  Mark Mitchell  <mark@codesourcery.com>

	* gcc.dg/weak/weak.exp: Simplify.
	* gcc.dg/weak/typeof-2.c: Use dg-require-weak.
	* gcc.dg/weak/weak-1.c: Likewise.
	* gcc.dg/weak/weak-2.c: Likewise.
	* gcc.dg/weak/weak-3.c: Likewise.
	* gcc.dg/weak/weak-4.c: Likewise.
	* gcc.dg/weak/weak-5.c: Likewise.
	* gcc.dg/weak/weak-6.c: Likewise.
	* gcc.dg/weak/weak-7.c: Likewise.
	* gcc.dg/weak/weak-8.c: Likewise.
	* gcc.dg/weak/weak-9.c: Likewise.

2003-06-06  Richard Earnshaw  <rearnsha@arm.com>

	gcc.c-torture/execute/20030606-1.c: New.

2003-06-06  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-2.c: Correct check-in of incorrect version.
	* gcc.dg/builtins-19.c: Likewise.

2003-06-06  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-2.c: Add some more tests.
	* gcc.dg/builtins-18.c: New test case.
	* gcc.dg/builtins-19.c: New test case.

2003-06-06  Roger Sayle  <roger@eyesopen.com>
	    Jim Wilson  <wilson@tuliptree.org>

	* gcc.dg/uninit-C.c: Only test TImode on 64-bit platforms.

2003-06-06  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/builtins/string-4.c (main_test): Allow some
	mempcpy/stpcpy calls not to be optimized into something else.
	* gcc.c-torture/execute/string-opt-3.c: Moved to...
	* gcc.c-torture/execute/builtins/string-7.c: ...here.
	* gcc.c-torture/execute/builtins/string-7-lib.c: New.

2003-06-05  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/format/asm_fprintf-1.c: New test.

2003-06-05  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-defs.exp (additional_sources): New variable.
	(dg-additional-sources): New function.
	(additional_files): New variable.
	(dg-additional-files): New function.
	(dg-additional-files-options): Likewise.
	* lib/gcc-dg.exp (dg-require-weak): New function.
	(dg-require-alias): Likewise.
	(dg-require-gc-sections): Likewise.
	* lib/target-supports.exp (check_alias_available): Remove testfile
	parameter.
	(check_gc_sections_available): New function.
	* lib/g++-dg.exp (dg-gpp-additional-sources): Remove.
	(dg-gpp-additional-files): Likewise.
	* lib/g++.exp (additional_sources): Remove.
	(additional_files): Likewise.
	(g++_target_compile): Use dg-additional-files-options.

	* gcc.dg/special/special.exp: Add "ecos" tests.  Remove complex
	Tcl logic.
	* gcc.dg/special/ecos.exp: Remove.
	* gcc.dg/special/20000419-2.c: Use dg-require-*.
	* gcc.dg/special/alias-1.c: Likewise.
	* gcc.dg/special/alias-2.c: Likewise.
	* gcc.dg/special/gcsec-1.c: Likewise.
	* gcc.dg/special/weak-1.c: Likewise.
	* gcc.dg/special/weak-2.c: Likewise.
	* gcc.dg/special/wkali-1.c: Likewise.
	* gcc.dg/special/wkali-2.c: Likewise.

	* g++.dg/special/conpr-2.C: Use dg-additional-*, not
	dg-gpp-additional-*.
	* g++.dg/special/conpr-3.C: Likewise.
	* g++.dg/special/conpr-4.C: Likewise.
	* g++.old-deja/g++.abi/vtable3a.C: Likewise.
	* g++.old-deja/g++.abi/vtable3b.C: Likewise.
	* g++.old-deja/g++.abi/vtable3c.C: Likewise.
	* g++.old-deja/g++.abi/vtable3d.C: Likewise.
	* g++.old-deja/g++.abi/vtable3e.C: Likewise.
	* g++.old-deja/g++.abi/vtable3f.C: Likewise.
	* g++.old-deja/g++.abi/vtable3g.C: Likewise.
	* g++.old-deja/g++.abi/vtable3h.C: Likewise.
	* g++.old-deja/g++.abi/vtable3i.C: Likewise.
	* g++.old-deja/g++.abi/vtable3j.C: Likewise.
	* g++.old-deja/g++.oliva/linkage1.C: Likewise.
	* g++.old-deja/g++.other/comdat1.C: Likewise.
	* g++.old-deja/g++.other/comdat2.C: Likewise.
	* g++.old-deja/g++.other/comdat3.C: Likewise.
	* g++.old-deja/g++.other/ctor1.C: Likewise.
	* g++.old-deja/g++.pt/instantiate5.C: Likewise.

2003-06-05  Richard Henderson  <rth@redhat.com>

	* gcc.dg/debug/20030605-1.c: New.

2003-06-04  Mark Mitchell  <mark@codesourcery.com>

	* README.QMTEST: Update.

2003-06-04  Richard Henderson  <rth@redhat.com>

	* gcc.dg/cleanup-1.c: New.
	* gcc.dg/cleanup-2.c: New.
	* gcc.dg/cleanup-3.c: New.
	* gcc.dg/cleanup-4.c: New.
	* gcc.dg/cleanup-5.c: New.
	* gcc.dg/cleanup-6.c: New.
	* gcc.dg/cleanup-7.c: New.

2003-06-04  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/vague1.C: Use xfail, rather than embedded Tcl code.

	* lib/dg-pch.exp: New file.
	* g++.dg/pch/pch.exp: Use dg-pch.exp.
	* gcc.dg/pch/pch.exp: Likewise.

2003-06-04  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-2.c: Add tests for tan(atan(x)).
	* gcc.dg/builtins-3.c: Add tests for tan(0.0) and atan(0.0).
	* gcc.dg/builtins-7.c: Add tests for tan(atan(x)) == x.
	* gcc.dg/builtins-17.c: New test case.
	* gcc.dg/i386-387-4.c: New test case.
	* gcc.c-torture/execute/ieee/mzero4.c: New test case.

2003-06-04  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp9.c: New test.

2003-06-04  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20030604-1.c: New test.
	* gcc.dg/sparc-constant-1.c: New test.

2003-06-03  Glen Nakamura  <glen@imodulo.com>

 	* gcc.dg/20020525-1.c: Replace 0x5a5a5a5a with -1.

2003-06-03  J"orn Rennecke <joern.rennecke@superh.com>

	* g++.dg/abi/empty6.C (B): Request alignment of 8 bytes.

	* gcc.dg/torture/builtin-noret-1.c (_exit, _Exit): Make weak.
	* gcc.dg/torture/builtin-noret-2.c (_exit, _Exit): Likewise.

2003-06-03  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.c-torture/compile/simd-5.x: Remove xfail for PPC64.

2003-06-03  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10940
	* g++.dg/template/spec10.C: New test.

2003-06-03  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-16.c: New test case.

2003-06-03  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/builtins/string-4.c (main_test): Remove
	mempcpy test with post-increments.
	* gcc.c-torture/execute/string-opt-3.c: New test.
	* gcc.dg/string-opt-1.c: New test.

2003-06-03  David Billinghurst (David.Billinghurst@riotinto.com)

	PR fortran/10965
	* g77.f-torture/compile/20000601-2.f: Fix non-standard code.

2003-06-02  Mark Mitchell  <mark@codesourcery.com>

	* lib/scanasm.exp (dg-scan): New function, factored out of ...
	(scan-assembler): ... here.  Use dg-scan.
	(scan-assembler-not): Likewise.
	(scan-file): New function.
	(scan-file-not): Likewise.
	* gcc.dg/cpp/19990228-1.c: Use scan-file and/or scan-file-not.
	* gcc.dg/cpp/_Pragma4.c: Likewise.
	* gcc.dg/cpp/_Pragma5.c: Likewise.
	* gcc.dg/cpp/avoidpaste1.c: Likewise.
	* gcc.dg/cpp/avoidpaste2.c: Likewise.
	* gcc.dg/cpp/cmdlne-C2.c: Likewise.
	* gcc.dg/cpp/cmdlne-P.c: Likewise.
	* gcc.dg/cpp/cmdlne-dD-M.c: Likewise.
	* gcc.dg/cpp/cmdlne-dD-dM.c: Likewise.
	* gcc.dg/cpp/cmdlne-dI-M.c: Likewise.
	* gcc.dg/cpp/cmdlne-dM-M.c: Likewise.
	* gcc.dg/cpp/cmdlne-dM-dD.c: Likewise.
	* gcc.dg/cpp/cmdlne-dN-M.c: Likewise.
	* gcc.dg/cpp/cxxcom1.c: Likewise.
	* gcc.dg/cpp/line1.c: Likewise.
	* gcc.dg/cpp/maccom1.c: Likewise.
	* gcc.dg/cpp/maccom2.c: Likewise.
	* gcc.dg/cpp/maccom3.c: Likewise.
	* gcc.dg/cpp/maccom4.c: Likewise.
	* gcc.dg/cpp/maccom5.c: Likewise.
	* gcc.dg/cpp/maccom6.c: Likewise.
	* gcc.dg/cpp/multiline.c: Likewise.
	* gcc.dg/cpp/spacing1.c: Likewise.
	* gcc.dg/cpp/spacing2.c: Likewise.
	* gcc.dg/cpp/trad/cmdlne-C2.c: Likewise.
	* gcc.dg/cpp/trad/maccom1.c: Likewise.
	* gcc.dg/cpp/trad/maccom2.c: Likewise.
	* gcc.dg/cpp/trad/maccom3.c: Likewise.
	* gcc.dg/cpp/trad/maccom4.c: Likewise.
	* gcc.dg/cpp/trad/maccom6.c: Likewise.
	* gcc.dg/cpp/cxxcom2.c: Likewise.
	* gcc.dg/cpp/cxxcom2.h: New file.

	* gcc.dg/cpp/truefalse.cpp: Move it to ...
	* g++.dg/cpp/truefalse.C: Here.
	* gcc.dg/cpp/cpp.exp: Remove scanning of ".cpp" files.

2003-06-01  Loren James Rittle  <ljrittle@acm.org>

	* gcc.dg/cpp/redef3.c: New file.

2003-06-01  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-loop-3.c: New test.

2003-05-31  Toon Moene  <toon@moene.indiv.nluug.nl>

	* g77.dg/ffree-form-2.f: XFAIL removed, because fixed.

2003-05-31  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/fwrapv-1.c: New test case.
	* gcc.dg/fwrapv-2.c: New test case.

2003-05-31  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10956
	* g++.dg/template/spec9.C: New test.

2003-05-29  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/duff-4.c: New test case.

2003-05-27  David Billinghurst (David.Billinghurst@riotinto.com)

	PR fortran/10843
	* g77.dg/ffixed-form-1.f: New test
	* g77.dg/ffixed-form-2.f: New test
	* g77.dg/ffree-form-2.f: New test - XFAIL pending fix
	* g77.dg/ffree-form-3.f: New test

2003-05-26  Andreas Tobler <a.tobler@schweiz.ch>

	* gcc.dg/wchar_t-1.c: XFAIL on darwin, no wchar.h available.
	* gcc.dg/wint_t-1.c: Likewise.

2003-05-25  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/template/access11.C: New test.

2003-05-25  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10849
	* g++.dg/template/access10.C: New test.

2003-05-24  Eric Botcazou  <ebotcazou@libertysurf.fr>
	    Kaveh R. Ghazi <ghazi@caip.rutgers.edu>

	* gcc.c-torture/compile/simd-5.x: XFAIL on SPARC64.

2003-05-24  Andreas Tobler <a.tobler@schweiz.ch>

	* gcc.dg/torture/builtin-noret-1.c: Add dg-option -multiply_defined
	suppress for powerpc-*-darwin*.
	* gcc.dg/torture/builtin-noret-2.c: Likewise.

2003-05-24  Andreas Tobler <a.tobler@schweiz.ch>

	* gcc.c-torture/execute/builtins/builtins.exp: Add -multiply_defined
	suppress option for powerpc-*-darwin*.

2003-05-23  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-1.c: Add tests for tan and atan.
	* gcc.dg/builtins-4.c: Add test for fmod.

2003-05-23  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10682
	* g++.dg/template/instantiate4.C: New test.

2003-05-22  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/ieee/inf-2.c: New test case.

2003-05-21  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/scalar-return-1_main.c: New file.
	* gcc.dg/compat/scalar-return-1_x.c: New file.
	* gcc.dg/compat/scalar-return-1_y.c: New file.
	* gcc.dg/compat/scalar-return-2_main.c: New file.
	* gcc.dg/compat/scalar-return-2_x.c: New file.
	* gcc.dg/compat/scalar-return-2_y.c: New file.
	* gcc.dg/compat/struct-return-3_main.c: New file.
	* gcc.dg/compat/struct-return-3_y.c: New file.
	* gcc.dg/compat/struct-return-3_x.c: New file.
	* gcc.dg/compat/struct-return-2_main.c: New file.
	* gcc.dg/compat/struct-return-2_x.c: New file.
	* gcc.dg/compat/struct-return-2_y.c: New file.

2003-05-21  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* g++.old-deja/g++.law/profile1.C (dg-options): Add -static to options
	for hppa*-hp-hpux*.
	* gcc.dg/20021014-1.c (dg-options): Likewise.
	* gcc.dg/nest.c (dg-options): Likewise.

2003-05-21  Danny Smith  <dannysmith@users.sourceforge.net>

	PR c++/9738
	* g++.dg/ext/dllimport2.C: New file.
	* g++.dg/ext/dllimport3.C: New file.

2003-05-20  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/struct-by-value-3_x.c: Move common pieces to headers.
	* gcc.dg/compat/struct-by-value-3_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-5_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_x.c: Ditto.
	* gcc.dg/compat/struct-by-value-6_y.c: Ditto.
	* gcc.dg/compat/struct-by-value-7_x.c Ditto.
	* gcc.dg/compat/struct-by-value-7_y.c Ditto.
	* gcc.dg/compat/small-struct-defs.h: New file.
	* gcc.dg/compat/small-struct-init.h: New file.
	* gcc.dg/compat/small-struct-check.h: New file.
	* gcc.dg/compat/fp-struct-defs.h: New file.
	* gcc.dg/compat/fp-struct-check.h: New file.
	* gcc.dg/compat/fp-struct-init.h: New file.
	* gcc.dg/compat/fp-struct-test-by-value-y.h: New file.
	* gcc.dg/compat/fp-struct-test-by-value-x.h: New file.

2003-05-19  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030225-2.c: New test.

2003-05-18  Roger Sayle  <roger@eyesopen.com>
	    Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/compile/20030518-1.c: New test case.

2003-05-18  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (gcc-dg-debug-runtest): Add opt_opts parameter.
	* gcc.dg/debug/debug.exp: Pass opt_opts parameter to
	gcc-dg-debug-runtest.
	* g++.dg/debug/debug.exp: Pass opt_opts parameter to
	gcc-dg-debug-runtest.

2003-05-18  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9022
	* g++.dg/lookup/using6.C: New test.

2003-05-18  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/parse/access2.C: New test.

2003-05-17  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (gcc-dg-debug-runtest): New method.
	* g++.dg/debug/debug.exp: Use gcc-dg-debug-runtest.
	* gcc.dg/debug/debug.exp: Likewise.

2003-05-17  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/dollar.c: New test.

2003-05-16  Janis Johnson  <janis187@us.ibm.com>

	* gcc.dg/compat/struct-by-value-4_main.c: Split into multiple tests.
	* gcc.dg/compat/struct-by-value-4_x.c: Split into multiple tests.
	* gcc.dg/compat/struct-by-value-4_y.c: Split into multiple tests.
	* gcc.dg/compat/struct-by-value-5_main.c: Split into multiple tests.
	* gcc.dg/compat/struct-by-value-5_x.c: Split into multiple tests.
	* gcc.dg/compat/struct-by-value-5_y.c: Split into multiple tests.
	* gcc.dg/compat/struct-by-value-6_main.c: New file.
	* gcc.dg/compat/struct-by-value-6_x.c: New file.
	* gcc.dg/compat/struct-by-value-6_y.c: New file.
	* gcc.dg/compat/struct-by-value-7_main.c: New file.
	* gcc.dg/compat/struct-by-value-7_x.c: New file.
	* gcc.dg/compat/struct-by-value-7_y.c: New file.
	* gcc.dg/compat/struct-by-value-8_main.c: New file.
	* gcc.dg/compat/struct-by-value-8_x.c: New file.
	* gcc.dg/compat/struct-by-value-8_y.c: New file.
	* gcc.dg/compat/struct-by-value-9_main.c: New file.
	* gcc.dg/compat/struct-by-value-9_x.c: New file.
	* gcc.dg/compat/struct-by-value-9_y.c: New file.

2003-05-16  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcc-dg.exp (gcc-dg-test): Rename to ...
	(gcc-dg-test-1): ... this.  Add target_compile parameter.  Add
	support for "repo" mode.
	* lib/g++-dg.exp: Use gcc-dg.exp to implement all functionality.
	* lib/g77-dg.exp: Likewise.
	* lib/obj-dg.exp: Likewise.

2003-05-16  Jakub Jelinek  <jakub@redhat.com>

	Merge from gcc-3_2-rhl8-branch:
	2003-04-23  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/tls/opt-6.c: New test.

	2003-04-05  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030405-1.c: New test.

	2003-03-09  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030309-1.c: New test.

	2003-03-07  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/execute/20030307-1.c: New test.

	2003-02-20  Randolph Chung  <tausq@debian.org>

	* gcc.c-torture/compile/20030220-1.c: New test.

	2003-02-18  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030217-1.c: New test.

	2003-01-29  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020129-1.c: New test.

	2002-12-21  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/unroll-1.c: New test.

	2002-11-16  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/execute/20020920-1.c: New test.

	2002-10-08  Jakub Jelinek  <jakub@redhat.com>

	PR target/7434
	* gcc.c-torture/compile/20021008-1.c: New test.

	2002-08-10  Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>

	PR target/7559
	* testsuite/gcc.c-torture/execute/20020810-1.c: New test.

	2002-08-07  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020807-1.c: New test.

	2002-07-30  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/tls/opt-1.c: New test.

	2002-07-29  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020729-1.c: New test.

	2002-07-20  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/life1.C: New test.

	2002-05-20  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020525-1.c: New test.

	2002-05-24  Jakub Jelinek  <jakub@redhat.com>

	PR c++/6794
	* g++.dg/ext/pretty1.C: New test.
	* g++.dg/ext/pretty2.C: New test.

2003-05-15  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8385
	* g++.dg/ext/typeof5.C: New test.

2003-05-15  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/builtins/string-asm-1.c: Take
	__USER_LABEL_PREFIX__ into account.
	* gcc.c-torture/execute/builtins/string-asm-2.c: Likewise.

2003-05-14  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-15.c: New test case.

2003-05-13  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/const-elim-1.c: Tighten scan-assembler-not regexp.

2003-05-12  Mark Mitchell  <mark@codesourcery.com>

	* lib/g++.exp: Tweak handling of additional source files.
	* g++.dg/special/conpr-2.C: Use dg-gpp-additional-sources.
	* g++.dg/special/conpr-2a.C: Rename to ...
	* g++.dg/special/conpr-2a.cc: ... this.
	* g++.dg/special/conpr-3.C: Use dg-gpp-additional-sources.
	* g++.dg/special/conpr-3a.C: Rename to ...
	* g++.dg/special/conpr-3a.cc: This.
	* g++.dg/special/conpr-3b.C: Rename to ...
	* g++.dg/special/conpr-3b.cc: This.
	* g++.dg/special/conpr-4.C: New test.
	* g++.dg/special/ecos.exp: Rewrite to use ordinary dg driver.

2003-05-12  David Edelsohn  <edelsohn@gnu.org>

	* debug/debug.exp: Skip debug-[12].c at -O3 on non-Dwarf targets.

2003-05-12  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.old-deja/g++.brendan/ns1.C: Remove private member warning.
	* g++.old-deja/g++.robertl/eb71.C: Likewise.
	* g++.old-deja/g++.brendan/warnings1.C: Add -Wctor-dtor-privacy.
	* g++.old-deja/g++.other/warn3.C: Likewise.

2003-05-11  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/i386-387-1.c: Update to also test log.
	* gcc.dg/i386-387-2.c: Likewise.

2003-05-11  Toon Moene  <toon@moene.indiv.nluug.nl>

	* g77.f-torture/execute/int8421.f: New test.

2003-05-11  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10230, c++/10481
	* g++.dg/lookup/scoped5.C: New test.

2003-05-11  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10552
	* g++.dg/template/ttp6.C: New test.

2003-05-11  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/builtins: New directory.
	* gcc.c-torture/execute/string-opt-{3,4,16,17,18,19}.c: Move into
	gcc.c-torture/execute/builtins.
	* gcc.c-torture/execute/string-opt-asm-{1,2}.c: Likewise.
	* gcc.c-torture/execute/builtin-noret-{1,2}.c: Move to...
	* gcc.dg/torture: ...this new directory.  Turn into link-only tests.
	* gcc.dg/no-builtin-1.c: Move into gcc.c-torture/execute/builtins.

2003-05-10  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9252
	* g++.dg/template/access8.C: New test.
	* g++.dg/template/access9.C: New test.

2003-05-10  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9554
	* g++.dg/parse/access1.C: New test.

2003-05-09  DJ Delorie  <dj@redhat.com>

	* g++.dg/other/stdarg1.C: Make sure arg "3" is passed as a
	long, and not an int.

2003-05-09  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10555, c++/10576
	* g++.dg/template/memclass1.C: New test.

2003-05-08  DJ Delorie  <dj@redhat.com>

	* gcc.c-torture/execute/20020404-1.x: New, skip for 16-bit
	targets.
	* gcc.c-torture/execute/20021024-1.x: Likewise.
	* gcc.c-torture/execute/shiftdi.x: Likewise.
	* g++.old-deja/g++.mike/p700.C: Handle 16-bit targets.
	* g++.old-deja/g++.other/exprstmt1.C: Likewise.
	* gcc.dg/20021018-1.c: Likewise.

2003-05-08  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* g++.dg/other/packed1.C: Mark xfail for sparc*- not sparc-.

	gcc.c-torture/execute/string-opt-19.c: Add general rodata tests.
	(bcopy): Call memmove.

2003-05-08  Roger Sayle  <roger@eyesopen.com>

	* g77.f-torture/compile/8485.f: New test case.

2003-05-07  Richard Henderson  <rth@redhat.com>

	PR c++/10570
	* g++.dg/eh/forced1.C: Expect catch-all handlers to run.
	Verify exception_cleanup not called for rethrows.
	* g++.dg/eh/forced2.C: Test that exception_cleanup is called
	when exiting catch block without rethrowing.
	* g++.dg/eh/forced3.C: New.
	* g++.dg/eh/forced4.C: New.

2003-05-07  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/20030505.c: Fix triplet.

2003-05-06  DJ Delorie  <dj@redhat.com>

	* gcc.dg/20021014-1.c: XFAIL for xstormy16 also.
	* gcc.dg/nest.c: Likewise.

2003-05-05  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-14.c: New test case.

2003-05-05  Janis Johnson  <janis187@us.ibm.com>

	* lib/compat.exp (compat-execute): New argument.
	* g++.dg/compat/compat.exp: Pass new argument to compat-execute.
	* gcc.dg/compat: New test directory.
	* gcc.dg/compat/compat.exp: New expect script.
	* gcc.dg/compat/scalar-by-value-1_main.c: New test file.
	* gcc.dg/compat/scalar-by-value-1_x.c: New test file.
	* gcc.dg/compat/scalar-by-value-1_y.c: New test file.
	* gcc.dg/compat/scalar-by-value-2_main.c: New test file.
	* gcc.dg/compat/scalar-by-value-2_x.c: New test file.
	* gcc.dg/compat/scalar-by-value-2_y.c: New test file.

	* gcc.dg/compat/struct-by-value-1_main.c: New test file.
	* gcc.dg/compat/struct-by-value-1_x.c: New test file.
	* gcc.dg/compat/struct-by-value-1_y.c: New test file.
	* gcc.dg/compat/struct-by-value-2_main.c: New test file.
	* gcc.dg/compat/struct-by-value-2_x.c: New test file.
	* gcc.dg/compat/struct-by-value-2_y.c: New test file.
	* gcc.dg/compat/struct-by-value-3_main.c: New test file.
	* gcc.dg/compat/struct-by-value-3_x.c: New test file.
	* gcc.dg/compat/struct-by-value-3_y.c: New test file.
	* gcc.dg/compat/struct-by-value-4_main.c: New test file.
	* gcc.dg/compat/struct-by-value-4_x.c: New test file.
	* gcc.dg/compat/struct-by-value-4_y.c: New test file.
	* gcc.dg/compat/struct-by-value-5_main.c: New test file.
	* gcc.dg/compat/struct-by-value-5_x.c: New test file.
	* gcc.dg/compat/struct-by-value-5_y.c: New test file.

2003-05-05  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/const-elim-1.c, gcc.dg/const-elim-2.c: New testcases.

2003-05-05  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/string-opt-18.c (main): Add 3 new tests.

2003-05-05  Geoffrey Keating  <geoffk@apple.com>

	* gcc.c-torture/execute/ieee/fp-cmp-8.c: New test.
	* gcc.dg/ppc-fsel-2.c: New test.

	* gcc.dg/unused-5.c: New test.

2003-05-05  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10496
	* g++.dg/warn/pmf1.C: New test.

2003-05-05  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/4494
	* g++.dg/warn/main.C: New test.

2003-05-04  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/nonnull-3.c: New test.

2003-05-04  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/Wtrigraphs.c: Update.
	* gcc.dg/cpp/Wtrigraphs-2.c: New tests.

2003-05-03  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/ppc-fsel-1.c: New test.

2003-05-03  Zack Weinberg  <zack@codesourcery.com>

	PR c/10604
	* gcc.dg/compare7.c, g++.dg/warn/compare1.C: New testcases.

2003-05-03  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.dg/m-un-2.c: Fix the typedef of size_t.

2003-05-03  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9364, c++/10553, c++/10586
	* g++.dg/parse/typename4.C: New test.
	* g++.dg/parse/typename5.C: Likewise.

2003-05-03  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/compile/20030503-1.c: New test.

2003-05-02  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/lookup/using5.C: Fix testcase error.

2003-05-01  Chris Demetriou  <cgd@broadcom.com>

	* gcc.dg/special/mips-abi.exp (is_meabi_config): Remove,
	since MEABI is no longer supported.  Remove all vestiges
	of MEABI from the test.

2003-05-01  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10554
	* g++.dg/lookup/using5.C: New test.

2003-05-01  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/8772
	* g++.dg/template/ttp5.C: New test.

2003-04-30  Mark Mitchell  <mark@codesourcery.com>

	* lib/g++-dg.exp (g++-dg-test): Add "repo" option.
	(dg-gpp-additional-sources): New function.
	(dg-gpp-additional-files): Likewise.
	* lib/g++.exp (additional_sources): New variable.
	(additional_files): Likewise.
	(g++_target_compile): Deal with them.
	* lib/old-dejagnu.exp: Remove.
	* g++.old-deja/old-deja.exp: Use dg.exp, not old-dejagnu.exp.
	* g++.old-deja: Revise all tests to use dg commands.

2003-04-30  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9432, c++/9528
	* g++.dg/lookup/using4.C: New test.

2003-04-29  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/noreturn-5.c: New file.
	* gcc.dg/noreturn-6.c: New file.

	* gcc.c-torture/compile/inline-1.c: New file.

2003-04-29  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10551
	* g++.dg/template/explicit1.C: New test.

2003-04-29  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10549
	* g++.dg/other/bitfield1.C: New test.

	PR c++/10527
	* g++.dg/init/new7.C: New test.

2003-04-29  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/ext/desig1.C: New test.
	* g++.dg/ext/init1.C: Update.

	* g++.old-deja/g++.pt/deduct5.C: Remove unnecessary initializer.

2003-04-28  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10180
	* g++.dg/warn/Winline-1.C: New test.

2003-04-28  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/string-opt-19.c: New test.

	* gcc.c-torture/execute/string-opt-asm-1.c: New test.
	* gcc.c-torture/execute/string-opt-asm-2.c: New test.

2003-04-27  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10506
	* g++.dg/init/new6.C: New test.

	PR c++/10503
	* g++.dg/init/ref6.C: New test.

2003-04-26  David Edelsohn  <edelsohn@gnu.org>

	* g++.dg/warn/weak1.C: XFAIL on AIX4.

2003-04-26  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/string-opt-8.c: Don't perform cmpstr
	checks for __pj__, but do them for !__OPTIMIZE__ and __s390__.

2003-04-25  Mark Mitchell  <mark@codesourcery.com>

	* g++.old-deja/g++.pt/instantiate12.C: Explicit instantiate
	initialized static data members.

2003-04-25  H.J. Lu <hjl@gnu.org>

	* gcc.dg/ia64-sync-4.c: New test.

2003-04-25  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/string-opt-18.c: Clean up.  Fix copyright
	date.

2003-04-24  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/10337
	* g++.dg/warn/conv1.C: New test.
	* g++.old-deja/g++.other/conv7.C: Adjust.
	* g++.old-deja/g++.other/overload14.C: Adjust.

2003-04-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10471
	* g++.dg/template/defarg2.C: New test.

2003-04-23  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/include2.c: Update.
	* gcc.dg/cpp/multiline-2.c: New.
	* gcc.dg/cpp/multiline.c: Update.
	* gcc.dg/cpp/strify2.c: Update.
	* gcc.dg/cpp/trad/literals-2.c: Update.

2003-04-23  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* g++.dg/other/packed1.C: XFAIL hppa*-*-*.

2003-04-23  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/parse/typedef1.C: Tweak after fix for PR 10428.

2003-04-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10451
	* g++.dg/parse/crash4.C: New test.

	PR c++/9847
	* g++.dg/parse/crash5.C: New test.

2003-04-22  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10446
	* g++.dg/parse/crash3.C: New test.

	PR c++/10428
	* g++.dg/parse/elab1.C: New test.

2003-04-22  Devang Patel  <dpatel@apple.com>

	* gcc.dg/cpp/trad/funlike-5.c: New test.

2003-04-21  Andreas Tobler <a.tobler@schweiz.ch>

	* g++.dg/other/packed1.C: Fix dg options.

2003-04-22  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/offsetof2.C: New test.

2003-04-21  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/recurse.C: Adjust location of error messages.

2003-04-21  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9881
	* g++.dg/init/addr-const1.C: New test.
	* g++.dg/other/packed1.C: XFAIL on aligned architectures.

2003-04-20  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/10405
	* g++.dg/lookup/struct-hack1.C: New test.

2003-04-20  Neil Booth  <neil@daikokuya.co.uk>

	* ucs.c: Update diagnostic messages.

2003-04-19  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/truefalse.cpp: New test.
	* gcc.dg/cpp/cpp.exp: Update.
	* g++.dg/other/stdbool-if.C: Remove.

2003-04-19  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/_Pragma4.c: Remove stray space.
	* gcc.dg/cpp/trad/escaped-eof.c: Correct line number.

2003-04-18  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20030418-1.c: New test.

2003-04-17  Janis Johnson  <janis187@us.ibm.com>

	* README.compat: Remove; content moved to doc/sourcebuild.texi.

2003-04-17  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/10347
	g++.dg/template/dependent-name1.C: New test.

2003-04-17  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/warn-1.c (tourist_guide): New array,
	contains a pointer to bar.

2003-04-16  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/Wunreachable-5.c: New test case for PR c/10175.
	* gcc.c-torture/execute/medce-1.c: New test case.
	* gcc.c-torture/execute/medce-2.c: New test case.

2003-04-15  Mark Mitchell  <mark@codesourcery.com>

	* lib/prune.exp: Ignore more messages.

	PR c++/10381
	* g++.dg/parse/lookup3.C: New test.

2003-04-15  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/compile/20030415-1.c : New test.

2003-04-14  Mark Mitchell  <mark@codesourcery.com>

	* gcc.c-torture/execute/scope-2.c: Move to ...
	* gcc.dg/noncompile/scope.c: .... here.

2003-04-14  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/20030414-2.c: New test case.

2003-04-14  Hans-Peter Nilsson  <hp@axis.com>

	PR target/10377
	* gcc.dg/20030414-1.c: New test.

2003-04-13  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-12.c: New test case.
	* gcc.dg/builtins-13.c: New test case.

2003-04-13  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/string-opt-18.c: New test.

2003-04-13  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10300
	* g++.dg/init/new5.C: New test.

2003-04-12  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7910
	* g++.dg/ext/dllimport1.C: New test.

2003-04-12  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp8.c: Fix for 32-bit Sparc.

2003-04-11  Bud Davis <bdavis9659@comcast.net>

	PR Fortran/9263
	* g77.f-torture/noncompile/9263.f: New test
	PR Fortran/1832
	* g77.f-torture/execute/1832.f: New test

2003-04-11  David Chad  <davidc@freebsd.org>
	    Loren J. Rittle  <ljrittle@acm.org>

	libobjc/8562
	* objc.dg/headers.m: New test.

2003-04-10  Zack Weinberg  <zack@codesourcery.com>

	* gcc.c-torture/execute/builtin-noret-2.c: New.
	* gcc.c-torture/execute/builtin-noret-2.x: New.
	XFAIL builtin-noret-2.c at -O1 and above.
	* gcc.dg/redecl.c: New.
	* gcc.dg/Wshadow-1.c: Update error regexps.

2003-04-10  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/bitfield10.C: New test.

2003-04-09  Mike Stump  <mrs@apple.com>

	* gcc.dg/pch/pch.exp: Make testcase names longer.
	* g++.dg/pch/pch.exp: Make testcase names longer.

2003-04-08  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-11.c: New test case.

2003-04-08  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-9.c: New test case.
	* gcc.dg/builtins-10.c: New test case.

2003-04-07  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/noncompile/init-4.c.c: New test.

2003-04-06  Nathan Sidwell  <nathan@codesourcery.com>

	* gcc.misc-test/gcov-9.c: New test.
	* gcc.misc-test/gcov-10.c: New test
	* gcc.misc-test/gcov-11.c: New test.

2003-04-05  Zack Weinberg  <zack@codesourcery.com>

	PR optimization/10024
	* gcc.c-torture/compile/20030405-1.c: New test.

2003-04-04  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/static-3.c: New.
	* gcc.dg/pch/static-3.hs: New.
	* gcc.dg/pch/pch.exp: Test with -O0 -g too.

2003-04-04  Richard Henderson  <rth@redhat.com>

	* g++.dg/eh/forced1.C: Use _Unwind_SjLj_ForcedUnwind as appropriate.
	* g++.dg/eh/forced2.C: Likewise.

2003-04-03  Mike Stump  <mrs@apple.com>

	* lib/scanasm.exp (scan-assembler): Add xfail processing for
	target arg.
	(scan-assembler-times, scan-assembler-not): Likewise.
	(scan-assembler-dem, scan-assembler-dem-not): Likewise.

2003-04-03  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/sparc-loop-1.c: New test.

2003-04-02  Geoffrey Keating  <geoffk@apple.com>

	PR other/9274
	* g++.dg/pch/system-2.C: New.
	* g++.dg/pch/system-2.Hs: New.

2003-04-02  Aldy Hernandez  <aldyh@redhat.com>

	* g++.dg/eh/simd-2.C (vecfunc): Fix typo.

	* g++.dg/eh/simd-1.C (vecfunc): Same.

2003-04-01  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20030401-1.c: New test case.

2003-04-01  Ziemowit Laski <zlaski@apple.com>

	* objc.dg/defs.m: New.

2003-04-01  Aldy Hernandez  <aldyh@redhat.com>

	* g++.dg/eh/simd-1.C: New.
	* g++.dg/eh/simd-2.C: New.

2003-03-01  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.c-torture/execute/simd-3.c: New.

2003-03-31  Mark Mitchell  <mark@codesourcery.com>

	PR c/9936
	* gcc.dg/20030331-2.c: New test.

2003-03-31  Mark Mitchell  <mark@codesourcery.com>

	PR c++/10278
	* g++.dg/parse/crash2.C: New test.

2003-03-31  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/compile/20030331-1.c: New test, moved from...
	* gcc.c-torture/execute/20030331-1.c: ...here.

2003-03-31  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20030331-1.c: New test.

2003-03-31  Nathan Sidwell  <nathan@codesourcery.com>

	* lib/gcov.exp: Adjust call return testing strings.
	* g77.dg/gcov/gcov-1.f: Don't expect unconditional branches.

2003-03-31  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-3.c: Add new tests for sin and cos.
	* gcc.dg/builtins-7.c: New test case.
	* gcc.dg/builtins-8.c: New test case.

2003-03-31  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/ieee/20030331-1.c: New test.

2003-03-30  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7647
	* g++.dg/lookup-class-member-2.C: New test.

2003-03-30  Glen Nakamura  <glen@imodulo.com>

	* gcc.dg/20030324-1.c: Add comments and abort if test fails.

2003-03-28  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/ieee/fp-cmp-6.c:  Correct test for -O0.

2003-03-28  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/attrib1.C: New test.

2003-03-28  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp8.c: New test.

2003-03-28  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp7.c: New test.

2003-03-28  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/10047
	* g++.dg/template/inline1.C: New test.

2003-03-28  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/sparc-dwarf2.c: New test.

2003-03-27  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/ieee/fp-cmp-6.c: New test case.
	* gcc.c-torture/execute/ieee/fp-cmp-7.c: New test case.

2003-03-27  Mark Mitchell  <mark@codesourcery.com>

	* lib/gcov.exp (run-gcov): Add branches and calls options, rather
	than reading .x files.
	* g++.dg/gcov/gcov-1.C: Use run-gcov options, not .x files.
	* g77.dg/gcov/gcov-1.f: Likewise.
	* gcc.misc-tests/gcov-4b.c: Likewise.
	* gcc.misc-tests/gcov-5b.c: Likewise.
	* gcc.misc-tests/gcov-6.c: Likewise.
	* gcc.misc-tests/gcov-7.c: Likewise.
	* gcc.misc-tests/gcov-8.c: Likewise.
	* g++.dg/gcov/gcov-1.x: Remove.
	* g77.dg/gcov/gcov-1.x: Likewise.
	* gcc.misc-tests/gcov-4b.x: Likewise.
	* gcc.misc-tests/gcov-5b.x: Likewise.
	* gcc.misc-tests/gcov-6.x: Likewise.
	* gcc.misc-tests/gcov-7.x: Likewise.
	* gcc.misc-tests/gcov-8.x: Likewise.

2003-03-27  Glen Nakamura  <glen@imodulo.com>

	PR opt/10087
	* gcc.dg/20030324-1.c: New test.

2003-03-27  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/10224
	* g++.dg/template/arg3.C: New test.

	PR c++/10158
	* g++.dg/template/friend18.C: New test.

2003-03-26  Roger Sayle  <roger@eyesopen.com>

	* g77.f-torture/compile/20030326-1.f: New test case.

2003-03-26  Janis Johnson  <janis187@us.ibm.com>

	* gcc.c-torture/execute/20020227-1.x: Don't XFAIL for powerpc64.

	* gcc.c-torture/compile/simd-5.x: Expect XFAIL for powerpc64.

2003-03-26  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/ia64-sync-3.c: New test.

2003-03-26  Alan Modra  <amodra@bigpond.net.au>

	* gcc.dg/loop-2.c: Replace "inline" with "__inline__".

2003-03-26  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp6.c: New test.

2003-03-25  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-signbit-1.c: New test.
	* gcc.dg/i386-signbit-2.c: New test.
	* gcc.dg/i386-signbit-3.c: New test.

2003-03-25  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp5.c: Fix options.

2003-03-24  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp5.c: Fix comment.

2003-03-24  Bud Davis  <bdavis9659@comcast.net>

	PR fortran/10197
	* g77.f-torture/execute/10197.f: New test.

2003-03-24  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9898, c++/383
	* g++.dg/template/conv6.C: New test.

	PR c++/10119
	* g++.dg/template/ptrmem5.C: New test.

	PR c++/10026
	* g++.dg/lookup/koenig1.C: New test.

	PR C++/10199
	* g++.dg/lookup/template2.C: New test.

2003-03-24  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/rtti1.C: New test.

2003-03-23  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/ultrasp5.c: New test.

2003-03-23  Arpad Beszedes <beszedes@cc.u-szeged.hu>

	PR middle-end/9967
	* gcc.c-torture/execute/stdio-opt-1.c: Adjust test for change to
	builtin fputs.

2003-03-23  Mikulas Patocka <mikulas@artax.karlin.mff.cuni.cz>

	PR c/8224
	* gcc.dg/20030323-1.c: New test.

2003-03-23  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/compile/20030323-1.c: New test case.

2003-03-22  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/20030321-1.c: New test.

2003-03-22  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/Wshadow-1.c: Add a dg-warning line.

2003-03-22  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9978, c++/9708
	* g++.dg/ext/vlm1.C: Adjust expected error.
	* g++.dg/ext/vla2.C: New test.
	* g++.dg/template/arg1.C: New test.
	* g++.dg/template/arg2.C: New test.

2003-03-22  Bud Davis  <bdavis9659@comcast.net>

	* g77.f-torture/execute/select.f: New test.
	* g77.f-torture/noncompile/select_no_compile.f: New test.

2003-03-21  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9898
	* g++.dg/other/error4.C: New test.

2003-03-20  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/friend17.C: New test.

2003-03-21  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/compile/20030320-1.c: New.

2003-03-20  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-6.c: New test case.

2003-03-19  Alan Modra  <amodra@bigpond.net.au>

	PR target/10073
	* gcc.c-torture/compile/20030319-1.c: New.

2003-03-18  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-cvt-1.c: New test.

2003-03-17  Zack Weinberg  <zack@codesourcery.com>

	* objc.dg/naming-1.m: Use "(parse|syntax) error".
	* objc.dg/naming-2.m: Likewise.

2003-03-17  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9639
	* g++.dg/parse/crash1.C: New test.

2003-03-16  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8805
	* g++.dg/eh/cleanup1.C: New test.

2003-03-16  Falk Hueffner  <falk.hueffner@student.uni-tuebingen.de>

	* gcc.c-torture/execute/20030316-1.c: New test case.

2003-03-16  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9629
	* g++.dg/init/ctor2.C: New test.

2003-03-15  Roger Sayle  <roger@eyesopen.com>

	* g77.f-torture/compile/xformat.f: New test case.

2003-03-15  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* g++.old-deja/g++.mike/eh33.C: Remove xfail for hppa*-*-*.
	* g++.old-deja/g++.mike/eh50.C: Likewise.

2003-03-15  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/6440
	* g++.dg/template/spec7.C: New test.
	* g++.dg/template/spec8.C: Likewise.

2003-03-14  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/20030313-1.c: New test.

2003-03-14  Richard Henderson  <rth@redhat.com>

	* gcc.dg/inline-2.c: Adjust alpha test for external call.

2003-03-14  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20030314-1.c: New test.

2003-03-13  Danny Smith  <dannysmith@users.sourceforge.net>

	* gcc.dg/dll-1.c: Remove thumb target. Change exp to _exp.
	* gcc.dg/dll-2.c: Enable for cygwin and mingw. Remove
	thumb target,
	* gcc.dg/dll-3.c: Likewise. Adjust scan-assembler
	to accept newer _imp__	prefix and additional
	newline in .drectve section.
	* gcc.dg/dll-4.c: Likewise.
	* gcc.dg/dll-5.c: New file to test -mnop-fun-dllimport
	switch.

2003-03-13  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/parse/namespace9.C: New test.

	* g++.dg/init/ref5.C: New test.
	* g++.dg/parse/ptrmem1.C: Likewise.

2003-03-12  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* gcc.dg/special/ecos.exp (gcsec-1.c): Find linker used by gcc.
	* gcc.dg/old-style-asm-1.c (dg-final): Add hpux label alternative to
	regular expression.
	* gcc.dg/funcorder.c (dg-final): Check for "link_error,%r" on hppa*-*-*.
	* gcc.dg/inline-1.c (dg-final): Check for "xyzzy?,%r" on hppa*-*-*.

2003-03-12  Daniel Jacobowitz  <drow@mvista.com>

	* gcc.c-torture/execute/20030224-2.c: New test.

2003-03-12  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/decl-3.c: New test.

2003-03-12  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-loop-2.c: New test.

2003-03-11  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9474
	* g++.dg/parse/namespace8.C: New test.

	PR c++/9924
	* g++.dg/overload/builtin2.C: New test.

2003-03-11  Steven Bosscher  <s.bosscher@student.tudelft.nl>

	* gcc.dg/return-type-3.c: New test.

2003-03-11  D.Venkatasubramanian  <dvenkat@noida.hcltech.com>

	* gcc.misc-tests/bprob.exp: Disable test cases for h8300-*-* as
	profiling options are not supported.

2003-03-10  Mark Mitchell  <mark@codesourcery.com>

	* g++.old-deja/g++.benjamin/16077.C: Adjust warnings.
	* g++.old-deja/g++.warn/impint2.C: Likewise.

2003-03-10  Devang Patel  <dpatel@apple.com>

	* g++.dg/cpp/c++_cmd_1.C: New test.
	* g++.dg/cpp/c++_cmd_1.h: New file.

2003-03-10  Segher Boessenkool  <segher@koffie.nl>

	* gcc.dg/altivec-9.c: New file.

2003-03-10  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* gcc.dg/ppc-sdata-1.c: New test.
	* gcc.dg/ppc-sdata-2.c: New test.

2003-03-09  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9373
	* g++.dg/opt/ptrmem2.C: New test.

	PR c++/8534
	* g++.dg/opt/ptrmem1.C: New test.

2003-03-09  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-loop-1.c: New test.

2003-03-09  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9970
	* g++.dg/lookup/friend1.C: New test.

2003-03-08  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9823
	* g++.dg/parser/constructor1.C: New test.

2003-03-08  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.c-torture/execute/20020720-1.x: Add xfail for cris-*-*.

	* gcc.dg/old-style-asm-1.c: Tweak to match mmix-knuth-mmixware.

2003-03-08  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/Wunused.c: Update test.

2003-03-08  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/inline-3.c: New test.

2003-03-08  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9809
	* g++.dg/parse/builtin1.C: New test.

	PR c++/9982
	* g++.dg/abi/cookie1.C: New test.
	* g++.dg/abi/cookie2.C: Likewise.

	PR c++/9524
	* g++.dg/template/field1.C: New test.

	PR c++/9912
	* g++.dg/parse/class1.C: New test.
	* g++.dg/parse/namespace7.C: Likewise.
	* g++.old-deja/g++.other/decl5.C: Remove XFAILs.

2003-03-07  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/ref4.C: New test.

2003-03-07  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-local2.c: Fix problems with certain versions of dejagnu.
	* gcc.dg/inline-3.c:  New test.

2003-03-06  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/ref3.C: New test.

	PR c++/9965
	* g++.dg/init/ref2.C: New test.

	PR c++/9400
	* g++.dg/warn/Wshadow-2.C: New test.

	PR c++/9791
	* g++.dg/warn/Woverloaded-1.C: New test.

2003-03-05  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-local2.c: New.
	* gcc.dg/i386-local.c: Fix typo.

2003-03-05  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/layout3.C: New test.

2003-03-05  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20030305-1.c

2003-03-05  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-local.c: New.

2003-03-04  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/sh-relax.c: Disable for sh64-*-*.

2003-03-04  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/switch-2.c: New test.
	* gcc.dg/switch-3.c: New test.
	* gcc.dg/Wswitch.c: Adjust line numbers.
	* gcc.dg/Wswitch-default.c: Likewise.
	* gcc.dg/Wswitch-enum.c: Likewise.

2003-03-04  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.c-torture/execute/20030222-1.c: New test.

2003-03-03  James E Wilson  <wilson@tuliptree.org>

	* gcc.dg/m68k-slp-ice.c: New test for PR c/7872.

2003-03-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9878
	* g++.dg/init/ref1.C: New test.

2003-03-03  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/sh-relax.c: New SH-only test.

2003-03-03  Geoffrey Keating  <geoffk@apple.com>

	* gcc.c-torture/compile/20010327-1.c: Back out last change.  Add
	comment explaining purpose of testcase.

2003-03-02  Stephane Carrez  <stcarrez@nerim.fr>

	* gcc.c-torture/execute/960312-1.x: New file, must pass -mshort
	for HC11/HC12 (asm needs two int registers).
	* gcc.c-torture/compile/20020312-1.x: New file, don't execute on
	HC11/HC12 because the test uses an asm which needs two 32-bit
	registers.

2003-03-02  Stephane Carrez  <stcarrez@nerim.fr>

	* gcc.c-torture/compile/920501-12.x: New file, must pass -mshort
	for HC11/HC12 (array is too large otherwise).
	* gcc.c-torture/compile/920501-4.x: New file, likewise.
	* gcc.c-torture/compile/20010518-2.x: Likewise.
	* gcc.c-torture/compile/980506-1.x: Don't execute this test on
	HC11/HC12 (array is too large).

2003-03-01  Geoffrey Keating  <geoffk@apple.com>

	* lib/gcc-dg.exp (gcc-dg-test): Change .pch to .gch.
	* lib/g++-dg.exp (g++-dg-test): Likewise.

2003-03-01  Roger Sayle  <roger@eyesopen.com>

	* g++.old-deja/g++.other/builtins10.C: New test for PR 9367.
	* gcc.dg/format/attr-5.c: Handle new conflicting types warning.

2003-03-01  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/warn/implicit-typename1.C: Remove warning.

2003-02-28  Richard Henderson  <rth@redhat.com>

	* gcc.dg/noreturn-1.c: Move noreturn warning line.
	* gcc.dg/return-type-1.c: Move control reaches end warning line.

2003-02-28  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/pch.exp: Change .pch to .gch.
	* g++.dg/pch/pch.exp: Likewise.

2003-02-28  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9879
	* testsuite/g++.dg/init/new4.C: New test.

2003-02-28  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.dg/arm-asm.c: Enable for StrongARM and XScale targets.

2003-02-28  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.c-torture/compile/20010327-1.c: Use __SIZE_TYPE__ instead of
	unsigned long.

	* gcc.c-torture/compile/simd-3.c: Do nothing if double is not
	wider than float.

2003-02-26  Zdenek Dvorak  <rakdver@atrey.karlin.mff.cuni.cz>

	* lib/scanasm.exp: Add support for counting numbers of
	occurences.
	* gcc.dg/unswitch-1.c, gcc.dg/peel-1.c, gcc.dg/unroll-1.c,
	gcc.dg/unroll-2.c, gcc.dg/unroll-3.c: New tests.

2003-02-25  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9683
	* g++.dg/template/static3.C: New test.

	PR c++/9829
	* g++.dg/parse/namespace6.C: New test.

2003-02-25  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	PR target/9732
	* gcc.dg/20030225-1.c: New test.

2003-02-24  Mark Mitchell  <mark@codesourcery.com>

	* README: Remove out-of-date information.

	PR c++/9836
	* g++.dg/template/spec6.C: New test.

2003-02-24  Jeff Law  <law@redhat.com>

	* gcc.c-torture/compile/20030224-1.c: New test for ia32 backend bug.

2003-02-24  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* g++.dg/other/pragma-ep-1.C: Test for __PRAGMA_EXTERN_PREFIX.
	* gcc.dg/pragma-ep-1.c: Likewise.

2003-02-24  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9602
	* g++.dg/template/friend16.C: New test.

2003-02-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/5333
	* g++.dg/parse/fused-params1.C: Adjust error messages.
	* g++.dg/template/nested3.C: New test.

2003-02-24  Alan Modra  <amodra@bigpond.net.au>

	* g++.dg/abi/param1.C: New test.

2003-02-23  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/7982
	* g++.dg/warn/implicit-typename1.C: New test.

2003-02-22  Kelley Cook <kelleycook@comcast.net>

	* g++.old-deja/g++.other/store-expr1.C: Replace "mcpu"
	with "mtune".
	* g++.old-deja/g++.other/store-expr2.C: Likewise.
	* gcc.c-torture/execute/20010129-1.x: Likewise.
	* gcc.dg/20011107-1.c: Likewise.
	* gcc.dg/20020108-1.c: Likewise.
	* gcc.dg/20020122-3.c: Likewise.
	* gcc.dg/20020206-1.c: Likewise.
	* gcc.dg/20020310-1.c: Likewise.
	* gcc.dg/20020426-2.c: Likewise.
	* gcc.dg/20020517-1.c: Likewise.
	* gcc.dg/991230-1.c: Likewise.
	* gcc.dg/i386-unroll-1.c: Likewise.
	* gcc.misc-tests/i386-prefetch.exp: Likewise.

2003-02-22  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-mul.c: New test.

2003-02-21  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-5.c: New test case.

2003-02-22  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.dg/asmreg-1.c: New test.

2003-02-21  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9749
	* g++.dg/parse/varmod1.C: New test.

2003-02-21  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9727
	* g++.dg/template/op1.C: New test.

2003-02-21  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8906
	* g++.dg/template/nested2.C: New test.

2003-02-21  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8724
	* g++.dg/expr/dtor1.C: New test.

2003-02-21  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/cpp/include3.c: New test.
	* gcc.dg/cpp/inc/foo.h: New file.

2003-02-21  Glen Nakamura  <glen@imodulo.com>

	* gcc.c-torture/execute/20030221-1.c: New test.

2003-02-20  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9729
	* g++.dg/abi/conv1.C: New test.

2003-02-20  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/execute/20020720-1.x: XFAIL for x86-64.

2003-02-19  Daniel Jacobowitz  <drow@mvista.com>

	* gcc.c-torture/compile/20030219-1.c: New test.

2003-02-18  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/funcorder.c: New test.

2003-02-18  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/20030218-1.c: New.

2003-02-18  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/20030218-1.c: New.

2003-02-18  Richard Henderson  <rth@redhat.com>

	* gcc.dg/attr-invalid.c: Allow __used__ on static data.
	* gcc.dg/attr-used-2.c: New.

2003-02-18  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9704
	* g++.dg/init/copy5.C: New test.

2003-02-18  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/pch.exp: Delete $bname.h before copying into it.
	* g++.dg/pch/pch.exp: Likewise.

2003-02-18  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/20030209-1.c: Enable the test if
	STACK_SIZE is not defined.

2003-02-17  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9457
	* g++.dg/template/init1.C: New test.

2003-02-16  Jan HUbicka  <jh@suse.cz>

	* gcc.dg/c90-const-expr-3.c (DZERO): New static variable
	(foo): Add few extra tests
	* gcc.dg/c99-const-expr-3.c: Likewise.
	* gcc.c-torture/execute/20030216-1.c: New.

2003-02-16  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9459
	* g++.dg/ext/typeof4.C: New test.

2003-02-15  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/i386-387-3.c: New test case.

2003-02-14  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.dg/20030213-1.c: Expect warning for unsupported -fpic on
	cris-*-elf* cris-*-aout* and mmix-*-*.

2003-02-13  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.dg/20030213-1.c: New test.

2003-02-12  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/i386-387-1.c: Add new test for __builtin_atan2.
	* gcc.dg/i386-387-2.c: Likewise.

2003-02-12  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/ppc-spe.c: Fix formatting.
	Enable tests that were previously unsupported by gas.
	Delete tests for instructions that no longer exist.
	Switch arguments on evsubifw builtin.

2003-02-12  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/20030209-1.c: Disable the test if
	STACK_SIZE is too small.

2003-02-10  Eric Botcazou  <ebotcazou@libertysurf.fr>
	    Christian Ehrhardt  <ehrhardt@mathematik.uni-ulm.de>

	* gcc.dg/decl-2.c: New test.

2003-02-10  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-fpcvt-1.c:  New test.

2002-02-09  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20030209-1.c: New test.

2003-02-09  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/builtin-bitops-1.c: When testing the
	int-wide bitops, use the constants of the same width.
	Likewise, if long long is 32-bit wide, test bitops using
	32-bit constants.

2003-02-07  Loren James Rittle  <ljrittle@acm.org>

	* gcc.dg/20021014-1.c: Annotate with expected notice text.

2003-02-07  Roger Sayle  <roger@eyesopen.com>

	* testsuite/gcc.dg/builtins-4.c: New test case.

2003-02-06  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/20020430-1.c: Fix dg command typos.
	* gcc.dg/20020503-1.c: Likewise.

2003-02-06  Volker Reichelt  <reichelt@igpm.rwth-aachen.de>

	PR c++/8785
	* g++.dg/parse/fused-params1.C: New test.

	PR c++/8857
	* g++.dg/parse/tmpl-tmpl-operator1.C: New test.

	PR c++/8921
	* g++.dg/parse/non-dependent1.C: New test.

	PR c++/8928
	* g++.dg/parse/dupl-tmpl-args1.C: New test.

	PR c++/9228
	* g++.dg/parse/undefined7.C: New test.
	* g++.dg/parse/non-templ1.C: New test.

	PR c++/9229
	* g++.dg/parse/too-many-tmpl-args1.C: New test.

2003-02-06  Eric Botcazou <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20030206-1.c: New test.

2003-02-05  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/compile/921206-1.c: Rename undeclared function from
	"pow" to "foo" to avoid potential confusion with a math built-in.

2003-02-05  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/20020227-1.x: Update specific XFAIL
	conditions for SPARC targets.

2003-02-05  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20030204-1.c: New test.

2003-02-04  Volker Reichelt  <reichelt@igpm.rwth-aachen.de>

	PR c++/38
	* g++.dg/parse/array-size1.C: New test.

	PR c++/5657
	* g++.dg/parse/undefined3.C: New test.

	PR c++/5665
	* g++.dg/parse/undefined4.C: New test.

	PR c++/5975
	* g++.dg/parse/undefined5.C: New test.

	PR c++/7259
	* g++.dg/parse/tmpl-tmpl-param1.C: New test.

	PR c++/8578
	* g++.dg/parse/casting-operator1.C: New test.

	PR c++/8596
	* g++.dg/parse/undefined6.C: New test.

	PR c++/8736
	* g++.dg/parse/missing-template1.C: New test.

2003-02-04  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-cadd.c:  Compile using -march=k8.
	* gcc.dg/i386-cmov?.c:  Likewise.
	* gcc.dg/i386-fpcvt-?.c:  Likewise.
	* gcc.dg/i386-ssefp-1.c:  Likewise.
	* gcc.dg/i386-ssetype-?.c:  Likewise; fix for register passing
	conventions.

2003-02-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7129
	* testsuite/g++.dg/ext/max.C: New test.

2003-02-03  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/execute/20030203-1.c: New test.

2003-02-03  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.c-torture/exectue/ieee/20000320-1.c: The ARM VFP format is
	'natural-endian'.

2003-02-01  Richard Sandiford  <rsandifo@redhat.com>

	* g++.dg/init/new1.C: Remove -fvolatile dg-options line.
	* g++.dg/init/new2.C: Likewise.
	* g++.dg/other/new1.C: Likewise.

2003-01-31  Loren J. Rittle <ljrittle@acm.org>

	* gcc.dg/struct-ret-libc.c: New test.

2003-01-31  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/20030129-1.c: New test.

2003-01-31  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/8849
	* g++.dg/template/ptrmem4.C: New test.

2003-01-29  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/parser/constant1.C: New test.

2003-01-29  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/8591
	* g++.dg/parse/friend2.C: New test.

2003-01-29  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9437
	* g++.dg/template/unify4.C: New test.

2003-01-28  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20030128-1.c: New test.

2003-01-28  Jeffrey D. Oldham  <oldham@codesourcery.com>

	* g++.dg/lookup/nested1.C: Test moved from ...
	* g++.old-deja/g++.other/lookup24.C: ... here.

2003-01-28  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-cmov5.c:  New test.

2003-01-28  D.Venkatasubramanian   <dvenkat@noida.hcltech.com>

	* gcc.c-torture/execute/20010925-1.c: Changed the
	memcpy declaration.

2003-01-28  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/3902
	* g++.dg/parse/template5.C: New test.

2003-01-28  Toon Moene  <toon@moene.indiv.nluug.nl>

	PR fortran/9258
	* g77.dg/pr9258: New test.

2003-01-28  Gerald Pfeifer  <pfeifer@dbai.tuwien.ac.at>

	* README: Move relevant parts from README.g++.

	* README.g++: Remove this file.

2003-01-28  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/abi/dcast1.C: New test.

2003-01-28  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/builtin-constant.x: Only expect failure at -O1.

2003-01-27  Jeffrey D. Oldham  <oldham@codesourcery.com>

	PR c++/47
	* g++.old-deja/g++.other/lookup24.C: New test.

2003-01-27  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	PR middle-end/7227
	* gcc.dg/uninit-C.c: New test.

2003-01-27  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/abi/covariant1.C: New test.

2003-01-25  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/20030123-1.c: New test.

2003-01-25  Jan Hubicka  <jh@suse.cz>

	PR opt/8492
	* gcc.c-torture/compile/20030125-1.c

2003-01-25  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/9403
	* g++.dg/parse/template3.C: New test.
	* g++.old-deja/g++.pt/memclass5.C: Add needed template keyword.

	PR c++/795
	* g++.dg/parse/template4.C: New test.

	PR c++/9415
	* g++.dg/template/qual2.C: New test.

	PR c++/8545
	* g++.old-deja/g++.brendan/parse3.C: Remove XFAIL.

	* g++.old-deja/g++.ns/bogus1.C: Change expected error.

2003-01-25  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/switch-1.c: New test case.

2003-01-25  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/execute/20030125-1.[cx]: New test.

2003-01-25  Paolo Carlini  <pcarlini@unitus.it>

	Tweaks for Bison-1.875. From the NEWS file:
	"- `parse error' -> `syntax error'
	Bison now uniformly uses the term `syntax error'"
	* gcc.dg/cpp/19990413-1.c: Test for "(parse|syntax) error".
	* gcc.dg/cpp/digraph2.c: Likewise.
	* gcc.dg/cpp/direct2.c: Likewise.
	* gcc.dg/cpp/paste4.c: Likewise.
	* gcc.dg/c90-restrict-1.c: Likewise.
	* gcc.dg/c99-func-2.c: Likewise.
	* gcc.dg/noncompile/920721-2.c: Likewise.
	* gcc.dg/noncompile/930622-2.c: Likewise.
	* gcc.dg/noncompile/940112-1.c: Likewise.
	* gcc.dg/noncompile/950921-1.c: Likewise.
	* gcc.dg/noncompile/951123-1.c: Likewise.
	* gcc.dg/noncompile/971104-1.c: Likewise.
	* gcc.dg/noncompile/990416-1.c: Likewise.

2003-01-24  Paolo Carlini  <pcarlini@unitus.it>

	* g++.dg/parse/undefined1.C: Add error message.

2003-01-22  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9354
	* g++.dg/parse/new1.C: New test.

	PR c++/9216
	* g++.dg/parse/template2.C: New test.

	PR c++/9354
	* g++.dg/parse/typedef2.C: New test.

	PR c++/9328
	* g++.dg/ext/typeof3.C: New test.

2003-01-22  Volker Reichelt  <reichelt@igpm.rwth-aachen.de>

	PR c++/2738
	* g++.dg/parse/ret-type1.C: New test.

	PR c++/3792
	* g++.dg/parse/tmpl-outside1.C: New test.

	PR c++/4207
	* g++.dg/parse/int-as-enum1.C: New test.

	PR c++/4903
	* g++.dg/parse/no-typename1.C: New test.

	PR c++/5533
	* g++.dg/parse/no-value1.C: New test.

	PR c++/5921
	* g++.dg/parse/wrong-inline1.C: New test.

	PR c++/6402
	* g++.dg/parse/ref1.C: New test.

	PR c++/6992
	* g++.dg/parse/attr-ctor1.C: New test.

	PR c++/7229
	* g++.dg/parse/namespace5.C: New test.

	PR c++/7917
	* g++.dg/parse/func-def1.C: New test.

	PR c++/8143
	* g++.dg/parse/undefined1.C: New test.

	PR c++/5723, PR c++/8522
	* g++.dg/parse/specialization1.C: New test.

	PR c++/163, PR c++/8595
	* g++.dg/parse/struct-as-enum1.C: New test.

	PR c++/9173
	* g++.dg/parse/undefined2.C: New test.

2003-01-22  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9298
	* g++.dg/parse/template1.C: New test.

	PR c++/9384
	* g++.dg/parse/using1.C: New test.

	PR c++/9285
	PR c++/9294
	* g++.dg/parse/expr2.C: New test.

	PR c++/9388
	* g++.dg/parse/lookup2.C: Likewise.

2003-01-21  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/execute/990208-1.c:  Add noinline attributes as needed.
	* gcc.c-torture/execute/eeprof-1.c:  Likewise.
	* gcc.c-torture/execute/stdio-opt-*.c: Likewise.
	* gcc.c-torture/execute/string-opt-*.c: Likewise.

2003-01-20  Nick Clifton  <nickc@redhat.com>

	* gcc.c-torture/execute/20030117-1.c: New test case.  Exposes
	problem with ARM sibcall code generation.

2003-01-20  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/20030120-1.c: New.

2003-01-19  Paolo Carlini  <pcarlini@unitus.it>

	* g++.old-deja/g++.pt/typename13.C: Remove XFAIL.

2003-01-17  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9272
	* g++.dg/parse/ctor1.C: New test.

	PR c++/9294:
	* g++.dg/parse/qualified1.C: New test.

	* g++.dg/parse/typename3.C: New test.

2003-01-16  Richard Henderson  <rth@redhat.com>

	* g++.dg/tls/init-2.C: Fix error matches for real this time.

2003-01-16  Richard Henderson  <rth@redhat.com>

	* g++.dg/pch/pch.exp: Copy test header to the working directory
	before using it either for precompilation or direct use.
	* g++.dg/pch/*.Hs: Rename from gcc.dg/pch/*.H.
	* g++.dg/pch/*.C: Include foo.H, not foo.Hp.

2003-01-16  Richard Henderson  <rth@redhat.com>

	* gcc.dg/pch/pch.exp: Copy test header to the working directory
	before using it either for precompilation or direct use.
	* gcc.dg/pch/*.hs: Rename from gcc.dg/pch/*.h.
	* gcc.dg/pch/*.c: Include foo.h, not foo.hp.

2003-01-16  Mark Mitchell  <mark@codesourcery.com>

	* gcc/testsuite/g++.dg/ext/typename1.C: Add typename keyword.
	* gcc/testsuite/g++.dg/template/crash1.C: Update error messages.
	* gcc/testsuite/g++.dg/template/crash2.C: Remove error message.
	* gcc/testsuite/g++.dg/parse/typename2.C: New test.
	* gcc/testsuite/g++.dg/template/typename2.C: Change implicit
	typename warning into error.
	* gcc/testsuite/g++.old-deja/g++.benjamin/tem03.C: Issue more
	error messages.
	* gcc/testsuite/g++.old-deja/g++.benjamin/tem04.C: Fix typos.
	* gcc/testsuite/g++.old-deja/g++.brendan/crash56.C: Add this->.
	* gcc/testsuite/g++.old-deja/g++.law/visibility13.C: Remove error
	messages.
	* gcc/testsuite/g++.old-deja/g++.ns/template17.C: Reorder code to
	make declaration visible in template.
	* gcc/testsuite/g++.old-deja/g++.pt/crash3.C: Fix typos.
	* gcc/testsuite/g++.old-deja/g++.pt/crash36.C: Issue more error
	messages.
	* gcc/testsuite/g++.old-deja/g++.pt/crash5.C: Improve error
	message.
	* gcc/testsuite/g++.old-deja/g++.pt/crash67.C: Remove warning.
	* gcc/testsuite/g++.old-deja/g++.pt/inherit1.C: Add this->.
	* gcc/testsuite/g++.old-deja/g++.pt/niklas01a.C: Add error message.
	* gcc/testsuite/g++.old-deja/g++.pt/typename16.C: Replace implicit
	typename warning with error message.
	* gcc/testsuite/g++.old-deja/g++.pt/typename19.C: Remove warning.
	* gcc/testsuite/g++.old-deja/g++.robertl/eb112.C: Fix typo.
	* gcc/testsuite/g++.old-deja/g++.robertl/eb24.C: Use this->.

2003-01-16  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/parse/ambig2.C: New test.

2003-01-15  Richard Henderson  <rth@redhat.com>

	* g++.dg/tls/init-2.C: Update error message string.

2003-01-15  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/builtin-constant.x: XFAIL the test.

2003-01-15  Stephane Carrez  <stcarrez@nerim.fr>

	* gcc.c-torture/compile/20000804-1.x: Don't execute this test at
	all for HC11/HC12.
	* gcc.c-torture/compile/20001205-1.x: Likewise.
	* gcc.c-torture/compile/20001226-1.x: Likewise.
	* gcc.c-torture/compile/920520-1.x: Likewise.
	* gcc.c-torture/compile/961203-1.x: Likewise.
	* gcc.c-torture/compile/20020604-1.x: Likewise.

2003-01-15  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/compile/20030115-1.c: New test.

	* gcc.dg/i386-fpcvt-1.c: New test.
	* gcc.dg/i386-fpcvt-2.c: New test.

2003-01-14  Jeffrey D. Oldham  <oldham@codesourcery.com>

	Further conform g++'s __vmi_class_type_info to the C++ ABI
	specification.
	* g++.old-deja/g++.abi/vmihint.C (main): Revise expected flags per
	the specification.

2003-01-14  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-fpcvt-1.c: New test.
	* gcc.dg/i386-fpcvt-2.c: New test.

2003-01-14  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-mmx-3.c: New test.

2003-01-12  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9264
	* g++.dg/parse/octal1.C: New file.

	PR c++/9172
	* g++.dg/parse/typename1.C: New file.

2003-01-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* gcc.dg/bf-ms-layout.c: Enable for cygwin and mingw32 targets.
	* gcc.dg/bf-no-ms-layout.c: Likewise.
	* gcc.dg/bf-ms-attrib.c: Likewise.

2003-01-10  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9099
	* g++.dg/parse/dtor1.C: New file.

	PR c++/9128
	* g++.dg/rtti/typeid1.C: New file.

	PR c++/9153
	* g++.dg/parse/lookup1.C: New file.

	PR c++/9171
	* g++.dg/templ/spec5.C: New file.

2003-01-10  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.c-torture/compile/20030110-1.c: New test.

2003-01-09  Geoffrey Keating  <geoffk@apple.com>

	Merge from pch-branch:

	2002-12-23  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/cpp-1.h: New.
	* gcc.dg/pch/cpp-1.c: New.
	* gcc.dg/pch/cpp-2.h: New.
	* gcc.dg/pch/cpp-2.c: New.

	2002-11-19  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/except-1.h: New.
	* gcc.dg/pch/except-1.c: New.

	2002-11-13  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/pch.exp: Ensure that <test>.hp doesn't exist before
	running test.
	* gcc.dg/pch: Include *.hp not *.h.
	* gcc.dg/pch/system-1.h: New.
	* gcc.dg/pch/system-1.c: New.

	2002-11-11  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/pch.exp: Compare .s files with/without PCH,
	rather than trying to build and run a program using PCH.
	* gcc.dg/pch: Remove dg-do commands from test files.

	2002-11-08  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/macro-3.c: New.
	* gcc.dg/pch/macro-3.h: New.

	2002-11-04  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/pch/common-1.c: New.
	* gcc.dg/pch/common-1.h: New.
	* gcc.dg/pch/decl-1.c: New.
	* gcc.dg/pch/decl-1.h: New.
	* gcc.dg/pch/decl-2.c: New.
	* gcc.dg/pch/decl-2.h: New.
	* gcc.dg/pch/decl-3.c: New.
	* gcc.dg/pch/decl-3.h: New.
	* gcc.dg/pch/decl-4.c: New.
	* gcc.dg/pch/decl-4.h: New.
	* gcc.dg/pch/decl-5.c: New.
	* gcc.dg/pch/decl-5.h: New.
	* gcc.dg/pch/global-1.c: New.
	* gcc.dg/pch/global-1.h: New.
	* gcc.dg/pch/inline-1.c: New.
	* gcc.dg/pch/inline-1.h: New.
	* gcc.dg/pch/inline-2.c: New.
	* gcc.dg/pch/inline-2.h: New.
	* gcc.dg/pch/static-1.c: New.
	* gcc.dg/pch/static-1.h: New.
	* gcc.dg/pch/static-2.c: New.
	* gcc.dg/pch/static-2.h: New.

	2002-09-01  Geoffrey Keating  <geoffk@redhat.com>

	* g++.dg/pch/pch.exp: Better handle failing testcases.
	* gcc.dg/pch/pch.exp: Likewise.
	* gcc.dg/pch/macro-1.c: New.
	* gcc.dg/pch/macro-1.h: New.
	* gcc.dg/pch/macro-2.c: New.
	* gcc.dg/pch/macro-2.h: New.

	2002-08-27  Geoffrey Keating  <geoffk@redhat.com>

	* g++.dg/dg.exp: Treat files in pch/ specially.
	* g++.dg/pch/pch.exp: New file.
	* g++.dg/pch/empty.H: New file.
	* g++.dg/pch/empty.C: New file.
	* lib/g++-dg.exp (g++-dg-test): Add case for when $do_what is
	"precompile".

	* gcc.dg/pch/pch.exp: New file.
	* gcc.dg/pch/empty.h: New file.
	* gcc.dg/pch/empty.c: New file.
	* lib/gcc-dg.exp (gcc-dg-test): Add case for when $do_what is
	"precompile".

2003-01-09  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/template/friend14.C: New test.

2003-01-09  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/old-style-asm-1.c: New test.

2003-01-09  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/compile/20030109-1.c: New test.

2003-01-09  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/execute/20030109-1.c: New test.

2003-01-08  Larin Hennessey  <larin@science.oregonstate.edu>

	* g++.old-deja/g++.mike/dyncast1.C: Remove reference to AMD A29K
	* g++.old-deja/g++.mike/dyncast2.C: Likewise
	* g++.old-deja/g++.mike/dyncast3.C: Likewise
	* g++.old-deja/g++.mike/eh2.C: Likewise
	* g++.old-deja/g++.mike/eh3.C: Likewise
	* g++.old-deja/g++.mike/eh5.C: Likewise
	* g++.old-deja/g++.mike/eh6.C: Likewise
	* g++.old-deja/g++.mike/eh7.C: Likewise
	* g++.old-deja/g++.mike/eh8.C: Likewise
	* g++.old-deja/g++.mike/eh9.C: Likewise
	* g++.old-deja/g++.mike/eh10.C: Likewise
	* g++.old-deja/g++.mike/eh12.C: Likewise
	* g++.old-deja/g++.mike/eh13.C: Likewise
	* g++.old-deja/g++.mike/eh14.C: Likewise
	* g++.old-deja/g++.mike/eh16.C: Likewise
	* g++.old-deja/g++.mike/eh17.C: Likewise
	* g++.old-deja/g++.mike/eh18.C: Likewise
	* g++.old-deja/g++.mike/eh21.C: Likewise
	* g++.old-deja/g++.mike/eh23.C: Likewise
	* g++.old-deja/g++.mike/eh24.C: Likewise
	* g++.old-deja/g++.mike/eh25.C: Likewise
	* g++.old-deja/g++.mike/eh26.C: Likewise
	* g++.old-deja/g++.mike/eh27.C: Likewise
	* g++.old-deja/g++.mike/eh28.C: Likewise
	* g++.old-deja/g++.mike/eh29.C: Likewise
	* g++.old-deja/g++.mike/eh31.C: Likewise
	* g++.old-deja/g++.mike/eh33.C: Likewise
	* g++.old-deja/g++.mike/eh34.C: Likewise
	* g++.old-deja/g++.mike/eh35.C: Likewise
	* g++.old-deja/g++.mike/eh36.C: Likewise
	* g++.old-deja/g++.mike/eh37.C: Likewise
	* g++.old-deja/g++.mike/eh38.C: Likewise
	* g++.old-deja/g++.mike/eh39.C: Likewise
	* g++.old-deja/g++.mike/eh40.C: Likewise
	* g++.old-deja/g++.mike/eh41.C: Likewise
	* g++.old-deja/g++.mike/eh42.C: Likewise
	* g++.old-deja/g++.mike/eh44.C: Likewise
	* g++.old-deja/g++.mike/eh46.C: Likewise
	* g++.old-deja/g++.mike/eh47.C: Likewise
	* g++.old-deja/g++.mike/eh48.C: Likewise
	* g++.old-deja/g++.mike/eh49.C: Likewise
	* g++.old-deja/g++.mike/eh50.C: Likewise
	* g++.old-deja/g++.mike/eh51.C: Likewise
	* g++.old-deja/g++.mike/eh53.C: Likewise
	* g++.old-deja/g++.mike/eh55.C: Likewise
	* g++.old-deja/g++.mike/p7912.C: Likewise
	* g++.old-deja/g++.mike/p9706.C: Likewise
	* g++.old-deja/g++.mike/p10416.C: Likewise
	* g++.old-deja/g++.mike/p11667.C: Likewise
	* g77.f-torture/compile/20010519-1.f: Remove reference to Convex.
	Remove redundant reference to Iris.
	* gcc.dg/20020312-2.c: Remove references to AMD A29K, Clipper, Convex,
	Elxsi, i860, Pico Java, and WE32K.

2003-01-07  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/ext/asm4.C: New test.

2003-01-08  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/9030
	* g++.dg/template/friend12.C: New test.
	* g++.dg/template/friend13.C: Likewise.
	* g++.old-deja/g++.eh/spec6.C: Add missing error message.

2003-01-08  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-cadd.c: New test.
	* gcc.dg/i386-cmov4.c: Likewise.

2003-01-06  Mark Mitchell  <mark@codesourcery.com>

	PR c++/9165
	* g++.dg/warn/Wunused-3.C: New test.

	* g++.dg/abi/bitfield9.C: New test.

	PR c++/9189
	* g++.dg/parse/defarg3.C: New test.

2003-01-06  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/parse/ambig1.C: New test.
	* g++.dg/parse/defarg2.C: New test.

2003-01-05  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/defarg-1.C: New test.
	* g++.dg/template/local2.C: Likewise.

2003-01-05  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20030105-1.c: New test.

2003-01-04  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/parse/namespace3.C: Remove extra semicolons.
	* g++.dg/parse/namespace4.C: Likewise.

2003-01-03  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/ntp2.C: New test.

2003-01-03  Nathanael Nerode  <neroden@gcc.gnu.org>

	* g++.dg/parse/extern-C-1.C: New test.

	* g++.dg/parse/namespace4.C: New test.

	* g++.dg/template/nested1.C: New test.

	* g++.dg/parse/namespace3.C: New test.

2003-01-02  Nathanael Nerode  <neroden@gcc.gnu.org>

	* g++.dg/lookup/two-stage1.C: New test.

2003-01-02  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* g++.old-deja/g++.bugs/900404_04.C: Remove XFAIL.
	* g++.old-deja/g++.jason/access8.C: Likewise.
	* g++.old-deja/g++.other/decl5.C: Likewise.

2003-01-02  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse7.C: New test.

2003-01-02  Mark Mitchell  <mark@codesourcery.com>

	PR c++/2843
	* g++.dg/ext/attrib7.C: New test.

2003-01-02  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse6.C: New test.

2003-01-02  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.dg/h8300-stack-1.c: New.

2003-01-01  Nathanael Nerode  <neroden@gcc.gnu.org>

	g++.dg/lookup/exception1.C: New test.

	g++.dg/lookup/template1.C: New test.

	g++.dg/parse/namespace2.C: New test.

	g++.dg/parse/parens2.C: New test.

2003-01-01  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse5.C: New test.
	* g++.dg/lookup/scoped4.C: New test.

2003-01-01  Nathanael Nerode  <neroden@gcc.gnu.org>

	* g++.dg/parse/parens1.C: New test.

	* g++.dg/parse/parens2.C: Removed, turned out to duplicate
	angle-bracket1.C.
	* g++.dg/parse/parens2.C: New test.

	* g++.dg/lookup/scope-operator1.C: New test.

	* g++.dg/parse/operator1.C: New test.

2003-01-01  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.old-deja/g++.jason/ambig3.C: Remove XFAIL.
	* g++.old-deja/g++.other/access6.C: Likewise.
	* g++.old-deja/g++.other/decl1.C: Likewise.
	* g++.old-deja/g++.pt/typename12.C: Likewise.

2002-12-31  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/parse/namespace1.C: New test.

2003-01-01  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse4.C: New test.

2003-01-01  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse3.C: New test.

2003-01-01  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse2.C: New test.

2003-01-01  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/template/friend11.C: New test.

2003-01-01  Neil Booth  <neil@daikokuya.co.uk>

	* g++.dg/parse/parse1.C: New test.

2002-12-31  Janis Johnson  <janis187@us.ibm.com>

	* lib/profopt.exp: Change the name of a global variable to avoid
	possible clashes with other test suites.

2002-12-31  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/inherit/covariant8.C: New test.

2002-12-31  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/array9.C: New test.

	PR c++/9112
	* g++.dg/parse/expr1.C: New test.

2002-12-30  Daniel Jacobowitz  <drow@mvista.com>

	* gcc.c-torture/compile/20021230-1.c: New test.

2002-12-30  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/inherit/covariant5.C: New test.
	* g++.dg/inherit/covariant6.C: New test.
	* g++.dg/inherit/covariant7.C: New test.

2002-12-29  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/2739
	* g++.dg/other/access2.C: New test.

2002-12-29  Gabriel Dos Reis  <gdr@integrable-solutions.net>

	* g++.dg/other/anon-struct.C: No longer fails
	* g++.old-deja/g++.brendan/parse4.C: Likewise.
	* g++.old-deja/g++.brendan/parse5.C: Likewise.
	* g++.old-deja/g++.brendan/parse6.C: Likewise.

2002-12-28  Gabriel Dos Reis  <gdr@integrable-solutions.net>

	* g++.dg/parse/angle-bracket.C (main): No longer fails.

2002-12-27  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/eh/spec4.C: Remove stray semicolon.
	* g++.dg/expr/pmf-1.C: Change error message.
	* g++.dg/ext/asm1.C: Remove stray semicolon.
	* g++.dg/ext/typename1.C: Add missing typenames.
	* g++.dg/inherit/template-as-base.C: Change error message.
	* g++.dg/lookup/scoped1.C: Likewise.
	* g++.dg/lookup/scoped2.C: Likewise.
	* g++.dg/lookup/using2.C: Likewise.
	* g++.dg/other/component1.C: Remove stray semicolon.
	* g++.dg/other/do1.C: Change error message.
	* g++.dg/other/error2.C: Likewise.
	* g++.dg/other/init1.C: Likewise.
	* g++.dg/other/packed1.C: Remove stray semicolon.
	* g++.dg/other/ptrmem2.C: Change error message.
	* g++.dg/parse/parameter-declaration-1.C: Remove line number
	marker.
	* g++.dg/special/initp1.C: Remove invalid attribute usage.
	* g++.dg/template/access3.C: Add typename keyword.
	* g++.dg/template/access5.C: Remove stray semicolon.
	* g++.dg/template/access6.C: Likewise.
	* g++.dg/template/complit1.C: Likewise.
	* g++.dg/template/crash1.C: Change error message.
	* g++.dg/template/inherit2.C: Remove stray semicolon.
	* g++.dg/template/instantiate2.C: Likewise.
	* g++.dg/template/instantiate3.C: Change error message.
	* g++.dg/template/qual1.C: Remove stray semicolon.
	* g++.dg/template/qualttp18.C: Change error message.
	* g++.dg/template/ref1.C: Remove stray semicolon.
	* g++.dg/template/sizeof1.C (A::value): Declare it.
	* g++.dg/template/spec4.C: Change error message.
	* g++.dg/template/static1.C: Likewise.
	* g++.dg/template/type1.C: Likewise.
	* g++.dg/template/typename3.C: Likewise.
	* g++.old-deja/g++.benjamin/13478.C: Change error message.
	* g++.old-deja/g++.benjamin/15799.C: Remove stray semicolon.
	* g++.old-deja/g++.benjamin/bool01.C: Likewise.
	* g++.old-deja/g++.benjamin/bool02.C: Likewise.
	* g++.old-deja/g++.benjamin/p13417.C: Now fails due to use of
	named return value extension.
	* g++.old-deja/g++.benjamin/tem06.C: Remove stray semicolon.
	* g++.old-deja/g++.benjmain/warn01.C: Likewise.
	* g++.old-deja/g++.bob/extern_C.C: Likewise.
	* g++.old-deja/g++.bob/inherit2.C: Likewise.
	* g++.old-deja/g++.brendan/complex1.C: Likewise.
	* g++.old-deja/g++.brendan/copy5.C: Likewise.
	* g++.old-deja/g++.brendan/crash13.C: Likewise.
	* g++.old-deja/g++.brendan/crash15.C: Likewise.
	* g++.old-deja/g++.brendan/crash18.C: Change error message.
	* g++.old-deja/g++.brendan/crash37.C: Remove stray semicolon.
	* g++.old-deja/g++.brendan/crash38.C: Likewise.
	* g++.old-deja/g++.brendan/crash50.C: Likewise.
	* g++.old-deja/g++.brendan/crash56.C: Likewise.
	* g++.old-deja/g++.brendan/crash6.C: Use explicit specialization
	syntax.
	* g++.old-deja/g++.brendan/crash66.C: Remove stray semicolon.
	* g++.old-deja/g++.brendan/crash8.C: Change error message.
	* g++.old-deja/g++.brendan/ctors1.C: Remove stray semicolon.
	* g++.old-deja/g++.brendan/ctors2.C: Likewise.
	* g++.old-deja/g++.brendan/shadow1.C: Likewise.
	* g++.old-deja/g++.brendan/template11.C: Likewise.
	* g++.old-deja/g++.brendan/template26.C: Likewise.
	* g++.old-deja/g++.brendan/template27.C: Use explicit
	specialization syntax.
	* g++.old-deja/g++.brendan/template30.C: Likewise.
	* g++.old-deja/g++.brendan/template5.C: Remove stray semicolon.
	* g++.old-deja/g++.brendan/visibility3.C: Account for use of
	non-dependent names.
	* g++.old-deja/g++.brendan/warnings4.C: Remove stray semicolon.
	* g++.old-deja/g++.brendan/warnings7.C: Likewise.
	* g++.old-deja/g++.bugs/900121_02.C: Likewise.
	* g++.old-deja/g++.eh/catchptr1.C: Likewise.
	* g++.old-deja/g++.ext/addrfunc4.C: Likewise.
	* g++.old-deja/g++.ext/namedret1.C: Now fails due to use of
	named return value extension.
	* g++.old-deja/g++.ext/namedret2.C: Likewise.
	* g++.old-deja/g++.ext/namedret3.C: Likewise.
	* g++.old-deja/g++.ext/return1.C: Likewise.
	* g++.old-deja/g++.ext/typename1.C: Add missing typename keywords.
	* g++.old-deja/g++.jason/access17.C: Issue more error messages.
	* g++.old-deja/g++.jason/access8.C: Likewise.
	* g++.old-deja/g++.jason/bool.C: Remove stray semicolon.
	* g++.old-deja/g++.jason/destruct.C: Remove incorrect
	pseudo-destructor names.
	* g++.old-deja/g++.jason/dtor3.C: Remove stray semicolon.
	* g++.old-deja/g++.jason/dtor5.C: Remove incorrect
	pseudo-destructor names.
	* g++.old-deja/g++.jason/opeq3.C: Remove stray semicolon.
	* g++.old-deja/g++.jason/overload19.C: Likewise.
	* g++.old-deja/g++.jason/overload32.C: Likewise.
	* g++.old-deja/g++.jason/parse11.C: Issue error messages about
	stray semicolons.
	* g++.old-deja/g++.jason/pmem2.C: Remove stray semicolon.
	* g++.old-deja/g++.jason/return.C: Likewise.
	* g++.old-deja/g++.jason/return2.C: Likewise.
	* g++.old-deja/g++.jason/shadow1.C: Likewise.
	* g++.old-deja/g++.jason/special.C: Use explicit specialization
	syntax.
	* g++.old-deja/g++.jason/template10.C: Account for use of
	non-dependent names.
	* g++.old-deja/g++.jason/template11.C: Use explicit specialization
	syntax.
	* g++.old-deja/g++.jason/template37.C: Likewise.
	* g++.old-deja/g++.law/access4.C: Change error messages.
	* g++.old-deja/g++.law/arm13.C:  Remove incorrect
	pseudo-destructor names.
	* g++.old-deja/g++.law/code-gen5.C: Remove stray semicolon.
	* g++.old-deja/g++.law/ctors9.C: Likewise.
	* g++.old-deja/g++.law/cvt22.C: Likewise.
	* g++.old-deja/g++.law/dtors5.C: Likewise.
	* g++.old-deja/g++.law/global-init1.C: Likewise.
	* g++.old-deja/g++.law/missed-error3.C: Likewise.
	* g++.old-deja/g++.law/operators28.C: Likewise.
	* g++.old-deja/g++.law/visibility28.C: Likewise.
	* g++.old-deja/g++.martin/eval1.C: Likewise.
	* g++.old-deja/g++.martin/pmf2.C: Remove qualifier in constructor
	name.
	* g++.old-deja/g++.mike/hog1.C: Remove stray semicolon.
	* g++.old-deja/g++.mike/net34.C: Likewise.
	* g++.old-deja/g++.mike/net36.C: Likewise.
	* g++.old-deja/g++.mike/ns2.C: Likewise.
	* g++.old-deja/g++.mike/p12306.C: Likewise.
	* g++.old-deja/g++.mike/p646.C: Adjust for removal of named return
	value extension.
	* g++.old-deja/g++.mike/p700.C: Likewise.
	* g++.old-deja/g++.mike/p701.C: Remove stray semicolon.
	* g++.old-deja/g++.mike/p710.C: Likewise.
	* g++.old-deja/g++.mike/p784.C: Adjust for removal of named return
	value extension.
	* g++.old-deja/g++.mike/pmf7.C: Remove stray semicolon.
	* g++.old-deja/g++.mike/pmf9.C: Likewise.
	* g++.old-deja/g++.ns/crash2.C: Likewise.
	* g++.old-deja/g++.ns/crash3.C: Likewise.
	* g++.old-deja/g++.ns/invalid1.C: Likewise.
	* g++.old-deja/g++.ns/ns17.C: Likewise.
	* g++.old-deja/g++.ns/template16.C: Likewise.
	* g++.old-deja/g++.ns/template5.C: Remove invalid use of template
	keyword.
	* g++.old-deja/g++.ns/template6.C: Remove stray semicolon.
	* g++.old-deja/g++.ns/using9.C: Remove stray semicolon.
	* g++.old-deja/g++.oliva/nameret1.C: Now fails due to use of
	named return value extension.
	* g++.old-deja/g++.oliva/nameret2.C: Likewise.
	* g++.old-deja/g++.other/access4.C: Issue additional error
	messages.
	* g++.old-deja/g++.other/array6.C: Remove stray semicolon.
	* g++.old-deja/g++.other/crash1.C: Isue additional error messages.
	* g++.old-deja/g++.other/crash11.C: Add missing class-key.
	* g++.old-deja/g++.other/crash25.C: Change error message.
	* g++.old-deja/g++.other/crash4.C: Change error message.
	* g++.old-deja/g++.other/debug7.C: Remove stray semicolon.
	* g++.old-deja/g++.other/decl5.C: Issue more error messages.
	* g++.old-deja/g++.other/defarg7.C: Remove circular dependency
	checks.
	* g++.old-deja/g++.other/defarg8.C: Likewise.
	* g++.old-deja/g++.other/dtor1.C: Remove stray semicolon.
	* g++.old-deja/g++.other/dtor10.C: Likewise.
	* g++.old-deja/g++.other/incomplete.C: Likewise.
	* g++.old-deja/g++.other/linkage7.C: Likewise.
	* g++.old-deja/g++.other/lookup19.C: Now fails due to corrected
	lookup algorithm.
	* g++.old-deja/g++.other/mangle2.C: Likewise.
	* g++.old-deja/g++.other/refinit2.C: Likewise.
	* g++.old-deja/g++.other/sizeof2.C: Change error messages.
	* g++.old-deja/g++.other/std1.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/crash28.C: Likewise.
	* g++.old-deja/g++.pt/crash29.C: Use explicit specialization
	syntax.
	* g++.old-deja/g++.pt/crash32.C: Change error message.
	* g++.old-deja/g++.pt/crash43.C: Adjust error messages.
	* g++.old-deja/g++.pt/crash58.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/crash65.C: Tweak to acount for change in
	error message position.
	* g++.old-deja/g++.pt/defarg5.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/defarg8.C: Change error message.
	* g++.old-deja/g++.pt/eichin01.C: Use explicit specialization
	syntax.
	* g++.old-deja/g++.pt/eichin01a.C: Define static data members.
	* g++.old-deja/g++.pt/eichin01b.C: Likewise.
	* g++.old-deja/g++.pt/enum7.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/explicit12.C: Remove invalid use of template
	keyword.
	* g++.old-deja/g++.pt/explicit31.C: Likewise.
	* g++.old-deja/g++.pt/explicit33.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/explicit35.C: Remove invalid use of template
	keyword.
	* g++.old-deja/g++.pt/explicit71.C: Change error message.
	* g++.old-deja/g++.pt/explicit80.C: Use explicit specialization
	syntax.
	* g++.old-deja/g++.pt/friend28.C: Account for use of
	non-dependent names.
	* g++.old-deja/g++.pt/friend29.C: Likewise.
	* g++.old-deja/g++.pt/friend46.C: Adjust for correct name lookup
	rules.
	* g++.old-deja/g++.pt/friend48.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/instantiate1.C: Use correct class-key.
	* g++.old-deja/g++.pt/instantiate11.C: Adjust for correct name
	lookup rules.
	* g++.old-deja/g++.pt/instantiate8.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/instantiate9.C: Insert missing typename
	keyword.
	* g++.old-deja/g++.pt/memclass20.C: Likewise.
	* g++.old-deja/g++.pt/memclass5.C: Likewise.
	* g++.old-deja/g++.pt/memclass7.C: Remove invalid use of template
	keyword.
	* g++.old-deja/g++.pt/memtemp75.C: Likewise.
	* g++.old-deja/g++.pt/memtemp81.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/memtemp87.C: Add missing access specifier.
	* g++.old-deja/g++.pt/overload13.C: Correct error messages.
	* g++.old-deja/g++.pt/parms2.C: Add missing typename keyword.
	* g++.old-deja/g++.pt/ptrmem1.C: Remove invalid use of template
	keyword.
	* g++.old-deja/g++.pt/spec10.C: Likewise.
	* g++.old-deja/g++.pt/spec28.C: Reorder declarations.
	* g++.old-deja/g++.pt/t10.C: Add explicit specialization syntax.
	* g++.old-deja/g++.pt/t32.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/t35a.C: Add explicit specialization syntax.
	* g++.old-deja/g++.pt/ttp24.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/ttp62.C: Likewise.
	* g++.old-deja/g++.pt/ttp64.C: Likewise.
	* g++.old-deja/g++.pt/typename11.C: Add missing typename keyword.
	* g++.old-deja/g++.pt/typename15.C: Likewise.
	* g++.old-deja/g++.pt/typename22.C: Likewise.
	* g++.old-deja/g++.pt/typename6.C: Change error messages.
	* g++.old-deja/g++.pt/using1.C: Remove stray semicolon.
	* g++.old-deja/g++.pt/virtual2.C: Likewise.
	* g++.old-deja/g++.robertl/eb118.C: Add explicit specialization
	syntax.
	* g++.old-deja/g++.robertl/eb27.C: Now fails due to use of named
	return value extension.
	* g++.old-deja/g++.robertl/eb43.C: Remove stray semicolon.
	* g++.old-deja/g++.robertl/eb79.C: Correct for new name lookup rules.
	* g++.old-deja/g++.robertl/eb82.C: Remove stray semicolons.
	* g++.old-deja/g++.robertl/eb86.C: Add missing forward declaration.

2002-12-26  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/warn/inline1.C: New test.
	* g++.old-deja/g++.brendan/crash64.C: Remove spurious inlines.
	* g++.old-deja/g++.jason/synth10.C: Likewise.
	* g++.old-deja/g++.mike/net31.C: Likewise.
	* g++.old-deja/g++.mike/p8786.C: Likewise.

	* g++.dg/template/friend10.C: New test.
	* g++.dg/template/conv5.C: New test.

2002-12-24  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/lookup/scoped3.C: New test.

	* g++.dg/lookup/decl1.C: New test.
	* g++.dg/lookup/decl2.C: New test.

2002-12-24  Joseph S. Myers  <jsm@polyomino.org.uk>

	* g++.dg/init/new1.C, g++.dg/template/alignof1.C,
	gcc.c-torture/compile/20021015-1.c,
	gcc.c-torture/compile/20021015-2.c,
	gcc.c-torture/compile/20021123-1.c,
	gcc.c-torture/compile/20021123-2.c,
	gcc.c-torture/compile/20021123-3.c,
	gcc.c-torture/compile/20021123-4.c,
	gcc.c-torture/execute/20021024-1.c: Add tests previously added
	only to 3.1 or 3.2 branch.

2002-12-23  Mark Mitchell  <mark@codesourcery.com>

	* gcc.dg/i386-bitfield3.c: New test.

	* gcc.dg/i386-bitfield2.c: New test.

2002-12-22  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/parse/conv_op1.C: New test.

2002-12-21  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.c-torture/compile/20021220-1.c: Removed until bug fix is
	approved.

2002-12-20  Josef Zlomek  <zlomekj@suse.cz>

	* gcc.c-torture/compile/20021220-1.c: New test.

2002-12-19  Casper S. Hornstrup  <chorns@users.sourceforge.net>

	* gcc.dg/i386-fastcall-1.c: New.

2002-12-19  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/execute/20021219-1.c: New test.

2002-12-19  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-pic-1.c: New test.

2002-12-18  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/8099
	* g++.dg/template/friend9.C: New test.

2002-11-18  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/3663
	* g++.dg/template/access7.C: New test.

2002-12-18  Nick Clifton  <nickc@redhat.com>

	* lib/g++.exp (g++_include_flags): Only invoke testsuite_flags if
	the libstdc++-v3 directory has been found.

2002-12-12  Devang Patel <dpatel@apple.com>
	* gcc.dg/darwin-ld-1.c: New test.
	* gcc.dg/darwin-ld-2.c: New test.
	* gcc.dg/darwin-ld-3.c: New test.
	* gcc.dg/darwin-ld-4.c: New test.
	* gcc.dg/darwin-ld-5.c: New test.

2002-12-12  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20021212-1.c: New test.

2002-12-11  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/fshort-wchar: New test.

2002-12-10  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8372
	* g++.dg/template/dtor1.C: New test.

	* g++.old-deja/g++.ext/memconst.C: Use old-deja, not dg, error
	markers.

2002-12-10  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/parse/parameter-declaration-1.C: Expect error on last line.

2002-12-09  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/static1.C: New test.
	* g++.dg/template/static2.C: New test.
	* g++.old-deja/g++.ext/memconst.C: New test.

2002-12-08  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* g++.dg/special/conpr-2.C: Expect failure on solaris2.
	* g++.dg/special/ecos.exp (conpr-3.C): Likewise.
	* g++.dg/special/initp1.C: Likewise.

2002-12-06  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/20021204-1.c: New test.

2002-12-04  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/ppc-fmadd-1.c: New file.
	* gcc.dg/ppc-fmadd-2.c: New file.
	* gcc.dg/ppc-fmadd-3.c: New file.

2002-12-04  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20021204-1.c: New test.

2002-12-03  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/inherit/covariant2.C: New test.
	* g++.dg/inherit/covariant3.C: New test.
	* g++.dg/inherit/covariant4.C: New test.
	* g++.dg/inherit/covariant1.C: Remove XFAIL.
	* g++.old-deja/g++.robertl/eb17.C: Likewise.

2002-12-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8688
	* g++.dg/init/brace3.C: New test.

2002-12-02  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.dg/20020210-1.c: Fix a comment typo.

2002-12-02  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8720
	* g++.dg/parse/defarg1.C: New test.

	PR c++/8615
	* g++.dg/template/char1.C: New test.

	* g++.dg/template/varmod1.C: Fix typo.

2002-12-02  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	DR 180
	* g++.old-deja/g++.pt/crash32.C: Expect error.

2002-12-01  Mark Mitchell  <mark@codesourcery.com>

	PR c++/5919
	* g++.dg/template/varmod1.C: New test.

	PR c++/8727
	* g++.dg/inherit/typeinfo1.C: New test.

	PR c++/8663
	* g++.dg/inherit/typedef1.C: New test.

2002-11-30  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8332
	PR c++/8493
	* g++.dg/template/strlen1.C: New test.

	PR c++/8227
	* g++.dg/template/ctor2.C: New test.

	PR c++/8214
	* g++.dg/init/string1.C: New test.

	PR c++/8511
	* g++.dg/template/friend8.C: New test.

2002-11-29  Joe Buck <jbuck@synopsys.com>

	* g++.dg/lookup/anon2.C: New test.

2002-11-28  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/strct-varg-1.x: Remove xfail on the
	h8300 port.

2002-11-27  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/bitfld-6.c: New test.

2002-11-27  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/execute/20021127.[cx]: New test.

2002-11-26  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-cmov[123].c: New tests for conditional move code
	quality.

2002-11-26  Geoffrey Keating  <geoffk@apple.com>

	* g++.dg/init/brace2.C: New test.
	* g++.old-deja/g++.mike/p9129.C: Correct.

2002-11-26  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/empty10.C: Don't run on non-x86 targets.

2002-11-25  Andreas Bauer  <baueran@in.tum.de>

	* gcc.dg/sibcall-6: New test for indirect sibcalls.

2002-11-25  Mark Mitchell  <mark@codesourcery.com>

	* testsuite/g++.dg/abi/empty11.C: New test.
	* testsuite/g++.dg/rtti/cv1.C: New test.

2002-11-25  Hans-Peter Nilsson  <hp@bitrange.com>

	* lib/prune.exp: Prune more -fpic/-fPIC warnings.

2002-11-24  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/empty10.C: New test.

2002-11-24  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20021124-1.c: New test.

2002-11-22  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/rtti2.C: New test.

2002-11-21  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.dg/i386-unroll-1.c: New test.

2002-11-20  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20021120-1.c: New test.
	* gcc.c-torture/compile/20021120-2.c: New test.

2002-11-20  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/bitfld-5.c: New test.

2002-11-20  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20021120-3.c: New test.

2002-11-20  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20021120-2.c: New test.

2002-11-20  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20021120-1.c: New test.

2002-11-20  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/20021118-3.c: New test.

2002-11-19  Eric Botcazou  <ebotcazou@libertysurf.fr>

	* gcc.c-torture/compile/20021119-1.c: New test.

2002-11-19  Jason Thorpe  <thorpej@wasabisystems.com>

	* gcc.dg/duff-1.c: New test.
	* gcc.dg/duff-2.c: New test.
	* gcc.dg/duff-3.c: New test.

2002-11-18  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/_Pragma5.c: New test.

2002-11-18  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20021118-2.c: New test.

2002-11-18  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/execute/20021118-1.c: New test.

2002-11-16  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20021116-1.c: New test.

2002-11-14  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/vcall1.C: New test.

2002-11-14  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20021029-1.c: New test.
	* gcc.dg/20021029-2.c: New test.

2002-11-13  John David Anglin  <dave@hiauly1.hia.nrc.ca>

	* g++.dg/abi/vague1.C (dg-final): Return if target is hppa*-*-hpux*.

2002-11-09  Eric Botcazou  <ebotcazou@libertysurf.fr>

	PR c/8439
	* gcc.dg/20021110.c: Move to ...
	* gcc.c-torture/compile/20021110.c: .... here.

2002-11-11  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	PR c/8467
	* gcc.c-torture/execute/20021111-1.c

2002-11-09  Eric Botcazou  <ebotcazou@libertysurf.fr>

	PR c/8439
	* gcc.dg/20021110.c: New test.

2002-11-10  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/vthunk3.C: Run only on x86.

2002-11-10  Joseph S. Myers  <jsm@polyomino.org.uk>

	* gcc.dg/c90-idem-qual-2.c, gcc.dg/c99-idem-qual-2.c: New tests.

2002-11-09  Hans-Peter Nilsson  <hp@bitrange.com>

	* lib/compat.exp (compat-execute): Fix logic error in last
	change.

2002-11-09  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/assembler.S, gcc.dg/cpp/trad/directive.c: Update.

2002-11-09  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/8389
	* g++.dg/template/access6.C: New test.

2002-11-08  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-ssefp-1.c: New test.
	* gcc.dg/i386-ssefp-1.c: New test.

2002-11-08  Jan Hubicka  <jh@suse.cz>

	* gcc.c-torture/compile/20021108-1.c: New testcase for x86-64 failure.

2002-11-07  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/vthunk3.C: New test.

	PR c++/8338
	* g++.dg/template/crash2.C: New test.

2002-11-07  Mark Mitchell  <mark@codesourcery.com>

	* testsuite/g++.dg/abi/dtor1.C: New test.
	* testsuite/g++.dg/abi/dtor2.C: Likewise.

2002-11-05  Geoffrey Keating  <geoffk@apple.com>

	* g++.old-deja/g++.eh/badalloc1.C: XFAIL excess errors test on
	Darwin.

2002-11-04  Adam Nemet  <anemet@lnxw.com>

	* gcc.c-torture/execute/941014-1.x: thumb-elf was deprecated, use
	-mthumb.  Only xfail with -O0.

2002-11-03  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/thunk1.C: New test.
	* g++.dg/abi/thunk2.C: Likewise.
	* g++.dg/abi/vtt1.C: Likewise.

2002-11-02  Diego Novillo  <dnovillo@redhat.com>

	PR optimization/8423
	* gcc.c-torture/execute/builtin-constant.c: New test.

2002-11-01  Zack Weinberg  <zack@codesourcery.com>

	* g++.dg/ext/typedef-init.C, gcc.dg/typedef-init.C:
	Add some more cases.

2002-11-01  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8391
	* g++.dg/opt/local1.C: New test.

2002-10-30  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8160
	* g++.dg/template/complit1.C: New test.

	PR c++/8149
	* g++.dg/template/typename4.C: Likewise.

2002-10-30  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	Core issue 287, PR c++/7639
	* g++.dg/template/instantiate1.C: Adjust error location.
	* g++.dg/template/instantiate3.C: New test.
	* g++.old-deja/g++.pt/crash10.C: Adjust error location.
	* g++.old-deja/g++.pt/derived3.C: Adjust error location.
	* g++.old-deja/g++.pt/spec28.C: Reorder declaration.

2002-10-29  Hans-Peter Nilsson  <hp@bitrange.com>

	* lib/compat.exp (compat-execute): Don't clean out a gluefile.

2002-10-29  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8287
	* g++.dg/init/dtor2.C: New test.

2002-10-28  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/20021014-1.c: Bypass errors on solaris2 and irix6.
	* gcc.dg/nest.c: Bypass errors on irix6.

2002-10-27  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.dg/nest.c: Expect error for mmix-*-*.
	* gcc.dg/20021014-1.c: Use dg-error, not dg-build.

2002-10-26  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.dg/wint_t-1.c, gcc.dg/wchar_t-1.c: Remove excess-errors
	markers.

	* gcc.dg/20021014-1.c: Expect build failure on mmix-*-*.

2002-10-25  Mike Stump  <mrs@apple.com>

	* gcc.dg/warn-1.c: New test.

2002-10-25  Zack Weinberg  <zack@codesourcery.com>

	* g++.dg/template/typename3.C: New test.

2002-10-25  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/lookup/ptrmem1.C: New test.

	* g++.dg/abi/vthunk2.C: New test.

2002-10-25  Zack Weinberg  <zack@codesourcery.com>

	* g++.dg/ext/vla1.C, gcc.dg/vla-2.c: New tests.

2002-10-24  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/empty9.C: New test.

2002-10-24  Richard Henderson  <rth@redhat.com>

	* g++.dg/inherit/thunk1.C: Enable for ia64.

2002-10-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8067
	* g++.dg/lookup/pretty1.C: New test.

2002-10-23  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20021023-1.c: New test.

2002-10-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7679
	* g++.dg/parse/inline1.C: New test.

2002-10-23  Richard Henderson  <rth@redhat.com>

	* g++.dg/inherit/thunk1.C: Enable for x86_64.

	* g++.dg/inherit/thunk1.C: Enable for s390 and alpha.

2002-10-22  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6579
	* g++.dg/parse/stmtexpr3.C: New test.

2002-10-22  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/expr/cond1.C: New test.

2002-10-21  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/sibcall-5.c: Correct { dg-do run } line.

2002-10-21  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/vbase13.C: New test.
	* g++.dg/abi/vbase14.C: Likewise.

2002-10-21  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/tls/pic-1.c: New test.
	* gcc.dg/tls/nonpic-1.c: New test.
	* gcc.dg/20021018-1.c: New test.

2002-10-21  Ulrich Weigand  <uweigand@de.ibm.com>

	* lib/profopt.exp (profopt-cleanup): New argument TESTCASE.
	Remove only files with the same base name as the test case.
	(profopt-perf-value): Pass TESTCASE to profopt-cleanup.
	(profopt-execute): Likewise.  Also, remove old profiling
	and performance data files before running the tests.

	* gcc.misc-tests/bprob.exp: Remove profopt-cleanup calls.
	* g++.dg/bprob/bprob.exp: Likewise.
	* g77.dg/bprob/bprob.exp: Likewise.  Also, relax regexp
	to allow more general test case names.

	* g++.dg/bprob/bprob-1.C: Rename to ...
	* g++.dg/bprob/g++-bprob-1.C: ... this.

	* g77.dg/bprob/bprob-1.f: Rename to ...
	* g77.dg/bprob/g77-bprob-1.f: ... this.

2002-10-21  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/noncompile/920923-1.c: Prevent spurious regressions with
	bison 1.50 or later.

2002-10-21  Janis Johnson  <janis187@us.ibm.com>

	* g++.dg/README: Describe more test directories.

2002-10-21  Mark Mitchell  <mark@codesourcery.com>

 	* g++.dg/init/array6.C: Add additional tests.

2002-10-21  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/weak/typeof-2.c: Handle s390x targets as well.
	* gcc.misc-tests/linkage.exp: Handle s390x targets in -m31 mode.

2002-10-21  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/compile/20020604-1.x: New.
	* gcc.c-torture/compile/simd-5.x: Likewise.
	* gcc.c-torture/execute/920710-1.x: Likewise.
	* gcc.c-torture/execute/20020720-1.x: Disable on h8300.

2002-10-21  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/inherit/override1.C: Add dg-options clause.

2002-10-20  Zdenek Dvorak  <rakdver@atrey.karlin.mff.cuni.cz>

	* testsuite/gcc.dg/i386-sse-3.c: Add tests for _mm_srli_si128 and
	_mm_slli_si128.

2002-10-19  Andreas Schwab  <schwab@suse.de>

	* lib/compat.exp (compat-run): Prepend "./" when $dest has no
	directory component.

2002-10-18  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/inherit/thunk1.C: New test.

	* g++.dg/inherit/override1.C: New test.

	* g++.dg/abi/mangle11.C: New test.
	* g++.dg/abi/mangle14.C: New test.
	* g++.dg/abi/mangle17.C: New test.

2002-10-17  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/overload/member2.C: New test.

2002-10-17  Janis Johnson  <janis187@us.ibm.com>

	* g++.dg/README: Describe new compat directory.
	* g++.dg/dg.exp: Skip tests in compat directory.
	* README.compat: New file.
	* lib/compat.exp: New expect script.
	* g++.dg/compat: New test directory.
	* g++.dg/compat/compat.exp: New expect script.
	* g++.dg/compat/abi: New test directory.
	* g++.dg/compat/abi/bitfield1_x.C, g++.dg/compat/abi/bitfield1_main.C,
	g++.dg/compat/abi/bitfield1_y.C, g++.dg/compat/abi/bitfield1.h,
	g++.dg/compat/abi/bitfield2_x.C, g++.dg/compat/abi/bitfield2_main.C,
	g++.dg/compat/abi/bitfield2_y.C, g++.dg/compat/abi/bitfield2.h,
	g++.dg/compat/abi/vbase8-10_x.C, g++.dg/compat/abi/vbase8-10_main.C,
	g++.dg/compat/abi/vbase8-10_y.C, g++.dg/compat/abi/vbase8-10.h,
	g++.dg/compat/abi/vbase8-21_x.C, g++.dg/compat/abi/vbase8-21_main.C,
	g++.dg/compat/abi/vbase8-21_y.C, g++.dg/compat/abi/vbase8-21.h,
	g++.dg/compat/abi/vbase8-22_x.C, g++.dg/compat/abi/vbase8-22_main.C,
	g++.dg/compat/abi/vbase8-22_y.C, g++.dg/compat/abi/vbase8-22.h,
	g++.dg/compat/abi/vbase8-4_x.C, g++.dg/compat/abi/vbase8-4_main.C,
	g++.dg/compat/abi/vbase8-4_y.C, g++.dg/compat/abi/vbase8-4.h: New files.
	* g++.dg/compat/break: New test directory.
	* g++.dg/compat/break/empty6_x.C, g++.dg/compat/break/empty6_main.C,
	g++.dg/compat/break/empty6_y.C, g++.dg/compat/break/empty6.h,
	g++.dg/compat/break/vbase10_x.C, g++.dg/compat/break/vbase10_main.C,
	g++.dg/compat/break/vbase10_y.C, g++.dg/compat/break/vbase10.h,
	g++.dg/compat/break/vbase11_x.C, g++.dg/compat/break/vbase11_main.C,
	g++.dg/compat/break/vbase11_y.C, g++.dg/compat/break/vbase11.h,
	g++.dg/compat/break/bitfield7_x.C, g++.dg/compat/break/bitfield7_main.C,
	g++.dg/compat/break/bitfield7_y.C, g++.dg/compat/break/bitfield7.h,
	g++.dg/compat/break/bitfield5_x.C, g++.dg/compat/break/bitfield5_main.C,
	g++.dg/compat/break/bitfield5_y.C, g++.dg/compat/break/bitfield5.h,
	g++.dg/compat/break/README: New files.
	* g++.dg/compat/eh: New test directory.
	* g++.dg/compat/eh/ctor1_x.C, g++.dg/compat/eh/ctor1_main.C,
	g++.dg/compat/eh/ctor1_y.C, g++.dg/compat/eh/ctor1.h,
	g++.dg/compat/eh/ctor2_x.C, g++.dg/compat/eh/ctor2_main.C,
	g++.dg/compat/eh/ctor2_y.C, g++.dg/compat/eh/ctor2.h,
	g++.dg/compat/eh/dtor1_x.C, g++.dg/compat/eh/dtor1_main.C,
	g++.dg/compat/eh/dtor1_y.C, g++.dg/compat/eh/dtor1.h,
	g++.dg/compat/eh/filter1_x.C, g++.dg/compat/eh/filter1_main.C,
	g++.dg/compat/eh/filter1_y.C, g++.dg/compat/eh/filter1.h,
	g++.dg/compat/eh/filter2_x.C, g++.dg/compat/eh/filter2_main.C,
	g++.dg/compat/eh/filter2_y.C,
	g++.dg/compat/eh/new1_x.C, g++.dg/compat/eh/new1_main.C,
	g++.dg/compat/eh/new1_y.C,
	g++.dg/compat/eh/nrv1_x.C, g++.dg/compat/eh/nrv1_main.C,
	g++.dg/compat/eh/nrv1_y.C, g++.dg/compat/eh/nrv1.h,
	g++.dg/compat/eh/spec3_x.C, g++.dg/compat/eh/spec3_main.C,
	g++.dg/compat/eh/spec3_y.C, g++.dg/compat/eh/spec3.h,
	g++.dg/compat/eh/template1_x.C, g++.dg/compat/eh/template1_main.C,
	g++.dg/compat/eh/template1_y.C, g++.dg/compat/eh/template1.h,
	g++.dg/compat/eh/unexpected1_x.C, g++.dg/compat/eh/unexpected1_main.C,
	g++.dg/compat/eh/unexpected1_y.C: New files.
	* g++.dg/compat/init: New test directory.
	* g++.dg/compat/init/array5_x.C, g++.dg/compat/init/array5_main.C,
	g++.dg/compat/init/array5_y.C,
	g++.dg/compat/init/byval1_x.C, g++.dg/compat/init/byval1_main.C,
	g++.dg/compat/init/byval1_y.C, g++.dg/compat/init/byval1.h,
	g++.dg/compat/init/dtor1_x.C, g++.dg/compat/init/dtor1_main.C,
	g++.dg/compat/init/dtor1_y.C, g++.dg/compat/init/dtor1.h,
	g++.dg/compat/init/elide1_x.C, g++.dg/compat/init/elide1_main.C,
	g++.dg/compat/init/elide1_y.C, g++.dg/compat/init/elide1.h,
	g++.dg/compat/init/init-ref2_x.C, g++.dg/compat/init/init-ref2_main.C,
	g++.dg/compat/init/init-ref2_y.C: New files.

2002-10-17  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7584
	* g++.dg/inherit/using3.C: New test.

2002-10-17  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/20021017-2.c: New test.

2002-10-17  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/mangle16.C: Adjust.

	* g++.dg/init/array8.C: New test.

2002-10-17  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/special/mips-abi.exp: New test.
	* gcc.dg/special/mips-abi.s: Empty file used by the above.

2002-10-16  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/mangle16.C: New test.
	* g++.dg/abi/mangle17.C: Likewise.

	PR c++/7478
	* g++.dg/template/ref1.C: New test.

2002-10-16  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/20020720-1.x: Don't XFAIL for mips.

2002-10-16  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/weak/typeof-2.c: For S/390 targets, return before baz3 test.

2002-10-16  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7524
	* g++.dg/init/array7.C: New test.

2002-10-15  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/array6.C: New test.

	* g++.dg/abi/mangle13.C: Likewise.
	* g++.dg/abi/mangle14.C: Likewise.
	* g++.dg/abi/mangle15.C: Likewise.

2002-10-14  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/empty8.C: New test.

2002-10-15  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/init/ctor1.C: New test.

2002-10-15  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.c-torture/execute/20021015-1.c: New test.

2002-10-15  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/weak/typeof-2.c: For SH targets, return before baz3 test.

2002-10-14  Jan Hubicka  <jh@suse.cz>

	* gcc.dg/i386-ssetype-[1-5].c: New tests.

2002-10-14  Richard Henderson  <rth@redhat.com>

	* gcc.dg/20020219-1.c: Disable for 16-bit targets.

2002-10-14  Mark Mitchell  <mark@codesourcery.com>

	PR optimization/6631
	* g++.dg/opt/const2.C: New test.

2002-10-14  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7176
	* g++.dg/parse/friend1.C: New test.
	* g++.old-deja/g++.pt/memtemp64.C: Adjust.

2002-10-14  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20021014-1.c: New test.

2002-10-11  Mark Mitchell  <mark@codesourcery.com>

	PR c++/5661
	* g++.dg/ext/vlm1.C: New test.
	* g++.dg/ext/vlm2.C: Likewise.

	* g++.dg/init/array1.C: Remove invalid braces.
	* g++.dg/init/brace1.C: New test.
	* g++.dg/init/copy2.C: Likewise.
	* g++.dg/init/copy3.C: Likewise.
	* g++.old-deja/g++.ext/arrnew.C: Change WARNING to ERROR.
	* g++.old-deja/g++.mike/p9129.C: Add ERROR on invalid use of
	braces.

2002-10-11  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/assembler.S: Don't use -ansi.

2002-10-11  Richard Shann  <richard.shann@superh.com>

	* gcc.c-torture/compile/simd-5.c: New test.

2002-10-10  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/shiftopt-1.c: New test case.

2002-10-10  Jim Wilson  <wilson@redhat.com>

	* gcc.c-torture/execute/20021010-1.c: New test.

2002-10-09  Zack Weinberg  <zack@codesourcery.com>

	PR c/7353
	* g++.dg/ext/typedef-init.C: New test.
	* gcc.dg/typedef-init.c: New test.

2002-10-09  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/paste13.c: New test.

2002-10-08  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/20020720-1.x: Take out sparc XFAILs.  For
	remaining platforms, XFAIL during compile, not execute.  Don't
	XFAIL at -O0.

2002-10-08  Nathan Sidwell  <nathan@codesourcery.com>

	* gcc.dg/alias-1.c: Tweak expected warning.

2002-10-06  D.Venkatasubramanian <dvenkat@noida.hcltech.com>

	* gcc.dg/20020411-1.c: Disable for 16-bit "int".

2002-10-06  Andreas Jaeger  <aj@suse.de>

	* gcc.dg/cpp/c++98-pedantic.C: Moved to g++.dg/cpp.
	* gcc.dg/cpp/c++98.C: Likewise.

	* g++.dg/cpp/c++98-pedantic.C: Moved from gcc.dg/cpp to here.
	* g++.dg/cpp/c++98.C: Likewise.

	* g++.dg/README (Subdirectories): Mention cpp directory.

	PR target/7559
	* gcc.dg/20021006-1.c: New test.

2002-10-05  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/7804
	* g++.dg/other/warning1.C: New test.

2002-10-04  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20020720-1.x:  XFAIL instead of skipping
	the test on failing platforms.  Mark sparcv9-*-*, sparc64-*-*
	and sparc-*-* with -m64 as expected failures.  See PR 8087.

2002-10-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7931
	* g++.dg/template/ptrmem3.C: New test.

	PR c++/7754
	* g++.dg/template/union1.C: New test.

2002-10-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/8006
	* g++.dg/abi/mangle9.C: New test.
	* g++.dg/abi/mangle10.C: New test.
	* g++.dg/abi/mangle11.C: New test.
	* g++.dg/abi/mangle12.C: New test.

2002-10-02  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7188.
	* g++.dg/template/meminit1.C: New test.
	* g++.dg/warn/Wreorder-1.C: Likewise.
	* g++.old-deja/g++.mike/warn3.C: Tweak.
	* lib/prune.exp: Ingore "in copy constructor".

2002-10-02  Andreas Jaeger  <aj@suse.de>

	* gcc.dg/20020919-1.c, gcc.dg/inline-2.c, gcc.dg/980211-1.c,
	gcc.dg/20020103-1.c, gcc.dg/20000614-2.c,
	g++.old-deja/g++.pt/asm1.C, g++.old-deja/g++.other/asm3.C: Enable
	on x86-64.

2002-10-01  Mark Mitchell  <mark@codesourcery.com>

	* gcc.dg/empty1.C: Fix typo.

2002-10-01  Nathan Sidwell  <nathan@codesourcery.com>

	* gcc.dg/alias-1.c: New test.

2002-10-01  Mark Mitchell  <mark@codesourcery.com>

	* gcc.dg/empty1.C: New test.

	* g++.dg/tls/init-2.C: Tweak error messages.

2002-10-01  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.c-torture/compile/20020923-1.c: New test.

2002-09-30  Jason Thorpe  <thorpej@wasabisystems.com>

	* gcc.c-torture/execute/ffs-1.c: New test.
	* gcc.c-torture/execute/ffs-2.c: Ditto.

2002-09-30  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/overload/member1.C: New test.

2002-09-30  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/empty7.C: New test.
	* g++.dg/init/pm2.C: Likewise.

2002-09-29  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/rtti/crash1.C: New test.

2002-09-29  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.dg/sibcall-1.c, gcc.dg/sibcall-2.c, gcc.dg/sibcall-3.c,
	gcc.dg/sibcall-4.c: New tests.

2002-09-28  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20020720-1.x: No longer skip test on
	powerpc and MMIX targets.

2002-09-27  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/cpp/20020927-1.c: New.

2002-09-26  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/compile/trunctfdf.c: New.

2002-09-26  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* lib/target-supports.exp (check_weak_available): Handle solaris2.

2002-09-27  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/execute/loop-15.c: New.

2002-09-26  Janis Johnson  <janis187@us.ibm.com>

	* README.QMTEST: Fix typo.

2002-09-26  Ulrich Weigand  <uweigand@de.ibm.com>

	* gcc.dg/20020926-1.c: New test.

2002-09-25  David S. Miller  <davem@redhat.com>

	PR target/7842
	* gcc.c-torture/execute/shiftdi.c: New test.

2002-09-26  Richard Earnshaw  <rearnsha@arm.com>

	* lib/gcc.exp (gcc_init): Use a filename for the testglue that is
	unique to the tool.
	* lib/g77.exp (g77_init): Likewise.
	* lib/g++.exp (g++_init): Likewise.
	* lib/objc.exp (objc_init): Likewise.

2002-09-25  Mark Mitchell  <mark@codesourcery.com>

	* gcc/testsuite/g++.dg/abi/empty5.C: New test.
	* gcc/testsuite/g++.dg/abi/empty6.C: New test.
	* gcc/testsuite/g++.dg/abi/vbase12.C: New test.

2002-09-25  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/execute/ieee/20010226-1.c: Early exit for
	too-small long double.

2002-09-23  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.dg/20020919-1.c: New test.

2002-09-23  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/bitfield6.C: New test.
	* g++.dg/abi/bitfield7.C: New test.
	* g++.dg/abi/bitfield8.C: New test.
	* g++.dg/abi/vbase11.C: New test.

2002-09-22  John David Anglin  <dave@hiauly1.hia.nrc.ca>

	* gcc.dg/20020219-1.c: Add "-mdisable-indexing" option for target
	hppa*-*-hpux*.  Update test comment.

2002-09-20  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/tls/struct-1.c: New test.

2002-09-20  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/tr-warn2.c: Update.

2002-09-20  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.c-torture/execute/20020720-1.x: Skip test on ARM-based systems.

2002-09-20  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.c-torture/execute/990208-1.x: XFAIL this at -O3 for ARM-based
	systems.

2002-09-20  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.c-torture/execute/ieee/mzero3.c: New test.

	* lib/scanasm.exp (scan-assembler-dem, scan-assembler-dem-not):
	Adjust for c++filt moved to binutils.  Remove spurious duplicate
	setting of cxxfilt.

2002-09-19  Geoffrey Keating  <geoffk@apple.com>

	* gcc.dg/20020312-2.c: Update for darwin.

2002-09-18  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.old-deja/g++.other/crash32.C: Mark ICE.

2002-09-17  Nicola Pero  <n.pero@mi.flashnet.it>

	* objc.dg/comp-types-1.m: New test.
	* objc.dg/comp-types-2.m: New test.
	* objc.dg/comp-types-3.m: New test.
	* objc.dg/comp-types-4.m: New test.
	* objc.dg/comp-types-5.m: New test.
	* objc.dg/comp-types-6.m: New test.

2002-09-17  John David Anglin  <dave@hiauly1.hia.nrc.ca>

	* gcc.c-torture/execute/strct-stdarg-1.x: Remove file.

2002-09-16  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/do1.C: New test.

	* g++.dg/template/subst1.C: New test.

2002-09-16  Steve Ellcey  <sje@cup.hp.com>

	* gcc.dg/20020312-2.c: Change __parisc__ to __hppa__.

2002-09-16  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/qualttp20.C: Adjust expected errors.
	* g++.old-deja/g++.jason/report.C: Likewise.
	* g++.old-deja/g++.other/qual1.C: Likewise.

	* g++.dg/lookup/scoped2.C: New test.

	* g++.dg/ext/asm3.C: New test.

2002-09-16  Richard Earnshaw  <rearnsha@arm.com>

	* objc.dg/bitfield-2.m (dg-options): Add -fsigned-char.

2002-09-16  Kazu Hirata  <kazu@cs.umass.edu>

	* ChangeLog: follow spelling conventions.
	* g++.old-deja/g++.abi/ptrmem.C: Likewise.
	* g++.old-deja/g++.bugs/900210_05.C: Likewise.
	* g++.old-deja/g++.bugs/900211_04.C: Likewise.
	* g++.old-deja/g++.bugs/900321_02.C: Likewise.
	* g++.old-deja/g++.bugs/900404_02.C: Likewise.
	* g++.old-deja/g++.bugs/900520_06.C: Likewise.
	* g++.old-deja/g++.law/global-init1.C: Likewise.
	* g++.old-deja/g++.other/delete4.C: Likewise.
	* g++.old-deja/g++.other/inline21.C: Likewise.
	* g++.old-deja/g++.other/singleton.C: Likewise.
	* g77.dg/strlen0.f: Likewise.
	* g77.f-torture/compile/20010519-1.f: Likewise.
	* g77.f-torture/compile/980310-4.f: Likewise.
	* gcc.c-torture/compile/20000605-1.c: Likewise.
	* gcc.c-torture/execute/20020225-1.c: Likewise.
	* gcc.dg/c90-hexfloat-2.c: Likewise.
	* gcc.dg/c99-bool-1.c: Likewise.
	* gcc.dg/c99-hexfloat-2.c: Likewise.
	* gcc.dg/dll-2.c: Likewise.
	* gcc.dg/wtr-union-init-1.c: Likewise.
	* gcc.dg/wtr-union-init-2.c: Likewise.
	* gcc.dg/wtr-union-init-3.c: Likewise.
	* gcc.dg/cpp/avoidpaste1.c: Likewise.
	* gcc.dg/cpp/defined.c: Likewise.
	* gcc.dg/cpp/macsyntx.c: Likewise.
	* gcc.dg/cpp/paste2.c: Likewise.
	* gcc.dg/cpp/trad/defined.c: Likewise.
	* gcc.dg/format/c90-printf-1.c: Likewise.
	* gcc.dg/format/c90-scanf-1.c: Likewise.
	* gcc.dg/format/c99-printf-1.c: Likewise.
	* gcc.dg/format/c99-scanf-1.c: Likewise.
	* gcc.misc-tests/gcov-8.c: Likewise.
	* lib/profopt.exp: Likewise.

2002-09-15  Krister Walfridsson  <cato@df.lth.se>

	* lib/old-dejagnu.exp (old-dejagnu) Improve test for ICE.

2002-09-15  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/inherit/using2.C: New test.

2002-09-15  Kazu Hirata  <kazu@cs.umass.edu>

	* ChangeLog: Follow spelling conventions.
	* g++.dg/template/friend4.C: Likewise.
	* g++.old-deja/g++.pt/crash67.C: Likewise.
	* gcc.c-torture/execute/20000801-4.c: Likewise.
	* gcc.dg/c90-digraph-1.c: Likewise.
	* gcc.dg/c94-digraph-1.c: Likewise.
	* gcc.dg/c99-digraph-1.c: Likewise.
	* gcc.dg/cpp/line5.c: Likewise.
	* gcc.dg/cpp/multiline.c: Likewise.
	* gcc.dg/cpp/trad/literals-1.c: Likewise.
	* gcc.dg/format/attr-3.c: Likewise.
	* gcc.dg/format/c90-scanf-3.c: Likewise.
	* gcc.dg/format/ext-4.c: Likewise.

2002-09-15  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/pretty1.C: New test.

2002-09-14  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/execute/struct-cpy-1.c: New test.

2002-09-13  Matt Austern  <austern@apple.com>

	* testsuite/g++.dg/other/constref[12].C: New, regression tests for
	passing a cast expression to a function by const reference.

2002-09-13  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/deduce1.C: New test.

2002-09-13  Kazu Hirata  <kazu@cs.umass.edu>

	* gcc.c-torture/execute/simd-1.c: Force all use of int to
	32-bit int.

2002-09-10  John David Anglin  <dave@hiauly1.hia.nrc.ca>

	* gcc.dg/struct-ret-1.c: Add prototype for exit function and correct
	usage.

2002-09-10  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.c-torture/compile/20020910-1.c: New test.

2002-09-10  Frank Ch. Eigler  <fche@redhat.com>

	* gcc.c-torture/execute/20010915-1.c: Correct typo in abort call.

2002-09-10  Andreas Jaeger  <aj@suse.de>

	* gcc.dg/20020312-2.c: Adjust for x86-64.

2002-09-08  Toon Moene  <toon@moene.indiv.nluug.nl>

	* g77.dg/7388.f: New test case for PR 7388.

2002-09-07  Ansgar Esztermann  <ansgar@thphy.uni-duesseldorf.de>

	* gcc.dg/compare2.c: Remove xfail from cases 10 and 12.

2002-09-05  Ziemowit Laski <zlaski@apple.com>

	* objc.dg/proto-lossage-1.m: New test.

2002-09-06  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/_Pragma4.c: Fix typo.

2002-09-06  Nicola Pero  <n.pero@mi.flashnet.it>

	* objc/execute/formal_protocol-6.x: Removed.  This testcase is now
	expected to pass.

2002-09-06  Stan Shebs  <shebs@apple.com>
	    David Edelsohn  <edelsohn@gnu.org>

	* gcc.dg/weak: New directory.
	* gcc.dg/weak-[1-9].c: Move to new directory, remove all
	target-specific xfail bits.
	* gcc.dg/typeof-2.c: Move to new directory.
	* gcc.dg/weak.exp: New expect script.

2002-09-06  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/execute/extzvsi.c: New test.

2002-09-05  Stan Shebs  <shebs@apple.com>

	* gcc.dg/weak-1.c: xfail on Darwin.
	* gcc.dg/weak-2.c: Ditto.
	* gcc.dg/weak-3.c: Ditto.
	* gcc.dg/weak-4.c: Ditto.
	* gcc.dg/weak-5.c: Ditto.
	* gcc.dg/weak-6.c: Ditto.
	* gcc.dg/weak-7.c: Ditto.
	* gcc.dg/weak-8.c: Ditto.
	* gcc.dg/weak-9.c: Ditto.

2002-09-05  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/loop-14.c: New test.

2002-09-04  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/other/cxa-atexit1.C: New test.

	* gcc.dg/typeof-2.c: New test.

2002-09-03  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-2.c: New testcase.
	* gcc.dg/builtins-3.c: New testcase.

2002-09-03  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/_Pragma4.c: New test.

2002-09-03  Nicola Pero  <n.pero@mi.flashnet.it>

	* objc/execute/nil_method-1.m: New testcase.

2002-09-01  Nicola Pero  <n.pero@mi.flashnet.it>

	* objc/execute/class-tests-1.h (test_class_with_superclass): Call
	[Object class], not [Object initialize].

2002-08-31  Roger Sayle  <roger@eyesopen.com>
	    Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.c-torture/execute/20020720-1.x: Skip test on
	mmix-knuth-mmixware.  Correct comment.

2002-08-27  Mark Mitchell  <mark@codesourcery.com>

	* testsuite/g++.dg/abi/bitfield5.C: New test.
	* testsuite/g++.dg/abi/vbase10.C: Likewise.

2002-08-27  Nicola Pero  <n.pero@mi.flashnet.it>

	* objc.dg/undeclared-selector.m: New test.

2002-08-27  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/offsetof1.C: Avoid cast warning.

2002-08-26  Ziemowit Laski  <zlaski@apple.com>

	* objc.dg/super-class-2.m: New test.

2002-08-24  Matt Austern  <austern@apple.com>

	* g++.dg/ext/lvaddr.C: New test.
	* g++.dg/ext/lvcast.C: New test.

2002-08-22  Mark Mitchell  <mark@codesourcery.com>

	* testsuite/g++.dg/inherit/cond1.C: New test.

2002-08-22  Geoffrey Keating  <geoffk@redhat.com>

	* gcc.dg/noncompile/incomplete-1.c: New test.

2002-08-21  Joseph S. Myers  <jsm@polyomino.org.uk>

	* gcc.dg/typespec-1.c: New test.

2002-08-20  Devang Patel  <dpatel@apple.com>
	* objc.dg/proto-hier-2.m: New test.

2002-08-19  Ziemowit Laski  <zlaski@apple.com>

	* objc.dg/bitfield-1.m: New test.
	* objc.dg/bitfield-2.m: New test.

2002-08-17  Joseph S. Myers  <jsm@polyomino.org.uk>

	* gcc.dg/c90-flex-array-1.c, gcc.dg/c99-flex-array-3.c,
	gcc.dg/c99-flex-array-4.c: New tests.

2002-08-16  Stan Shebs  <shebs@apple.com>

	* objc/execute/selector-1.m: Add __NEXT_RUNTIME__ case.

2002-08-15  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/typeof-1.c: New test.
	* g++.dg/ext/typeof2.C: New test.

2002-08-15  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/offsetof1.C: New test.

2002-08-14  Richard Henderson  <rth@redhat.com>

	* gcc.dg/tls/diag-3.c: Fix expected message strings.

2002-08-14  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/_Pragma3.c: New test.

2002-08-13  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/inherit3: New test.

2002-08-10  Nathan Sidwell  <nathan@codesourcery.com>

	* gcc.dg/bitfld-4.c: Add blank options.

2002-08-09  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/crash1.C: New test.

2002-08-08  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/tls/opt-2.c: New test.

2002-08-08  Devang Patel  <dpatel@apple.com>

	* objc.dg/selector-1.m : New test

2002-08-08  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/abi/bitfield4.C: New test.
	* gcc.dg/bitfld-4.c: New test.

2002-08-08  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/packed1.C: New test.

2002-08-07  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/offsetof.C: Tweak error messages.
	* g++.old-deja/g++.mike/p10769a.C: Likewise.

2002-08-08  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/bitfld-3.c: New test.

2002-08-07  Jakub Jelinek  <jakub@redhat.com>
	    Richard Henderson  <rth@redhat.com>

	* gcc.dg/i386-bitfield1.c: New test.
	* g++.dg/abi/bitfield3.C: Update.

2002-08-07  Neil Booth  <neil@daikokuya.co.uk>

	* objc.dg/const-str-2.m: Update.
	* gcc.dg/cpp/c++98.c: Change to C extension.
	* gcc.dg/cpp/c++98-pedantic.c: Similarly.
	* gcc.dg/cpp/cpp.exp: Process .C extensions too.

2002-08-06  Aldy Hernandez  <aldyh@redhat.com>

	* testsuite/gcc.dg/tls/diag-3.c: New.

2002-08-07  Gabriel Dos Reis  <gdr@nerim.net>

	* g++.dg/README (Subdirectories): Document new subdir expr.
	* g++.dg/expr/pmf-1.C: New test.

2002-08-06  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/vararg3.c, gcc.dg/cpp/vararg4.c: New tests.

2002-08-06  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/abi/bitfield3.C: New test.

2002-08-05  Nathan Sidwell  <nathan@codesourcery.com>

	* lib/gcov.exp: Tweak expected line formats.
	* gcc.misc-tests/gcov8.c: New test.
	* gcc.misc-tests/gcov8.x: New flags.

2002-08-05  Jakub Jelinek  <jakub@redhat.com>

	* consistency.vlad/layout/endian.c: Include string.h.

	* gcc.c-torture/execute/20020805-1.c: New test.

2002-08-04  Gabriel Dos Reis  <gdr@nerim.net>

	* g++.dg/other/conversion1.C: New test.

2002-08-03  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/builtins-1.c: New testcase.

2002-08-02  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/inherit/access3.C: New test.

2002-08-01  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/ia64-visibility-2.c: New test.

2002-08-01  Benjamin Kosnik   <bkoz@redhat.com>

	* g++.old-deja/g++.abi/ptrflags.C (expect): Change
	__qualifier_flags to __flags.

2002-07-31  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/inherit/operator1.C: New test.
	* g++.dg/lookup/disamb1.C: Fix typo in comment.
	* g++.dg/other/error1.C: Change expected error message.
	* g++.dg/template/conv4.C: Likewise.

2002-07-26  Neil Booth  <neil@daikokuya.cop.uk>

	* gcc.dg/cpp/trad/Wunused.c, gcc.dg/cpp/Wunused.c: Add test
	for documented behavior.

2002-07-25  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20020720-1.x: Skip this test on
	several targets known to fail.

2002-07-25  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/mips-args-[123].c: New tests.

2002-07-24  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/ppc-spe.c: New.

2002-07-24  Geoffrey Keating  <geoffk@redhat.com>

	* g++.dg/other/ptrmem4.C: New testcase.

2002-07-24  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/execute/loop-2e.c: Rewrite for 64 bit and no mmap.

2002-07-24  Gabriel Dos Reis  <gdr@nerim.net>

	* g++.dg/ext/alignof1.C (main): Return 0 for success.

2002-07-24  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/memset-3.c: New testcase.

2002-07-24  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/Wunused.c, gcc.dg/cpp/trad/Wunused.h,
	gcc.dg/cpp/Wunused.c, gcc.dg/cpp/Wunused.h: New tests.

2002-07-23  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/va-arg-15.x, va-arg-16.x, va-arg-17.x:
	Delete.

2002-07-23  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/compile/simd-4.c: New test.

2002-07-22  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/7347, c++/7348
	* g++.dg/template/access4.C: New test.
	* g++.dg/template/access5.C: New test.
	* g++.old-deja/g++.pt/memtemp85.C: Fix access problem.
	* g++.old-deja/g++.pt/memtemp86.C: Likewise.
	* g++.old-deja/g++.pt/ttp58.C: Likewise.
	* g++.old-deja/g++.pt/memtemp89.C: Remove XFAIL.

2002-07-22  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/gnu89-init-2.c: New test.

2002-07-21  Gabriel Dos Reis  <gdr@nerim.net>

	* gcc.dg/c90-arraydecl-1.c: Change C89 too C90.

2002-07-20  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20020720-1.c: New testcase.

2002-07-20  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/Wsignprom.c: New tests.

2002-07-20  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/execute/loop-13.c: New test.

2002-07-19  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/expr.c: New tests.

2002 07-18  David Edelsohn  <edelsohn@gnu.org>

	* g++.dg/opt/pr6713.C: Add template instantiation.

2002-07-18  Alan Modra  <amodra@bigpond.net.au>

	* gcc.dg/nest.c: New test.

2002-07-17  Richard Henderson  <rth@redhat.com>

	* g++.dg/opt/pr6713.C: New test.

2002-07-17  Eric Botcazou  <ebotcazou@multimania.com>

	* gcc.c-torture/execute/loop-2e.x: Let the testcase
	XFAIL for all x86 processors.

2002-07-17  Ian Dall  <ian@sibyl.beware.dropbear.id.au>

	* gcc.c-torture/execute/20010122-1.x: Do not test with
	-fomit-frame-pointer.

2002-07-17  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/template/instantiate2.C: New test.
	* g++.dg/template/spec4.C: New test.

2002-07-17  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/template/access2.C: New test.
	* g++.dg/template/access3.C: New test.

2002-07-15  Zack Weinberg  <zack@codesourcery.com>

	* c-torture/execute/991216-3.c, c-torture/execute/strct-varg-1.c,
	c-torture/execute/va-arg-7.c, c-torture/execute/va-arg-8.c,
	c-torture/execute/va-arg-15.c, c-torture/execute/va-arg-16.c,
	c-torture/execute/va-arg-17.c, c-torture/execute/va-arg-19.c:
	Convert to use <stdarg.h>.
	* c-torture/execute/va-arg-3.c, c-torture/execute/va-arg-3.x:
	Delete.
	* gcc.dg/va-arg-2.c: New.
	* lib/gcc.exp, lib/objc.exp: Remove code to set -DNO_VARARGS.

2002-07-15  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020710-1.c: New test.

2002-07-11  J"orn Rennecke <joern.rennecke@superh.com>
			  Andrew Pinski  <pinskia@physics.uc.edu>

	gcc.c-torture/compile/simd-2.c: New testcase.
	gcc.c-torture/compile/simd-3.c: Likewise.

2002-07-11  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7224
	* g++.dg/overload/error1.C: New test.

2002-07-11  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* gcc.misc-tests/linkage.exp: Handle mips-sgi-irix6*o32
	configuration and IRIX 6 O32 ABI.

2002-07-11  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/builtin-noret-1.c: Test non-ANSI functions.

2002-07-10  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20000217-1.c: Fix usage of "abort".

2002-07-10  Jeffrey A Law  <law@redhat.com>

	* gcc.c-torture/compile/981006-1.x: Do not use -fpic for mn102.

	* gcc.c-torture/compile/930326-1.x: Remove.  No longer needed.

2002-07-09  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/20020312-2.c: Check for __PPC__.

2002-07-09  Diego Novillo  <dnovillo@redhat.com>

	* gcc.c-torture/compile/20020709-1.c: New test.

2002-07-07  Roger Sayle  <roger@eyesopen.com>

	* g++.dg/template/qualttp21.C: New test case.

2002-07-06  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.c-torture/compile/20020706-1.c: New test.
	* gcc.c-torture/compile/20020706-2.c: New test.

2002-07-06  Brian R. Gaeke  <brg@dgate.ORG>
	    Alexandre Oliva  <aoliva@redhat.com>

	* g++.dg/warn/incomplete1.C: New test.

2002-07-05  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	PR c++/7099
	* g++.dg/warn/noreturn1.C: New test.

2002-07-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6706
	* g++.dg/debug/debug6.C: New test.
	* g++.dg/debug/debug7.C: New test.

2002-07-04  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/compile/simd-3.c: New test.

2002-07-03  Chris Demetriou  <cgd@broadcom.com>

	* g++.dg/abi/mangle6.C: Run for mipsisa64*-*-* targets.
	* gcc.dg/20020620-1.c: Likewise.

2002-07-03  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/6944
	* g++.dg/init/array4.C: New test.
	* g++.dg/init/array5.C: New test.

2002-07-03  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/simd-1.c (main): Also test &, |, ^, ~.
	* gcc.c-torture/execute/simd-2.c (main): Likewise.

2002-07-02  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.dg/cpp/tr-warn2.c: Use traditional C style function definitions.
	* gcc.dg/wtr-aggr-init-1.c: Likewise.
	* gcc.dg/wtr-conversion-1.c: Likewise.
	* gcc.dg/wtr-escape-1.c: Likewise.
	* gcc.dg/wtr-int-type-1.c: Likewise.
	* gcc.dg/wtr-label-1.c: Likewise.
	* gcc.dg/wtr-static-1.c: Likewise.
	* gcc.dg/wtr-strcat-1.c: Likewise.
	* gcc.dg/wtr-suffix-1.c: Likewise.
	* gcc.dg/wtr-switch-1.c: Likewise.
	* gcc.dg/wtr-unary-plus-1.c: Likewise.
	* gcc.dg/wtr-union-init-1.c: Likewise.
	* gcc.dg/wtr-union-init-2.c: Likewise.
	* gcc.dg/wtr-union-init-3.c: Likewise.

	* gcc.dg/wtr-func-def-1.c: New test.

2002-07-02 Devang Patel <dpatel@apple.com>

	* objc.dg/param-1.m: New test.

2002-07-03  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/directive.c: Add test.
	* gcc.dg/cpp/trad/macroargs.c: Add test.
	* gcc.dg/cpp/trad/recurse-3.c: Add tests.

2002-07-02  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/cmdlne-M.c: New test.

2002-07-02  Ziemowit Laski  <zlaski@apple.com>

	* objc.dg/desig-init-1.m: New test.

2002-07-02  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	PR c++/6716
	* g++.dg/template/instantiate1.C: New test.

2002-07-01  Mark Mitchell  <mark@codesourcery.com>

	PR c++/7112
	* g++.dg/template/sizeof2.C: New test.

2002-07-01  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/cmdlne-dD.c, gcc.dg/cpp/trad/cmdlne-dM.c,
	gcc.dg/cpp/trad/include.c: New tests.

2002-07-01  Hans-Peter Nilsson  <hp@axis.com>

	PR target/7177
	* gcc.c-torture/compile/20020701-1.c: New test.

2002-07-01  Stan Shebs  <shebs@apple.com>

	* lib/objc.exp (objc_target_compile): Add the -I path to ObjC
	header here...
	* lib/objc-torture.exp (objc-torture-compile): ...instead of here
	(objc-torture-execute): or here.

2002-07-01  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/arith-rand-ll.c: New test.

2002-07-01  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/escaped-nl.c: New test.

2002-06-30  Devang Patel  <dpatel@apple.com>

	* objc.dg/fsyntax-only.m: New test.

2002-06-27  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6695
	* g++.dg/template/friend7.C: New file.

2002-06-27  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.c-torture/execute/string-opt-8.c (strncmp): Fix typo in
	return type.

2002-06-27  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/simd-2.c (i, j): Add initializer elements to
	avoid division by zero.

2002-06-27  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/Wunknownprag.c: New tests.

2002-06-25  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/simd-2.c: New test.

2002-06-25  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/mi7.c, gcc.dg/cpp/mi7a.h, gcc.dg/cpp/mi7b.h,
	gcc.dg/cpp/trad/builtins.c, gcc.dg/cpp/trad/builtins.h,
	gcc.dg/cpp/trad/cmdlne-C.c, gcc.dg/cpp/trad/cmdlne-C2.c,
	gcc.dg/cpp/trad/maccom1.c, gcc.dg/cpp/trad/maccom2.c,
	gcc.dg/cpp/trad/maccom3.c, gcc.dg/cpp/trad/maccom4.c,
	gcc.dg/cpp/trad/maccom6.c, gcc.dg/cpp/trad/mi1.c,
	gcc.dg/cpp/trad/mi1c.h, gcc.dg/cpp/trad/mi1nd.h,
	gcc.dg/cpp/trad/mi1ndp.h, gcc.dg/cpp/trad/mi1x.h,
	gcc.dg/cpp/trad/mi2.c, gcc.dg/cpp/trad/mi2a.h,
	gcc.dg/cpp/trad/mi2b.h, gcc.dg/cpp/trad/mi2c.h
	gcc.dg/cpp/trad/mi3.c, gcc.dg/cpp/trad/mi3.def,
	gcc.dg/cpp/trad/mi3.h, gcc.dg/cpp/trad/mi4.c,
	gcc.dg/cpp/trad/mi5.c, gcc.dg/cpp/trad/mi6.c,
	gcc.dg/cpp/trad/mi6a.h, gcc.dg/cpp/trad/mi6b.h,
	gcc.dg/cpp/trad/mi6c.h, gcc.dg/cpp/trad/mi6d.h,
	gcc.dg/cpp/trad/mi6e.h, gcc.dg/cpp/trad/mi7.c,
	gcc.dg/cpp/trad/mi7a.h, gcc.dg/cpp/trad/mi7b.h: New tests.

2002-06-24  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/argcout.c, gcc.dg/cpp/trad/assembler.S,
	gcc.dg/cpp/trad/argcout.c, gcc.dg/cpp/trad/funlike-4.c,
	gcc.dg/cpp/trad/null-drctv.c, gcc.dg/cpp/trad/recurse-1.c,
	gcc.dg/cpp/trad/recurse-2.c, gcc.dg/cpp/trad/recurse-3.c:
	New tests.
	* gcc.dg/cpp/trad/directive.c: Update.

2002-06-23  Andreas Jaeger  <aj@suse.de>

	* gcc.c-torture/execute/complex-6.c: New.

2002-06-22  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad/comment-2.c. gcc.dg/cpp/trad/funlike-2.c,
	gcc.dg/cpp/trad/funlike.c, gcc.dg/cpp/trad/funlike-3.c,
	gcc.dg/cpp/trad/literals-1.c, gcc.dg/cpp/trad/literals-2.c,
	gcc.dg/cpp/trad/macroargs.c, gcc.dg/cpp/trad/quote.c: New tests.

2002-06-21  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/trad: New directory with traditional tests copied
	from parent directory.
	* gcc.dg/cpp/assert_trad1.c, gcc.dg/cpp/assert_trad2.c,
	gcc.dg/cpp/assert_trad3.c, gcc.dg/cpp/defined_trad.c,
	gcc.dg/cpp/hash2.c, gcc.dg/cpp/tr-define.c, gcc.dg/cpp/tr-direct.c,
	gcc.dg/cpp/tr-sign.c, gcc.dg/cpp/tr-str.c, gcc.dg/cpp/uchar-2.c:
	Move to trad/ and rename.
	* gcc.dg/cpp/trad/__STDC__.c, gcc.dg/cpp/trad/comment.c,
	gcc.dg/cpp/trad/escaped-eof.c, gcc.dg/cpp/trad/redef1.c,
	gcc.dg/cpp/trad/redef2.c: New tests.
	* gcc.dg/cpp/trad/trad.exp: New driver.

2002-06-20  Neil Booth  <neil@daikokuya.co.uk>

	* gcc.dg/cpp/assert_trad1.c, gcc.dg/cpp/assert_trad2.c,
	gcc.dg/cpp/assert_trad3.c, gcc.dg/cpp/defined_trad.c,
	gcc.dg/cpp/hash2.c, gcc.dg/cpp/tr-define.c, gcc.dg/cpp/tr-direct.c,
	gcc.dg/cpp/tr-sign.c, gcc.dg/cpp/tr-str.c, gcc.dg/cpp/uchar-2.c:
	Remove.

2002-06-20  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/20020620-1.c: New test.

2002-06-20  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/template/ttp4.C: New test.

2002-06-19  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/vt1.C: Fix regexp.

2002-06-18  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/pure-1.c: Make functions static again.
	Don't use attribute `noinline'.

2002-06-18  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.c-torture/execute/20020615-1.c: Fix typo in comment.

2002-06-18  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.c-torture/execute/simd-1.c: New.

	* gcc.dg/simd-1.c: New.

2002-06-18  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.c-torture/execute/20020615-1.c: Correct bug-description.

2002-06-16  Richard Henderson  <rth@redhat.com>

	* g++.dg/ext/anon-struct1.C: New.
	* g++.dg/ext/anon-struct2.C: New.
	* g++.dg/ext/anon-struct3.C: New.
	* gcc.dg/anon-struct-1.c: New.
	* gcc.dg/anon-struct-2.c: New.
	* gcc.dg/anon-struct-3.c: New.
	* gcc.dg/20011008-1.c: Adjust warning text.
	* gcc.dg/20020527-1.c: Add -fms-extensions.

2002-06-16  Richard Henderson  <rth@redhat.com>

	* gcc.dg/20020531-1.c: Add LL specifier to avoid warning.

2002-06-15  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.c-torture/execute/20020615-1.c: New test.

2002-06-15  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-tortuture/execute/compare-1.c: New test case.
	* gcc.c-tortuture/execute/compare-2.c: New test case.
	* gcc.c-tortuture/execute/compare-3.c: New test case.

2002-06-13  Richard Henderson  <rth@redhat.com>

	* g++.old-deja/g++.abi/vtable2.C (INC_VDATA): New.  Define for
	ia64 ilp32.

2002-06-12  Kriang Lerdsuwanakij  <lerdsuwa@users.sourceforge.net>

	* g++.dg/template/typename2.C: Update error message.

2002-06-12  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.c-torture/execute/20020611-1.c: New test.

2002-06-11  Bob Wilson  <bob.wilson@acm.org>

	* g++.old-deja/g++.pt/static11.C: Add xtensa-*-elf* to the
	list of targets to skip.

2002-06-10  Bob Wilson  <bob.wilson@acm.org>

	* gcc.c-torture/compile/20001226-1.x: Only xfail for Xtensa
	targets if not optimizing.

2002-06-10  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020605-1.c: New test.

	* g++.dg/opt/vt1.C: New test.

	* gcc.dg/20020531-1.c: New test.

	* gcc.dg/20020530-1.c: New test.

	* gcc.dg/20020527-1.c: New test.

	* g++.dg/opt/cse1.C: New test.

2002-06-07  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/20020607-2.c: New test case.

2002-06-07  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020604-1.c: New test.

2002-06-04  Richard Henderson  <rth@redhat.com>

	* gcc.dg/alpha-base-1.c: Add ext/ins/msk/umulh cases.
	* gcc.dg/alpha-max-1.c, gcc.dg/alpha-max-2.c: Use -mcpu=ev67.
	* gcc.dg/alpha-cix-1.c, gcc.dg/alpha-cix-2.c: New.

2002-06-04  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/altivec-2.c: Remove test for invalid vector type V2DF.

2002-06-03  Richard Henderson  <rth@redhat.com>

	* gcc.dg/alpha-base-1.c, gcc.dg/alpha-base-2.c: New.
	* gcc.dg/alpha-max-1.c, gcc.dg/alpha-max-2.c: New.

2002-06-02  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/execute/pure-1.c: Don't mark any of the
	test functions static.

2002-06-02  Andreas Jaeger  <aj@suse.de>

	* gcc.c-torture/execute/loop-3c.x: Remove, the test should pass
	now.

2002-06-02  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/wtr-int-type-1.c, gcc.dg/wtr-suffix-1.c,
	gcc.dg/cpp/paste4.c, gcc.dg/cpp/sysmac2.c:
	Update for mofified diagnostics.
	* gcc.dg/c99-intconst-1.c: No longer fail.

2002-06-02  Richard Henderson  <rth@redhat.com>

	* gcc.dg/uninit-A.c: Remove xfail markers.

2002-06-01  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/fnegate-1.c: New test case.

2002-05-30  Osku Salerma  <osku@iki.fi>

	* gcc.c-torture/execute/mayalias-1.c: New file.

2002-05-29  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/c++98-pedantic.c, gcc.dg/cpp/c89-pedantic.c,
	gcc.dg/cpp/c94-pedantic.c, gcc.dg/cpp/gnuc89-pedantic.c,
	gcc.dg/cpp/if-1.c: Update for modified diagnostics.

2002-05-29  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.c-torture/execute/20020529-1.c: New test.

2002-05-27  Richard Henderson  <rth@redhat.com>

	* g++.dg/ext/attrib6.C: New test case.

2002-05-27  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/pure-1.c: New test.

2002-05-27  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/arith-2.c: Remove.

2002-05-27  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/arith-2.c, gcc.dg/cpp/arith-3.c: New tests.
	* gcc.dg/cpp/if-3.c: Remove.

2002-05-26  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/cse2.C: New test.

2002-05-26  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/arith-1.c: New semantic tests.
	* gcc.dg/cpp/if-1.c: Update.

2002-05-24  Ben Elliston  <bje@redhat.com>

	* lib/c-torture.exp (c-torture-execute): Handle multiple sources.

2002-05-24  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/verbose-asm.c: New test.

2002-05-24  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/paste12.c: New test.

2002-05-23  Neil Booth  <neil@daikokuya.demon.co.uk>

	* g++.dg/parse/named_ops.C: New test.

2002-05-23  Mark Mitchell  <mark@codesourcery.com>

	* gcc/testsuite/gcc.dg/weak-8.c: New test.

2002-05-23  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/weak-2.c: Allow optional leading underscore
	in scan-assembler symbol name.
	* gcc.dg/weak-3.c: Likewise.
	* gcc.dg/weak-4.c: Likewise.
	* gcc.dg/weak-5.c: Likewise.

2002-05-23  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020523-1.c: New test.

2002-05-23  Neil Booth  <neil@daikokuya.demon.co.uk>

	* objc.dg/const-str-2.m: Update now that we stop after
	a command line error.

2002-05-22  Richard Henderson  <rth@redhat.com>

	* g++.dg/dg.exp: Fix typo in test pruneing.

2002-05-22  Richard Henderson  <rth@redhat.com>

	* g++.dg/dg.exp: Prune the tls subdirectory.
	* g++.dg/tls/tls.exp, g++.dg/tls/trivial.C: New.
	* g++.dg/tls/diag-1.C, g++.dg/tls/diag-2.C: New.
	* g++.dg/tls/init-1.C: New.

2002-05-22  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020517-1.c: New test.

2002-05-21  Richard Henderson  <rth@redhat.com>

	* gcc.dg/tls/tls.exp, gcc.dg/tls/trivial.c, gcc.dg/tls/diag-1.c,
	gcc.dg/tls/diag-2.c, gcc.dg/tls/init-1.c: New directory and files.

2002-05-21  Brian R. Gaeke  <brg@dgate.ORG>

	* g++.dg/other/copy2.C: New test.

2002-05-20  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.c-torture/execute/memcpy-2.c (SEQUENCE_LENGTH): Define.
	(MAX_COPY): Bump up to 10 times sizeof (long long).
	(main): Use a pattern of SEQUENCE_LENGTH different characters to copy.

	* gcc.c-torture/execute/memset-1.c (MAX_COPY): Bump up to 10 times
	sizeof (long long).

	* gcc.c-torture/execute/strcpy-1.c: New test.

2002-05-19  Jason Merrill  <jason2redhat.com>

	* g++.dg/ext/oper1.C: New test.

2002-05-20  David Billinghurst <David.Billinghurst@riotinto.com>
2002-05-19  Mark Mitchell  <mitchell@doubledemon.codesourcery.com>

	* README.QMTEST: New file.

	* g++.dg/warn/Wshadow-1.C: Remove unncessary dg-error line.

2002-05-19  Andreas Jaeger  <aj@suse.de>

	* gcc.c-torture/execute/loop-2c.x: Remove, the test should pass
	now.
	* gcc.c-torture/execute/loop-2d.x: Likewise.

2002-05-19  David Billinghurst <David.Billinghurst@riotinto.com>

	* gcc.dg/weak-2.c:  xfail warnings for platforms that don't
	support weak symbols.
	* gcc.dg/weak-4.c: Likewise
	* gcc.dg/weak-6.c: Likewise

2002-05-16  David.Billinghurst <David.Billinghurst@riotinto.com>

	* gcc.dg/weak-3.c: Add dg-excess-error comment for
	cygwin, coff and h8300-*-hms targets
	* gcc.dg/weak-5.c: Likewise
	* gcc.dg/weak-7.c: Likewise

2002-05-16  Jason Merrill  <jason@redhat.com>

	* lib/scanasm.exp (scan-assembler): Use upvar, not uplevel.
	(scan-assembler-not, scan-assembler-dem): Likewise.
	(scan-assembler-dem-not): Likewise.

2002-05-15  Richard Henderson  <rth@redhat.com>

	* gcc.dg/weak-5.c (vfoo1c, vfoo1g): Warn here.

2002-05-15  Richard Henderson  <rth@redhat.com>

	* gcc.dg/weak-5.c (vfoo1c): No warning here.
	(vfoo1f): Warning here.
	(vfoo1l): Don't redefine the alias.

2002-05-14  Jason Merrill  <jason@redhat.com>, Alexandre Oliva  <aoliva@redhat.com>

	* g++.dg/init/pm1.C: New test.

2002-05-12  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/execute/conversion.c (ldnear): Use long double
	types.

2002-05-10  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20020510-1.c: New test case.

2002-05-10  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/execute/conversion.c: Test long double too.

2002-05-09  Jakub Jelinek  <jakub@redhat.com>

	* lib/g77.exp (g77_link_flags): Append all multilib dirs containing
	libgcc_s*.so.1 below gcc object dir to LD_LIBRARY_PATH.
	* lib/g++.exp (g++_link_flags): Likewise.
	* lib/objc.exp (objc_target_compile): Likewise.

2002-05-09  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/poison.c: Update.
	* gcc.dg/cpp/20000625-2.c: Remove.
	* gcc.dg/cpp/direct2s.c: Remove final test.

2002-05-08  Tom Rix  <trix@redhat.com>

	* gcc.c-torture/execute/20020508-1.c: New test.
	* gcc.c-torture/execute/20020508-2.c: New test.
	* gcc.c-torture/execute/20020508-3.c: New test.

2002-05-08  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/charconst-4.c: More tests.

2002-05-08  Mark Mitchell  <mark@codesourcery.com>

	PR c/6569
	* gcc.dg/weak-3.c: Update location of warning messages.
	* gcc.dg/weak-5.c: Likewise.

2002-05-06  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/20020506-1.c: New test case.

2002-05-07  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/charconst-3.c: Correct tests accordingly.

2002-05-06  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/charconst-3.c: Run, don't compile.

2002-05-06  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/charconst-3.c: New test.

2002-05-05  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/charconst.c: Update tests.

2002-05-05  Tim Josling  <tej@melbpc.org.au>

	* treelang: Added directory for new sample language treelang. Also
	lib/treelang.exp: New file to signal treelang should be tested.

2002-05-03  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/cpp/cmdlne-dM-M.c: New test.
	* gcc.dg/cpp/cmdlne-dD-M.c: New test.
	* gcc.dg/cpp/cmdlne-dN-M.c: New test.
	* gcc.dg/cpp/cmdlne-dI-M.c: New test.
	* gcc.dg/cpp/cmdlne-dI-M.h: New aux file.
	* gcc.dg/cpp/cmdlne-dD-dM.c: New test.
	* gcc.dg/cpp/cmdlne-dM-dD.c: New test.

2002-05-03  Joseph S. Myers  <jsm28@cam.ac.uk>

	* gcc.dg/format/xopen-2.c: New test.

2002-05-03  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020503-1.c: New test.

2002-05-02  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/dtor1.C: Make it tougher.

2002-05-01  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/dtor1.C: New test.

2002-05-02  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/altivec-8.c: New.

2002-05-01  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/altivec-7.c: New.

2002-04-29  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/parse/typedef1.C: New test.

2002-04-29  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6486
	* g++.dg/template/friend6.C: New test.

	PR c++/6492
	* g++.dg/init/copy1.C: New test.

2002-04-29  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/warn/effc1.C: New test.

2002-04-29  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/if-cexp.c: Add a test.

2002-04-28  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020426-2.c: New test.

2002-04-28  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/if-mop.c: Update.
	* gcc.dg/cpp/if-mpar.c: Add test.
	* gcc.dg/cpp/if-oppr.c: Update.

2002-04-28  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	PR c/6343
	* gcc.dg/weak-[2-7].c: New tests.

2002-04-26  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.dg/enum1.c: New test.

2002-04-26  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6497
	* g++.dg/inherit/access2.C: New test.

2002-04-26  Mark Mitchell  <mark@codesourcery.com>

	PR bootstrap/6445
	* gcc.dg/20020426-1.c: New test.

2002-04-26  Alexandre Oliva  <aoliva@redhat.com>

	* g++.dg/abi/enum1.C: New test.

2002-04-26  Richard Henderson  <rth@redhat.com>

	* gcc.dg/c99-bool-1.c: Expect always true warning.

2002-04-25  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/i386-memset-1.c: New test case for PR target/6456.

2002-04-25  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/execute/20020227-1.x: New file, xfail on 64-bit
	targets.

2002-04-24  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/abi/mange7.C: New test.

	PR c++/6438.
	* g++.dg/parse/stmtexpr2.C: New test.

2002-04-24  J"orn Rennecke <joern.rennecke@superh.com>

	* gcc.dg/20020312-2.c: Add SH target.

2002-04-24  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.c-torture/compile/labels-3.x: New file, don't assemble the
	compiler output on mips*-*-irix*.

2002-04-23  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/parse/attr1.C: New test.

2002-04-23  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/execute/string-opt-17.c: New test case.
	* gcc.c-torture/execute/memset-2.c: New test case.

2002-04-23  Mark Mitchell  <mark@codesourcery.com>

	PR c++/6256:
	* g++.dg/template/friend5.C: New test.

	PR c++/6331:
	* g++.dg/template/qual1.C: Likewise.

2002-04-22  Zack Weinberg  <zack@codesourcery.com>

	* gcc.c-torture/execute/980707-1.c: Don't use isspace().
	Include stdlib.h, not stdio.h or ctype.h.

2002-04-22  Hans-Peter Nilsson  <hp@axis.com>

	* gcc.dg/20020415-1.c: Expect warning for unsupported -fpic on
	cris-*-elf* and mmix-*-*.
	* g77.f-torture/execute/io0.x: xfail for cris-*-elf.
	* g77.f-torture/execute/io1.x, g77.f-torture/execute/20001201.x,
	g77.f-torture/execute/6367.x, g77.f-torture/execute/u77-test.x:
	Ditto.
	* gcc.dg/wint_t-1.c: Mark excess errors for cris-*-elf.
	* gcc.dg/wchar_t-1.c: Ditto.

2002-04-21  Hans-Peter Nilsson  <hp@axis.com>

	* g++.dg/opt/cleanup1.C (C::C()): Initialize member c.
	Clarify comment.

2002-04-21  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/endif.h, gcc.dg/cpp/endif.c: New tests.

2002-04-21  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* gcc.c-torture/execute/20000906-1.x: Delete.

2002-04-20  David.Billinghurst <David.Billinghurst@riotinto.com>

	* g77.dg/f77-edit-i-in.f: Restore missing { dg-do run }

2002-04-19  Toon Moene  <toon@moene.indiv.nluug.nl>

	* PR6367
	* g77.f-torture/execute/6367.f: New test.
	* g77.f-torture/execute/6367.x: Disable for MMIX.

2002-04-19  Mark Mitchell  <mark@codesourcery.com>

	* PR6352
	* g++.dg/opt/inline2.C: New test.

2002-04-18  Richard Henderson  <rth@redhat.com>

	* gcc.dg/20000906-1.c: Enable for all targets.
	* gcc.c-torture/compile/iftrap-2.c: New.

2002-04-18  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020418-1.c: New test.
	* gcc.dg/20020418-2.c: New test.

2002-04-18  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/compile/iftrap-1.c: New.
	* gcc.dg/iftrap-1.c: Adjust for ia64.
	* gcc.dg/iftrap-2.c: New.

2002-04-18  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020418-1.c: New test.

2002-04-18  Roger Sayle  <roger@eyesopen.com>

	* gcc.c-torture/compile/20020415-1.c: New.

2002-04-18  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/execute/20020418-1.c: New test.

2002-04-17  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020416-1.c: New test.

	* g++.dg/opt/inline1.C: New test.

2002-04-16  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/altivec-5.c: New test.

	* gcc.dg/20020415-1.c: New test.

2002-04-15  Mark Mitchell  <mark@codesourcery.com>

	* testsuite/lib/chill.exp: Remove.

2002-04-14  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/other/big-struct.C: New test.

2002-04-14  David Billinghurst <David.Billinghurst@riotinto.com>

	* g77.dg/f77-edit-i-in.f: Use internal buffer in place
	of scratch file.

2002-04-13  David Billinghurst <David.Billinghurst@riotinto.com>

	PR c/6277
	* gcc.dg/i386-387-1.c:  Allow optional leading underscore
	in scan-assembler function name

2002-04-13  Hans-Peter Nilsson  <hp@bitrange.com>

	* g77.f-torture/execute/980628-4.x,
	g77.f-torture/execute/980628-5.x,
	g77.f-torture/execute/980628-6.x, g77.f-torture/execute/alpha2.x,
	g77.f-torture/execute/auto0.x, g77.f-torture/execute/auto1.x,
	g77.f-torture/compile/alpha1.x: xfail powerpc-*-* hosted on
	i[34567]86-*-*.

2002-04-13  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/execute/20020413-1.c: New test.

2002-04-13  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/asm-6.c,
	* g++.dg/ext/asm1.C: New tests.

2002-04-12  Mark Mitchell  <mark@codesourcery.com>

	PR c++ 5373.
	* g++.dg/parse/stmtexpr1.C: New test.

	PR c++/5189.
	* g++.dg/template/copy1.C: New test.

2002-04-12  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/execute/20020406-1.c (DUPFFnew): Use calloc.

2002-04-12  Geoffrey Keating  <geoffk@redhat.com>

	* gcc.c-torture/execute/20020412-1.c: New file, renamed from
	gcc.c-torture/execute/20020307-2.c.

2002-04-12  Richard Sandiford  <rsandifo@redhat.com>

	* g++.dg/ext/attrib5.C,
	* g++.dg/lookup/struct1.C: New tests.

2002-04-11  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020411-1.c: New test.

	* gcc.c-torture/execute/20020411-1.c: New test.

2002-04-10  Janis Johnson  <janis187@us.ibm.com>

	* g77.f-torture/execute/6177.f: New test.

2002-04-10  Jakub Jelinek  <jakub@redhat.com>

	PR middle-end/6247
	* g++.dg/opt/cleanup1.C: New test.

	* g++.dg/opt/const1.C: New test.

2002-04-10  Lars Brinkhoff  <lars@nocrew.org>

	* gcc.c-torture/execute/20020406-1.c: Declare malloc.

2002-04-10  Nathan Sidwell  <nathan@codesourcery.com>

	PR c++/5507
	* g++.dg/template/typename2.C: New test.

2002-04-10  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/execute/loop-12.c: New.

2002-04-08  Hans-Peter Nilsson  <hp@bitrange.com>

	* g77.f-torture/execute/980628-4.x,
	g77.f-torture/execute/980628-5.x,
	g77.f-torture/execute/980628-6.x, g77.f-torture/execute/alpha2.x,
	g77.f-torture/execute/auto0.x, g77.f-torture/execute/auto1.x,
	g77.f-torture/compile/alpha1.x: New, xfail cross-endian tests.

2002-04-07  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	PR optimization/6086
	* g++.dg/opt/preinc1.C: New test.

2002-04-06  Mark Mitchell  <mark@codesourcery.com>

	PR c++/5571
	* g++.dg/opt/static2.C: New test.

2002-04-06  Mark Mitchell  <mark@codesourcery.com>

	PR c/5120
	* gcc.dg/20020406-1.c: New test.

2002-04-04  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/execute/20020404-1.c: New test.

2002-04-04  Jakub Jelinek  <jakub@redhat.com>

	PR c/6123
	* gcc.dg/20020312-2.c: Do not declare global register variable
	if __PIC__ or __pic__ is defined.

2002-04-04  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.dg/arm-asm.c: Run this test on ARM chips, not SPARC.  Use
	__asm__ so that it works correctly even if -ansi -pedantic-errors.

2002-04-03  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.misc-tests/linkage.exp: Update last change to handle
	sparc*-, not just sparc-.

2002-04-03  Richard Henderson  <rth@redhat.com>

	* gcc.dg/cpp/ucs.c: Improved long UCS test.

2002-04-03  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.dg/wchar_t-1.c, gcc.dg/wchar_t-1.c: Fix typo last change.

2002-04-02  David S. Miller  <davem@redhat.com>

	* gcc.c-torture/execute/20020402-3.c: New test.

2002-04-03  Hans-Peter Nilsson  <hp@bitrange.com>

	* g77.dg/bprob/bprob.exp: Skip for mmix-*-* and cris-*-*.
	* g++.dg/bprob/bprob.exp, gcc.misc-tests/bprob.exp: Ditto.

	* g77.dg/f77-edit-i-in.f: xfail for mmix-knuth-mmixware.
	* g77.f-torture/execute/io0.x, g77.f-torture/execute/io1.x,
	g77.f-torture/execute/20001201.x,
	g77.f-torture/execute/u77-test.x: New files.

	* gcc.dg/wint_t-1.c: Mark excess errors for mmix-knuth-mmixware.
	* gcc.dg/wchar_t-1.c: Ditto.

2002-04-02  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* gcc.c-torture/execute/20020402-1.c: New test.

2002-04-01  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/compile/920625-1.x: XFAIL -O1.

	* g++.dg/other/new1.C: Use __SIZE_TYPE__.

2002-04-01  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* gcc.misc-tests/linkage.exp: Special case 64-bit solaris2.

2002-04-01  Gabriel Dos Reis  <gdr@merlin.codesourcery.com>

	* g++.dg/inherit/template-as-base.C: Expect error.
	* g++.dg/inherit/namespace-as-base.C: Likewise.

2002-03-31  Hans-Peter Nilsson  <hp@bitrange.com>

	* g++.dg/ext/instantiate1.C, g++.dg/ext/instantiate2.C,
	g++.dg/ext/instantiate3.C: Tweak match patterns.

	* g++.old-deja/g++.pt/static11.C: Skip on mmix-knuth-mmixware.
	* g++.dg/other/static11.C: Copy g++.old-deja/g++.pt/static11.C for
	-da test.

2002-03-31  Richard Henderson  <rth@redhat.com>

	* gcc.dg/special/alias-2.c: New.
	* gcc.dg/special/ecos.exp: Run it.

2002-03-31  Richard Henderson  <rth@redhat.com>

	* gcc.dg/va-arg-1.c: Expect warnings, not errors.

2002-03-31  Kazu Hirata  <kazu@hxi.com>

	* gcc.dg/weak-1.c: Disable on h8300 port.

2002-03-29  Janis Johnson  <janis187@us.ibm.com>

	* g++.dg/dg.exp: Ignore tests in new directories bprob and gcov.
	* g++.dg/bprob/bprob.exp: New driver for profile-directed branch
	ordering tests.
	* g++.dg/bprob/bprob-1.C: New test.
	* g++.dg/gcov/gcov.exp: New driver for gcov tests.
	* g++.dg/gcov/gcov-1.C: New test.
	* g++.dg/gcov/gcov-1.x: New file.
	* g++.dg/gcov/gcov-2.C: New test.
	* g++.dg/gcov/gcov-3.C: New test.
	* g++.dg/gcov/gcov-3.h: New file.

2002-03-28  Roger Sayle  <roger@eyesopen.com>

	* g++.old-deja/g++.other/builtins5.C: New test.
	* g++.old-deja/g++.other/builtins6.C: New test.
	* g++.old-deja/g++.other/builtins7.C: New test.
	* g++.old-deja/g++.other/builtins8.C: New test.
	* g++.old-deja/g++.other/builtins9.C: New test.

2002-03-29  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/static1.C: New test.

	* g++.dg/opt/longbranch1.C: New test.

2002-03-28  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.dg/weak-1.c: Fix typo in scan-assembler pattern.

	* g++.old-deja/g++.law/bit-fields2.C: Skip on mmix-knuth-mmixware.

2002-03-28  Jeffrey A Law  (law@redhat.com)

	* gcc.c-torture/execute/20020328-1.c: New test.

2002-03-27  Richard Henderson  <rth@redhat.com>

	* g++.dg/ext/instantiate1.C: Use scan-assembler, not link errors.
	* g++.dg/ext/instantiate2.C, g++.dg/ext/instantiate3.C: Likewise;
	move from g++.old-deja/g++.ext/.

2002-03-27  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/new2.C: New test.

2002-03-26  Richard Henderson  <rth@redhat.com>

	* gcc.dg/pragma-re-2.c: Avoid empty source file warning.

	* gcc.dg/20020312-2.c: Don't test epilogue vs global register
	on sparc.

	* gcc.dg/20001101-1.c: Add -mcpu=ultrasparc.  Only run on
	sparcv9 systems.
	* gcc.dg/20001102-1.c: Likewise.

2002-03-26  Phil Edwards  <pme@gcc.gnu.org>

	* gcc.dg/cpp/endif-pedantic1.c,
	gcc.dg/cpp/endif-pedantic2.c:  New tests.

2002-03-26  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/init/new1.C: New test.

2002-03-26  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/abi/vbase9.C: New test.

2002-03-26  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.dg/arm-asm.c: New test.

2002-03-26  Andrew Cagney  <ac131313@redhat.com>

	* gcc.dg/Wswitch-enum.c: New test.
	Fix PR c/5044.

2002-03-26  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/execute/20020307-2.c (main): Pass a variable sized
	structure.

2002-03-25  Richard Henderson  <rth@redhat.com>

	* gcc.dg/20001013-1.c: Add -mcpu=ultrasparc.  Only run on
	sparcv9 systems.

	* gcc.c-torture/compile/20011119-1.c (xxx): New.
	* gcc.c-torture/compile/20011119-2.c (xxx): New.

2002-03-25  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/c90-hexfloat-1.c: Adjust error regexps.

2002-03-25  Bob Wilson  <bob.wilson@acm.org>

	* g++.old-deja/g++.jason/thunk3.C: Add xtensa-*-* to list of
	targets using generic thunk support.

2002-03-25  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020323-1.c: New test.

	* g++.dg/opt/conj2.C: New test.

2002-03-24  Richard Henderson  <rth@redhat.com>

	* gcc.dg/weak-1.c: Use -fno-common.

2002-03-25  David Billinghurst  <David.Billinghurst@riotinto.com>

	* g77.dg/f77-edit-apostrophe-out.f: New test
	* g77.dg/f77-edit-h-out.f: New test
	* g77.dg/f77-edit-t-in.f: New test
	* g77.dg/f77-edit-t-out.f: New test
	* g77.dg/f77-edit-x-out.f: New test
	* g77.dg/f77-edit-slash-out.f: New test
	* g77.dg/f77-edit-colon-out.f: New test
	* g77.dg/f77-edit-s-out.f: New test

2002-03-24  Richard Henderson  <rth@redhat.com>

	* objc/execute/formal_protocol-6.x: New XFAIL.

2002-03-25  David Billinghurst  <David.Billinghurst@riotinto.com>

	* gcc.dg/weak-1.c:  Early return from dg-final on platforms
	that do not support weak symbols

2002-03-25  David Billinghurst  <David.Billinghurst@riotinto.com>

	* lib/g++.exp:  Fix handling of LD_LIBRARY_PATH et al
	* lib/g77.exp:  Likewise
	* lib/objc.exp: Likewise

2002-03-23  Andrew Cagney  <ac131313@redhat.com>

	* gcc.dg/Wswitch-default.c: New test.

2002-03-23  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/other/enum1.C: New test.

2002-03-23  Zack Weinberg  <zack@codesourcery.com>

	* gcc.dg/pragma-ep-3.c: Fix typo.

2002-03-22  Gabriel Dos Reis  <gdr@merlin.codesourcery.com>

	* g++.dg/inherit/template-as-base.C: New test.

2002-03-22  Jakub Jelinek  <jakub@redhat.com>

	* g++.old-deja/g++.other/dwarf2-1.C: Move...
	* g++.dg/debug/debug5.C: ...here.  Convert for dg framework.

2002-03-22  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/multiline.c: Update to match.

2002-03-22  Alexandre Oliva  <aoliva@redhat.com>

	* g++.old-deja/g++.abi/ptrmem.C: Mips puts vbit in delta too.

2002-03-22  Phil Edwards  <pme@gcc.gnu.org>

	* gcc.dg/cpp/extratokens2.c:  New file.

2002-03-21  David Edelsohn  <edelsohn@gnu.org>

	* gcc.dg/20020312-2.c: Add rs6000 target.

	* gcc.c-torture/compile/20020319-1.c: New test.

2002-03-21  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* g++.old-deja/g++.eh/ia64-1.C: Use [ijkl]_[0-9] as variable names.
	(A, E): Handle this.

2002-03-20  Jason Merrill  <jason@redhat.com>

	* lib/prune.exp (prune_gcc_output): Ignore Cygwin warning about
	ignoring -fpic.
	* lib/old-dejagnu.exp (old-dejagnu): Also pass compiler output
	through prune_gcc_output.

2002-03-20  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020320-1.c: New test.

2002-03-19  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020318-1.c: New test.

	* gcc.dg/struct-by-value-1.c: New test.

	* gcc.dg/20020319-1.c: New test.

2002-03-18  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/conj1.C: New test.

2002-03-17  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/qualttp20.C: Revert previous change.
	* g++.dg/template/qualttp3.C: Likewise.
	* g++.dg/template/qualttp4.C: Likewise
	* g++.dg/template/qualttp5.C: Likewise
	* g++.dg/template/qualttp6.C: Likewise
	* g++.dg/template/qualttp7.C: Likewise
	* g++.dg/template/qualttp8.C: Likewise
	* g++.dg/template/recurse.C: Likewise.

2002-03-17  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/wchar-1.c: Update.

2002-03-16  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/conv1.C: New test.
	* g++.dg/template/conv2.C: New test.
	* g++.dg/template/conv3.C: New test.
	* g++.dg/template/conv4.C: New test.

2002-03-15  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/template/qualttp20.C: Remove unnecessary error tags.
	* g++.dg/template/qualttp3.C: Likewise.
	* g++.dg/template/qualttp4.C: Likewise
	* g++.dg/template/qualttp5.C: Likewise
	* g++.dg/template/qualttp6.C: Likewise
	* g++.dg/template/qualttp7.C: Likewise
	* g++.dg/template/qualttp8.C: Likewise
	* g++.dg/template/recurse.C: Likewise.

2002-03-15  Mark Mitchell  <mark@codesourcery.com>

	* g++.dg/opt/dtor1.C: New test.

2002-03-15  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020315-1.c: New test.

2002-03-15  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.dg/weak-1.c: Fix scan tests.

2002-03-15  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.dg/20020312-2.c [__MMIX__]: No pic register.
	* gcc.c-torture/compile/981006-1.x: Don't use -fpic on cris-*-elf*
	cris-*-aout* mmix-*-*.
	* g++.old-deja/g++.other/local-alloc1.C: Skip on cris-*-elf*
	cris-*-aout* mmix-*-*.
	* g++.dg/debug/debug3.C: Expect warning for unsupported -fpic on
	cris-*-elf* cris-*-aout* and mmix-*-*.
	* gcc.dg/20001009-1.c: Ditto.
	* gcc.dg/20010912-1.c: Ditto.
	* gcc.dg/20020122-4.c: Ditto.
	* gcc.dg/inline-2.c: Ditto.

2002-03-14  Jeffrey A Law  (law@cygnus.com)

	* gcc.c-torture/compile/20020314-1.c: New test.

2002-03-14  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.c-torture/execute/20020314-1.c: New test.

2002-03-14  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/warn/Wunused-1.C: New test.

2002-02-13  Richard Sandiford  <rsandifo@redhat.com>

	* g++.dg/abi/mangle6.C: New test.

2002-03-13  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/compile/20020309-2.c: New test.

	* gcc.c-torture/compile/20020312-1.c: New test.

2002-03-12  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/access1.C: New test.

2002-03-12  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/wchar_t-1.c: New test.

2002-03-12  David Edelsohn  <edelsohn@gnu.org>

	* gcc.dg/20020103-1.c: Add rs6000 target and macro.

2002-03-12  Roger Sayle  <roger@eyesopen.com>

	* gcc.dg/20020312-1.c: New test case.

2002-03-11  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/altivec-1.c: Cleanup and use altivec.h.

2002-03-11  Richard Henderson  <rth@redhat.com>

	* g++.old-deja/g++.brendan/crash52.C: Remove return warning marker.
	* g++.old-deja/g++.jason/report.C: Likewise.

2002-03-11  Nathan Sidwell  <nathan@codesourcery.com>

	* testsuite/g++.old-deja/g++.other/friend9.C: Revert DR 209 changes.
	* testsuite/g++.old-deja/g++.robertl/eb56.C: Likewise.

2002-03-11  Nathan Sidwell  <nathan@codesourcery.com>

	* testsuite/g++.dg/overload/pmf1.C: New test.

2002-03-11  Kazu Hirata  <kazu@hxi.com>

	* gcc.c-torture/execute/20020307-1.c: Use long.

2002-03-11  Jakub Jelinek  <jakub@redhat.com>

	PR optimization/5844
	* gcc.dg/20020310-1.c: New test.

2002-03-09  Michael Meissner  <meissner@redhat.com>

	* gcc.c-torture/execute/memcpy-2.c: New test.
	* gcc.c-torture/execute/memset-1.c: New test.
	* gcc.c-torture/execute/strlen-1.c: New test.
	* gcc.c-torture/execute/strcmp-1.c: New test.
	* gcc.c-torture/execute/strncmp-1.c: New test.

2002-03-09  Geoffrey Keating  <geoffk@redhat.com>

	* gcc.dg/ppc-ldstruct.c: New test.

2002-03-09  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/va-arg-22.c: New test.

2002-03-09  Richard Kenner  <kenner@vlsi1.ultra.nyu.edu>

	* gcc.c-torture/compile/20020309-1.c: New test.

2002-03-08  Jakub Jelinek  <jakub@redhat.com>

	* gcc.c-torture/execute/20020307-2.c: New test.

2002-03-07  Jeffrey A Law  (law@redhat.com)

	* g77.f-torture/compile/20020307-1.f: New test.

2002-03-07  Richard Sandiford  <rsandifo@redhat.com>

	* gcc.dg/unordered-1.c: New test.

2002-03-07  Richard Earnshaw  <rearnsha@arm.com>

	* gcc.c-torture/execute/20020307-1.c: New test.

2002-03-05  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020304-1.c: New test.

	* gcc.c-torture/compile/20020304-2.c: New test.

2002-03-04  Zack Weinberg  <zack@codesourcery.com>

	* gcc.c-torture/compile/20020304-1.c: New test case
	(from PR c/5830).

2002-03-03  Aldy Hernandez  <aldyh@redhat.com>

	* gcc.dg/20020103-1.c: Add other -D ppc variants.

2002-03-02  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/other/classkey1.C: New test.

2002-03-01  Richard Henderson  <rth@redhat.com>

	* gcc.c-torture/compile/981223-1.x: New.
	* gcc.c-torture/compile/920625-1.x: New.

2002-02-28  Richard Henderson  <rth@redhat.com>

	* g++.dg/opt/vtgc1.C: Adjust patterns for ia64.

2002-02-27  Hans-Peter Nilsson  <hp@bitrange.com>

	* gcc.c-torture/execute/20020227-1.c: New test.

2002-02-27  Mark Mitchell  <mark@codesourcery.com>

	* g++.old-deja/g++.law/visibility13.C: Remove "instantiated from
	here" ERROR lines.
	* g++.old-deja/g++.oliva/partord1.C: Likewise.
	* g++.old-deja.g++.other/defarg1.C: Likewise.
	* g++.old-deja/g++.pt/calls2.C: Likewise.
	* g++.old-deja/g++.pt/crash20.C: Likewise.
	* g++.old-deja/g++.pt/crash30.C: Likewise.
	* g++.old-deja/g++.pt/crash36.C: Likewise.
	* g++.old-deja/g++.pt/crash6.C: Likewise.
	* g++.old-deja/g++.pt/defarg13.C: Likewise.
	* g++.old-deja/g++.pt/derived3.C: Likewise.
	* g++.old-deja/g++.pt/error1.C: Likewise.
	* g++.old-deja/g++.pt/friend21.C: Likewise.
	* g++.old-deja/g++.pt/friend23.C: Likewise.
	* g++.old-deja/g++.pt/infinite1.C: Likewise.
	* g++.old-deja/g++.robertl/eb128.C: Likewise.

2002-02-27  Geoffrey Keating  <geoffk@redhat.com>

	* gcc.c-torture/execute/20020225-2.c: New test.

2002-02-27  Zack Weinberg  <zack@codesourcery.com>

	* gcc.c-torture/execute/920730-1t.c,
	gcc.c-torture/execute/920730-1t.x, gcc.dg/ext-glob.c:
	Delete test cases, only relevant to -traditional.

2002-02-27  Neil Booth  <neil@daikokuya.demon.co.uk>

	* gcc.dg/cpp/undef1.c: Remove.
	* gcc.dg/cpp/directiv.c: Update.
	* gcc.dg/cpp/mac-dir-1.c, mac-dir-2.c: New tests.

2002-02-27  Michael Meissner  <meissner@redhat.com>

	* gcc.c-torture/execute/20020226-1.c: New test.

2002-02-26  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/debug/debug4.C: New test.

	* gcc.dg/ia64-visibility-1.c: New test.

2002-02-26  Alexandre Oliva  <aoliva@redhat.com>

	* gcc.dg/debug/20020224-1.c: New.

2002-02-25  Kazu Hirata  <kazu@hxi.com>

	* gcc.c-torture/execute/960416-1.x: New.
	* gcc.c-torture/execute/divconst-3.x: Likewise.

2002-02-25  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020224-1.c: New test.

2002-02-25  Alan Modra  <amodra@bigpond.net.au>

	* gcc.c-torture/execute/20020225-1.c: New.

2002-02-24  Neil Booth  <neil@daikokuya.demon.co.uk>

	* testsuite/gcc.dg/cpp/wchar-1.c: New test.

2002-02-23  Jakub Jelinek  <jakub@redhat.com>

	* gcc.dg/20020222-1.c: New test.

2002-02-22  Jakub Jelinek  <jakub@redhat.com>

	* g++.dg/opt/anonunion1.C: New test.

2002-02-22  Nathan Sidwell  <nathan@codesourcery.com>

	* g++.dg/template/qualttp19.C: New test.
	* g++.dg/template/qualttp20.C: New test.
	* g++.old-deja/g++.jason/report.C: Adjust expected errors
